// java wrapper for vtkAmoebaMinimizer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAmoebaMinimizer.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAmoebaMinimizer_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAmoebaMinimizer",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAmoebaMinimizer_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAmoebaMinimizer *op;
  const char    *temp20;

  op = (vtkAmoebaMinimizer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAmoebaMinimizer");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAmoebaMinimizer_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAmoebaMinimizer *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAmoebaMinimizer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAmoebaMinimizer");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAmoebaMinimizer_SetFunction_12(JNIEnv *env, jobject obj,jobject id0, jstring id1)
{
  vtkAmoebaMinimizer *op;
  vtkJavaVoidFuncArg *temp0 = new vtkJavaVoidFuncArg;
  env->GetJavaVM(&(temp0->vm));
  temp0->uobj = env->NewGlobalRef(id0);
  temp0->mid = env->GetMethodID(env->GetObjectClass(id0),vtkJavaUTFToChar(env,id1),"()V");

  op = (vtkAmoebaMinimizer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAmoebaMinimizer");
  op->SetFunction(vtkJavaVoidFunc,(void *)temp0);
  op->SetFunctionArgDelete(vtkJavaVoidFuncArgDelete);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAmoebaMinimizer_SetParameterValue_13(JNIEnv *env, jobject obj,jstring id0,jdouble id1)
{
  vtkAmoebaMinimizer *op;
  char    *temp0;
  double   temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkAmoebaMinimizer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAmoebaMinimizer");
  op->SetParameterValue(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAmoebaMinimizer_SetParameterValue_14(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkAmoebaMinimizer *op;
  int      temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkAmoebaMinimizer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAmoebaMinimizer");
  op->SetParameterValue(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAmoebaMinimizer_SetParameterScale_15(JNIEnv *env, jobject obj,jstring id0,jdouble id1)
{
  vtkAmoebaMinimizer *op;
  char    *temp0;
  double   temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkAmoebaMinimizer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAmoebaMinimizer");
  op->SetParameterScale(temp0,temp1);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAmoebaMinimizer_GetParameterScale_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAmoebaMinimizer *op;
  char    *temp0;
  double   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAmoebaMinimizer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAmoebaMinimizer");
  temp20 = (op)->GetParameterScale(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAmoebaMinimizer_SetParameterScale_17(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkAmoebaMinimizer *op;
  int      temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkAmoebaMinimizer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAmoebaMinimizer");
  op->SetParameterScale(temp0,temp1);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAmoebaMinimizer_GetParameterScale_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkAmoebaMinimizer *op;
  int      temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkAmoebaMinimizer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAmoebaMinimizer");
  temp20 = (op)->GetParameterScale(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAmoebaMinimizer_GetParameterValue_19(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAmoebaMinimizer *op;
  char    *temp0;
  double   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAmoebaMinimizer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAmoebaMinimizer");
  temp20 = (op)->GetParameterValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAmoebaMinimizer_GetParameterValue_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkAmoebaMinimizer *op;
  int      temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkAmoebaMinimizer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAmoebaMinimizer");
  temp20 = (op)->GetParameterValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAmoebaMinimizer_GetParameterName_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkAmoebaMinimizer *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkAmoebaMinimizer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAmoebaMinimizer");
  temp20 = (op)->GetParameterName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAmoebaMinimizer_GetNumberOfParameters_112(JNIEnv *env, jobject obj)
{
  vtkAmoebaMinimizer *op;
  int      temp20;

  op = (vtkAmoebaMinimizer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAmoebaMinimizer");
  temp20 = (op)->GetNumberOfParameters();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAmoebaMinimizer_Initialize_113(JNIEnv *env, jobject obj)
{
  vtkAmoebaMinimizer *op;

  op = (vtkAmoebaMinimizer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAmoebaMinimizer");
  op->Initialize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAmoebaMinimizer_Minimize_114(JNIEnv *env, jobject obj)
{
  vtkAmoebaMinimizer *op;

  op = (vtkAmoebaMinimizer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAmoebaMinimizer");
  op->Minimize();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAmoebaMinimizer_Iterate_115(JNIEnv *env, jobject obj)
{
  vtkAmoebaMinimizer *op;
  int      temp20;

  op = (vtkAmoebaMinimizer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAmoebaMinimizer");
  temp20 = (op)->Iterate();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAmoebaMinimizer_SetFunctionValue_116(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAmoebaMinimizer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAmoebaMinimizer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAmoebaMinimizer");
  op->SetFunctionValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAmoebaMinimizer_GetFunctionValue_117(JNIEnv *env, jobject obj)
{
  vtkAmoebaMinimizer *op;
  double   temp20;

  op = (vtkAmoebaMinimizer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAmoebaMinimizer");
  temp20 = (op)->GetFunctionValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAmoebaMinimizer_SetTolerance_118(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAmoebaMinimizer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAmoebaMinimizer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAmoebaMinimizer");
  op->SetTolerance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAmoebaMinimizer_GetTolerance_119(JNIEnv *env, jobject obj)
{
  vtkAmoebaMinimizer *op;
  double   temp20;

  op = (vtkAmoebaMinimizer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAmoebaMinimizer");
  temp20 = (op)->GetTolerance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAmoebaMinimizer_SetMaxIterations_120(JNIEnv *env, jobject obj,jint id0)
{
  vtkAmoebaMinimizer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAmoebaMinimizer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAmoebaMinimizer");
  op->SetMaxIterations(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAmoebaMinimizer_GetMaxIterations_121(JNIEnv *env, jobject obj)
{
  vtkAmoebaMinimizer *op;
  int      temp20;

  op = (vtkAmoebaMinimizer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAmoebaMinimizer");
  temp20 = (op)->GetMaxIterations();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAmoebaMinimizer_GetIterations_122(JNIEnv *env, jobject obj)
{
  vtkAmoebaMinimizer *op;
  int      temp20;

  op = (vtkAmoebaMinimizer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAmoebaMinimizer");
  temp20 = (op)->GetIterations();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAmoebaMinimizer_GetFunctionEvaluations_123(JNIEnv *env, jobject obj)
{
  vtkAmoebaMinimizer *op;
  int      temp20;

  op = (vtkAmoebaMinimizer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAmoebaMinimizer");
  temp20 = (op)->GetFunctionEvaluations();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAmoebaMinimizer_EvaluateFunction_124(JNIEnv *env, jobject obj)
{
  vtkAmoebaMinimizer *op;

  op = (vtkAmoebaMinimizer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAmoebaMinimizer");
  op->EvaluateFunction();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkAmoebaMinimizer_VTKInit(JNIEnv *env, jobject obj)
{
  vtkAmoebaMinimizer *aNewOne = vtkAmoebaMinimizer::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkAmoebaMinimizer_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkAmoebaMinimizer_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkAmoebaMinimizer_Typecast);
}
