// java wrapper for vtkAnimationScene object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAnimationScene.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkAnimationCue_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAnimationScene_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAnimationScene",dType)) { return me; }
  if ((res= vtkAnimationCue_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAnimationScene_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAnimationScene *op;
  const char    *temp20;

  op = (vtkAnimationScene *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnimationScene");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAnimationScene_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAnimationScene *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAnimationScene *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnimationScene");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnimationScene_SetPlayMode_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkAnimationScene *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAnimationScene *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnimationScene");
  op->SetPlayMode(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnimationScene_SetModeToSequence_13(JNIEnv *env, jobject obj)
{
  vtkAnimationScene *op;

  op = (vtkAnimationScene *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnimationScene");
  op->SetModeToSequence();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnimationScene_SetModeToRealTime_14(JNIEnv *env, jobject obj)
{
  vtkAnimationScene *op;

  op = (vtkAnimationScene *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnimationScene");
  op->SetModeToRealTime();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAnimationScene_GetPlayMode_15(JNIEnv *env, jobject obj)
{
  vtkAnimationScene *op;
  int      temp20;

  op = (vtkAnimationScene *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnimationScene");
  temp20 = (op)->GetPlayMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnimationScene_SetFrameRate_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAnimationScene *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAnimationScene *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnimationScene");
  op->SetFrameRate(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAnimationScene_GetFrameRate_17(JNIEnv *env, jobject obj)
{
  vtkAnimationScene *op;
  double   temp20;

  op = (vtkAnimationScene *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnimationScene");
  temp20 = (op)->GetFrameRate();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnimationScene_AddCue_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAnimationScene *op;
  vtkAnimationCue  *temp0;
  temp0 = (vtkAnimationCue *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkAnimationCue"));

  op = (vtkAnimationScene *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnimationScene");
  op->AddCue(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnimationScene_RemoveCue_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAnimationScene *op;
  vtkAnimationCue  *temp0;
  temp0 = (vtkAnimationCue *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkAnimationCue"));

  op = (vtkAnimationScene *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnimationScene");
  op->RemoveCue(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnimationScene_Play_110(JNIEnv *env, jobject obj)
{
  vtkAnimationScene *op;

  op = (vtkAnimationScene *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnimationScene");
  op->Play();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnimationScene_Stop_111(JNIEnv *env, jobject obj)
{
  vtkAnimationScene *op;

  op = (vtkAnimationScene *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnimationScene");
  op->Stop();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnimationScene_SetLoop_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkAnimationScene *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAnimationScene *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnimationScene");
  op->SetLoop(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAnimationScene_GetLoop_113(JNIEnv *env, jobject obj)
{
  vtkAnimationScene *op;
  int      temp20;

  op = (vtkAnimationScene *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnimationScene");
  temp20 = (op)->GetLoop();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnimationScene_SetAnimationTime_114(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAnimationScene *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAnimationScene *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnimationScene");
  op->SetAnimationTime(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnimationScene_SetTimeMode_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkAnimationScene *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAnimationScene *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnimationScene");
  op->SetTimeMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAnimationScene_IsInPlay_116(JNIEnv *env, jobject obj)
{
  vtkAnimationScene *op;
  int      temp20;

  op = (vtkAnimationScene *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAnimationScene");
  temp20 = (op)->IsInPlay();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkAnimationScene_VTKInit(JNIEnv *env, jobject obj)
{
  vtkAnimationScene *aNewOne = vtkAnimationScene::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkAnimationScene_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkAnimationScene_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkAnimationScene_Typecast);
}
