// java wrapper for vtkBitArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBitArray.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDataArray_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkBitArray_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkBitArray",dType)) { return me; }
  if ((res= vtkDataArray_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBitArray_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkBitArray *op;
  const char    *temp20;

  op = (vtkBitArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBitArray");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBitArray_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBitArray *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBitArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBitArray");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBitArray_Allocate_12(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkBitArray *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkBitArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBitArray");
  temp20 = (op)->Allocate(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBitArray_Initialize_13(JNIEnv *env, jobject obj)
{
  vtkBitArray *op;

  op = (vtkBitArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBitArray");
  op->Initialize();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBitArray_GetDataType_14(JNIEnv *env, jobject obj)
{
  vtkBitArray *op;
  int      temp20;

  op = (vtkBitArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBitArray");
  temp20 = (op)->GetDataType();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBitArray_GetDataTypeSize_15(JNIEnv *env, jobject obj)
{
  vtkBitArray *op;
  int      temp20;

  op = (vtkBitArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBitArray");
  temp20 = (op)->GetDataTypeSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBitArray_SetNumberOfTuples_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkBitArray *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkBitArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBitArray");
  op->SetNumberOfTuples(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBitArray_SetComponent_17(JNIEnv *env, jobject obj,jint id0,jint id1,jdouble id2)
{
  vtkBitArray *op;
  vtkIdType   temp0;
  int      temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkBitArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBitArray");
  op->SetComponent(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBitArray_Squeeze_18(JNIEnv *env, jobject obj)
{
  vtkBitArray *op;

  op = (vtkBitArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBitArray");
  op->Squeeze();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBitArray_Resize_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkBitArray *op;
  vtkIdType   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkBitArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBitArray");
  temp20 = (op)->Resize(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBitArray_GetValue_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkBitArray *op;
  vtkIdType   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkBitArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBitArray");
  temp20 = (op)->GetValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBitArray_SetNumberOfValues_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkBitArray *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkBitArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBitArray");
  op->SetNumberOfValues(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBitArray_SetValue_112(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkBitArray *op;
  vtkIdType   temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkBitArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBitArray");
  op->SetValue(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBitArray_InsertValue_113(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkBitArray *op;
  vtkIdType   temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkBitArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBitArray");
  op->InsertValue(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBitArray_InsertNextValue_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkBitArray *op;
  int      temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkBitArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBitArray");
  temp20 = (op)->InsertNextValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBitArray_InsertComponent_115(JNIEnv *env, jobject obj,jint id0,jint id1,jdouble id2)
{
  vtkBitArray *op;
  vtkIdType   temp0;
  int      temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkBitArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBitArray");
  op->InsertComponent(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBitArray_DeepCopy_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkBitArray *op;
  vtkDataArray  *temp0;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataArray"));

  op = (vtkBitArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBitArray");
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkBitArray_VTKInit(JNIEnv *env, jobject obj)
{
  vtkBitArray *aNewOne = vtkBitArray::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkBitArray_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkBitArray_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkBitArray_Typecast);
}
