// java wrapper for vtkGarbageCollector object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGarbageCollector.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGarbageCollector_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGarbageCollector",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGarbageCollector_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGarbageCollector *op;
  const char    *temp20;

  op = (vtkGarbageCollector *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGarbageCollector");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGarbageCollector_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGarbageCollector *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGarbageCollector *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGarbageCollector");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGarbageCollector_Collect_12(JNIEnv *env, jobject obj)
{
  vtkGarbageCollector *op;

  op = (vtkGarbageCollector *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGarbageCollector");
  op->Collect();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGarbageCollector_Collect_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGarbageCollector *op;
  vtkObjectBase  *temp0;
  temp0 = (vtkObjectBase *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkObjectBase"));

  op = (vtkGarbageCollector *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGarbageCollector");
  op->Collect(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGarbageCollector_DeferredCollectionPush_14(JNIEnv *env, jobject obj)
{
  vtkGarbageCollector *op;

  op = (vtkGarbageCollector *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGarbageCollector");
  op->DeferredCollectionPush();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGarbageCollector_DeferredCollectionPop_15(JNIEnv *env, jobject obj)
{
  vtkGarbageCollector *op;

  op = (vtkGarbageCollector *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGarbageCollector");
  op->DeferredCollectionPop();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGarbageCollector_SetGlobalDebugFlag_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkGarbageCollector *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGarbageCollector *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGarbageCollector");
  op->SetGlobalDebugFlag(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGarbageCollector_GetGlobalDebugFlag_17(JNIEnv *env, jobject obj)
{
  vtkGarbageCollector *op;
  int      temp20;

  op = (vtkGarbageCollector *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGarbageCollector");
  temp20 = (op)->GetGlobalDebugFlag();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkGarbageCollector_VTKInit(JNIEnv *env, jobject obj)
{
  vtkGarbageCollector *aNewOne = vtkGarbageCollector::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkGarbageCollector_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkGarbageCollector_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkGarbageCollector_Typecast);
}
