// java wrapper for vtkOverrideInformation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOverrideInformation.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOverrideInformation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOverrideInformation",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOverrideInformation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOverrideInformation *op;
  const char    *temp20;

  op = (vtkOverrideInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOverrideInformation");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOverrideInformation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOverrideInformation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOverrideInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOverrideInformation");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOverrideInformation_GetClassOverrideName_12(JNIEnv *env, jobject obj)
{
  vtkOverrideInformation *op;
  const char    *temp20;

  op = (vtkOverrideInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOverrideInformation");
  temp20 = (op)->GetClassOverrideName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOverrideInformation_GetClassOverrideWithName_13(JNIEnv *env, jobject obj)
{
  vtkOverrideInformation *op;
  const char    *temp20;

  op = (vtkOverrideInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOverrideInformation");
  temp20 = (op)->GetClassOverrideWithName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOverrideInformation_GetDescription_14(JNIEnv *env, jobject obj)
{
  vtkOverrideInformation *op;
  const char    *temp20;

  op = (vtkOverrideInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOverrideInformation");
  temp20 = (op)->GetDescription();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkOverrideInformation_GetObjectFactory_15(JNIEnv *env, jobject obj)
{
  vtkOverrideInformation *op;
  vtkObjectFactory  *temp20;
  jobject tempH;

  op = (vtkOverrideInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOverrideInformation");
  temp20 = (op)->GetObjectFactory();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkObjectFactory", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOverrideInformation_SetClassOverrideName_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOverrideInformation *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOverrideInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOverrideInformation");
  op->SetClassOverrideName(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOverrideInformation_SetClassOverrideWithName_17(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOverrideInformation *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOverrideInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOverrideInformation");
  op->SetClassOverrideWithName(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOverrideInformation_SetDescription_18(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOverrideInformation *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOverrideInformation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOverrideInformation");
  op->SetDescription(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkOverrideInformation_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkOverrideInformation_Typecast);
}
