// java wrapper for vtkScalarsToColors object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkScalarsToColors.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkScalarsToColors_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkScalarsToColors",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkScalarsToColors_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkScalarsToColors *op;
  const char    *temp20;

  op = (vtkScalarsToColors *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarsToColors");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarsToColors_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkScalarsToColors *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkScalarsToColors *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarsToColors");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarsToColors_Build_12(JNIEnv *env, jobject obj)
{
  vtkScalarsToColors *op;

  op = (vtkScalarsToColors *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarsToColors");
  op->Build();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarsToColors_SetRange_13(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkScalarsToColors *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkScalarsToColors *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarsToColors");
  op->SetRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarsToColors_SetRange_14(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkScalarsToColors *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkScalarsToColors *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarsToColors");
  op->SetRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarsToColors_GetColor_15(JNIEnv *env, jobject obj,jdouble id0,jdoubleArray id1)
{
  vtkScalarsToColors *op;
  double   temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkScalarsToColors *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarsToColors");
  op->GetColor(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkScalarsToColors_GetColor_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkScalarsToColors *op;
  double   temp0;
  double  *temp20;
  temp0 = id0;

  op = (vtkScalarsToColors *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarsToColors");
  temp20 = (op)->GetColor(temp0);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkScalarsToColors_GetOpacity_17(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkScalarsToColors *op;
  double   temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkScalarsToColors *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarsToColors");
  temp20 = (op)->GetOpacity(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkScalarsToColors_GetLuminance_18(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkScalarsToColors *op;
  double   temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkScalarsToColors *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarsToColors");
  temp20 = (op)->GetLuminance(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarsToColors_SetAlpha_19(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkScalarsToColors *op;
  double   temp0;
  temp0 = id0;

  op = (vtkScalarsToColors *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarsToColors");
  op->SetAlpha(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkScalarsToColors_GetAlpha_110(JNIEnv *env, jobject obj)
{
  vtkScalarsToColors *op;
  double   temp20;

  op = (vtkScalarsToColors *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarsToColors");
  temp20 = (op)->GetAlpha();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkScalarsToColors_MapScalars_111(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkScalarsToColors *op;
  vtkDataArray  *temp0;
  int      temp1;
  int      temp2;
  vtkUnsignedCharArray  *temp20;
  jobject tempH;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataArray"));
  temp1 = id1;
  temp2 = id2;

  op = (vtkScalarsToColors *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarsToColors");
  temp20 = (op)->MapScalars(temp0,temp1,temp2);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkUnsignedCharArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarsToColors_SetVectorMode_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkScalarsToColors *op;
  int      temp0;
  temp0 = id0;

  op = (vtkScalarsToColors *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarsToColors");
  op->SetVectorMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarsToColors_GetVectorMode_113(JNIEnv *env, jobject obj)
{
  vtkScalarsToColors *op;
  int      temp20;

  op = (vtkScalarsToColors *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarsToColors");
  temp20 = (op)->GetVectorMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarsToColors_SetVectorModeToMagnitude_114(JNIEnv *env, jobject obj)
{
  vtkScalarsToColors *op;

  op = (vtkScalarsToColors *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarsToColors");
  op->SetVectorModeToMagnitude();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarsToColors_SetVectorModeToComponent_115(JNIEnv *env, jobject obj)
{
  vtkScalarsToColors *op;

  op = (vtkScalarsToColors *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarsToColors");
  op->SetVectorModeToComponent();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarsToColors_SetVectorComponent_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkScalarsToColors *op;
  int      temp0;
  temp0 = id0;

  op = (vtkScalarsToColors *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarsToColors");
  op->SetVectorComponent(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarsToColors_GetVectorComponent_117(JNIEnv *env, jobject obj)
{
  vtkScalarsToColors *op;
  int      temp20;

  op = (vtkScalarsToColors *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarsToColors");
  temp20 = (op)->GetVectorComponent();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkScalarsToColors_ConvertUnsignedCharToRGBA_118(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkScalarsToColors *op;
  vtkUnsignedCharArray  *temp0;
  int      temp1;
  int      temp2;
  vtkUnsignedCharArray  *temp20;
  jobject tempH;
  temp0 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkUnsignedCharArray"));
  temp1 = id1;
  temp2 = id2;

  op = (vtkScalarsToColors *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkScalarsToColors");
  temp20 = (op)->ConvertUnsignedCharToRGBA(temp0,temp1,temp2);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkUnsignedCharArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkScalarsToColors_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkScalarsToColors_Typecast);
}
