// java wrapper for vtkStringArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStringArray.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkAbstractArray_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkStringArray_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkStringArray",dType)) { return me; }
  if ((res= vtkAbstractArray_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkStringArray_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkStringArray *op;
  const char    *temp20;

  op = (vtkStringArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStringArray");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStringArray_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkStringArray *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkStringArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStringArray");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStringArray_GetDataType_12(JNIEnv *env, jobject obj)
{
  vtkStringArray *op;
  int      temp20;

  op = (vtkStringArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStringArray");
  temp20 = (op)->GetDataType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStringArray_Initialize_13(JNIEnv *env, jobject obj)
{
  vtkStringArray *op;

  op = (vtkStringArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStringArray");
  op->Initialize();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStringArray_GetDataTypeSize_14(JNIEnv *env, jobject obj)
{
  vtkStringArray *op;
  int      temp20;

  op = (vtkStringArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStringArray");
  temp20 = (op)->GetDataTypeSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStringArray_Squeeze_15(JNIEnv *env, jobject obj)
{
  vtkStringArray *op;

  op = (vtkStringArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStringArray");
  op->Squeeze();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStringArray_Resize_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkStringArray *op;
  vtkIdType   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkStringArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStringArray");
  temp20 = (op)->Resize(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStringArray_GetValues_17(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkStringArray *op;
  vtkIdList  *temp0;
  vtkAbstractArray  *temp1;
  temp0 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkIdList"));
  temp1 = (vtkAbstractArray *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkAbstractArray"));

  op = (vtkStringArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStringArray");
  op->GetValues(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStringArray_GetValues_18(JNIEnv *env, jobject obj,jint id0,jint id1,jobject id2)
{
  vtkStringArray *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkAbstractArray  *temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = (vtkAbstractArray *)(vtkJavaGetPointerFromObject(env,id2,(char *) "vtkAbstractArray"));

  op = (vtkStringArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStringArray");
  op->GetValues(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStringArray_CopyValue_19(JNIEnv *env, jobject obj,jint id0,jint id1,jobject id2)
{
  vtkStringArray *op;
  int      temp0;
  int      temp1;
  vtkAbstractArray  *temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = (vtkAbstractArray *)(vtkJavaGetPointerFromObject(env,id2,(char *) "vtkAbstractArray"));

  op = (vtkStringArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStringArray");
  op->CopyValue(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStringArray_Allocate_110(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkStringArray *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkStringArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStringArray");
  temp20 = (op)->Allocate(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkStringArray_GetValue_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkStringArray *op;
  vtkIdType   temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkStringArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStringArray");
  temp20 = (op)->GetValue(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStringArray_SetValue_112(JNIEnv *env, jobject obj,jint id0,jstring id1)
{
  vtkStringArray *op;
  vtkIdType   temp0;
  char    *temp1;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkStringArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStringArray");
  op->SetValue(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStringArray_SetNumberOfValues_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkStringArray *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkStringArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStringArray");
  op->SetNumberOfValues(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStringArray_GetNumberOfValues_114(JNIEnv *env, jobject obj)
{
  vtkStringArray *op;
  int      temp20;

  op = (vtkStringArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStringArray");
  temp20 = (op)->GetNumberOfValues();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStringArray_GetNumberOfElementComponents_115(JNIEnv *env, jobject obj)
{
  vtkStringArray *op;
  int      temp20;

  op = (vtkStringArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStringArray");
  temp20 = (op)->GetNumberOfElementComponents();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStringArray_GetElementComponentSize_116(JNIEnv *env, jobject obj)
{
  vtkStringArray *op;
  int      temp20;

  op = (vtkStringArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStringArray");
  temp20 = (op)->GetElementComponentSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStringArray_InsertValue_117(JNIEnv *env, jobject obj,jint id0,jstring id1)
{
  vtkStringArray *op;
  vtkIdType   temp0;
  char    *temp1;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkStringArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStringArray");
  op->InsertValue(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStringArray_InsertNextValue_118(JNIEnv *env, jobject obj,jstring id0)
{
  vtkStringArray *op;
  char    *temp0;
  vtkIdType   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkStringArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStringArray");
  temp20 = (op)->InsertNextValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStringArray_GetActualMemorySize_119(JNIEnv *env, jobject obj)
{
  vtkStringArray *op;
   unsigned long     temp20;

  op = (vtkStringArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStringArray");
  temp20 = (op)->GetActualMemorySize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStringArray_ConvertFromContiguous_120(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkStringArray *op;
  vtkDataArray  *temp0;
  vtkIdTypeArray  *temp1;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataArray"));
  temp1 = (vtkIdTypeArray *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkIdTypeArray"));

  op = (vtkStringArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStringArray");
  op->ConvertFromContiguous(temp0,temp1);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkStringArray_VTKInit(JNIEnv *env, jobject obj)
{
  vtkStringArray *aNewOne = vtkStringArray::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkStringArray_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkStringArray_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkStringArray_Typecast);
}
