// java wrapper for vtkStructuredVisibilityConstraint object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStructuredVisibilityConstraint.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkStructuredVisibilityConstraint_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkStructuredVisibilityConstraint",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkStructuredVisibilityConstraint_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkStructuredVisibilityConstraint *op;
  const char    *temp20;

  op = (vtkStructuredVisibilityConstraint *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStructuredVisibilityConstraint");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStructuredVisibilityConstraint_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkStructuredVisibilityConstraint *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkStructuredVisibilityConstraint *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStructuredVisibilityConstraint");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStructuredVisibilityConstraint_IsVisible_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkStructuredVisibilityConstraint *op;
  vtkIdType   temp0;
   unsigned char     temp20;
  temp0 = id0;

  op = (vtkStructuredVisibilityConstraint *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStructuredVisibilityConstraint");
  temp20 = (op)->IsVisible(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredVisibilityConstraint_Blank_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkStructuredVisibilityConstraint *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkStructuredVisibilityConstraint *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStructuredVisibilityConstraint");
  op->Blank(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredVisibilityConstraint_UnBlank_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkStructuredVisibilityConstraint *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkStructuredVisibilityConstraint *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStructuredVisibilityConstraint");
  op->UnBlank(temp0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkStructuredVisibilityConstraint_GetDimensions_15(JNIEnv *env, jobject obj)
{
  vtkStructuredVisibilityConstraint *op;
  int     *temp20;

  op = (vtkStructuredVisibilityConstraint *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStructuredVisibilityConstraint");
  temp20 = (op)->GetDimensions();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredVisibilityConstraint_Initialize_16(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkStructuredVisibilityConstraint *op;
  int    temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];

  op = (vtkStructuredVisibilityConstraint *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStructuredVisibilityConstraint");
  op->Initialize(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredVisibilityConstraint_SetVisibilityById_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkStructuredVisibilityConstraint *op;
  vtkUnsignedCharArray  *temp0;
  temp0 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkUnsignedCharArray"));

  op = (vtkStructuredVisibilityConstraint *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStructuredVisibilityConstraint");
  op->SetVisibilityById(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkStructuredVisibilityConstraint_GetVisibilityById_18(JNIEnv *env, jobject obj)
{
  vtkStructuredVisibilityConstraint *op;
  vtkUnsignedCharArray  *temp20;
  jobject tempH;

  op = (vtkStructuredVisibilityConstraint *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStructuredVisibilityConstraint");
  temp20 = (op)->GetVisibilityById();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkUnsignedCharArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredVisibilityConstraint_ShallowCopy_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkStructuredVisibilityConstraint *op;
  vtkStructuredVisibilityConstraint  *temp0;
  temp0 = (vtkStructuredVisibilityConstraint *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkStructuredVisibilityConstraint"));

  op = (vtkStructuredVisibilityConstraint *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStructuredVisibilityConstraint");
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredVisibilityConstraint_DeepCopy_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkStructuredVisibilityConstraint *op;
  vtkStructuredVisibilityConstraint  *temp0;
  temp0 = (vtkStructuredVisibilityConstraint *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkStructuredVisibilityConstraint"));

  op = (vtkStructuredVisibilityConstraint *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStructuredVisibilityConstraint");
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStructuredVisibilityConstraint_IsConstrained_111(JNIEnv *env, jobject obj)
{
  vtkStructuredVisibilityConstraint *op;
   unsigned char     temp20;

  op = (vtkStructuredVisibilityConstraint *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStructuredVisibilityConstraint");
  temp20 = (op)->IsConstrained();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkStructuredVisibilityConstraint_VTKInit(JNIEnv *env, jobject obj)
{
  vtkStructuredVisibilityConstraint *aNewOne = vtkStructuredVisibilityConstraint::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkStructuredVisibilityConstraint_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkStructuredVisibilityConstraint_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkStructuredVisibilityConstraint_Typecast);
}
