// java wrapper for vtkTypeFloat64Array object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTypeFloat64Array.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDoubleArray_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTypeFloat64Array_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTypeFloat64Array",dType)) { return me; }
  if ((res= vtkDoubleArray_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTypeFloat64Array_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTypeFloat64Array *op;
  const char    *temp20;

  op = (vtkTypeFloat64Array *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTypeFloat64Array");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTypeFloat64Array_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTypeFloat64Array *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTypeFloat64Array *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTypeFloat64Array");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkTypeFloat64Array_VTKInit(JNIEnv *env, jobject obj)
{
  vtkTypeFloat64Array *aNewOne = vtkTypeFloat64Array::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkTypeFloat64Array_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkTypeFloat64Array_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkTypeFloat64Array_Typecast);
}
