// java wrapper for vtkTypeInt32Array object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTypeInt32Array.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkUnsignedIntArray_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTypeInt32Array_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTypeInt32Array",dType)) { return me; }
  if ((res= vtkUnsignedIntArray_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTypeInt32Array_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTypeInt32Array *op;
  const char    *temp20;

  op = (vtkTypeInt32Array *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTypeInt32Array");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTypeInt32Array_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTypeInt32Array *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTypeInt32Array *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTypeInt32Array");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkTypeInt32Array_VTKInit(JNIEnv *env, jobject obj)
{
  vtkTypeInt32Array *aNewOne = vtkTypeInt32Array::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkTypeInt32Array_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkTypeInt32Array_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkTypeInt32Array_Typecast);
}
