// java wrapper for vtkCompositeDataIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCompositeDataIterator.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCompositeDataIterator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCompositeDataIterator",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCompositeDataIterator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCompositeDataIterator *op;
  const char    *temp20;

  op = (vtkCompositeDataIterator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCompositeDataIterator");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositeDataIterator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCompositeDataIterator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCompositeDataIterator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCompositeDataIterator");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataIterator_InitTraversal_12(JNIEnv *env, jobject obj)
{
  vtkCompositeDataIterator *op;

  op = (vtkCompositeDataIterator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCompositeDataIterator");
  op->InitTraversal();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataIterator_GoToFirstItem_13(JNIEnv *env, jobject obj)
{
  vtkCompositeDataIterator *op;

  op = (vtkCompositeDataIterator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCompositeDataIterator");
  op->GoToFirstItem();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataIterator_GoToNextItem_14(JNIEnv *env, jobject obj)
{
  vtkCompositeDataIterator *op;

  op = (vtkCompositeDataIterator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCompositeDataIterator");
  op->GoToNextItem();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositeDataIterator_IsDoneWithTraversal_15(JNIEnv *env, jobject obj)
{
  vtkCompositeDataIterator *op;
  int      temp20;

  op = (vtkCompositeDataIterator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCompositeDataIterator");
  temp20 = (op)->IsDoneWithTraversal();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCompositeDataIterator_GetCurrentDataObject_16(JNIEnv *env, jobject obj)
{
  vtkCompositeDataIterator *op;
  vtkDataObject  *temp20;
  jobject tempH;

  op = (vtkCompositeDataIterator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCompositeDataIterator");
  temp20 = (op)->GetCurrentDataObject();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataObject", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkCompositeDataIterator_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkCompositeDataIterator_Typecast);
}
