// java wrapper for vtkImageToStructuredPoints object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageToStructuredPoints.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageToStructuredPoints_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageToStructuredPoints",dType)) { return me; }
  if ((res= vtkImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageToStructuredPoints_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageToStructuredPoints *op;
  const char    *temp20;

  op = (vtkImageToStructuredPoints *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageToStructuredPoints");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageToStructuredPoints_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageToStructuredPoints *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageToStructuredPoints *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageToStructuredPoints");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageToStructuredPoints_SetVectorInput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageToStructuredPoints *op;
  vtkImageData  *temp0;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkImageData"));

  op = (vtkImageToStructuredPoints *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageToStructuredPoints");
  op->SetVectorInput(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkImageToStructuredPoints_GetVectorInput_13(JNIEnv *env, jobject obj)
{
  vtkImageToStructuredPoints *op;
  vtkImageData  *temp20;
  jobject tempH;

  op = (vtkImageToStructuredPoints *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageToStructuredPoints");
  temp20 = (op)->GetVectorInput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkImageData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageToStructuredPoints_VTKInit(JNIEnv *env, jobject obj)
{
  vtkImageToStructuredPoints *aNewOne = vtkImageToStructuredPoints::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageToStructuredPoints_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageToStructuredPoints_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageToStructuredPoints_Typecast);
}
