// java wrapper for vtkInformationKeyVectorKey object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInformationKeyVectorKey.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkInformationKey_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInformationKeyVectorKey_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInformationKeyVectorKey",dType)) { return me; }
  if ((res= vtkInformationKey_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInformationKeyVectorKey_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkInformationKeyVectorKey *op;
  const char    *temp20;

  op = (vtkInformationKeyVectorKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationKeyVectorKey");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformationKeyVectorKey_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInformationKeyVectorKey *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInformationKeyVectorKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationKeyVectorKey");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationKeyVectorKey_Append_12(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformationKeyVectorKey *op;
  vtkInformation  *temp0;
  vtkInformationKey  *temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = (vtkInformationKey *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkInformationKey"));

  op = (vtkInformationKeyVectorKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationKeyVectorKey");
  op->Append(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationKeyVectorKey_AppendUnique_13(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformationKeyVectorKey *op;
  vtkInformation  *temp0;
  vtkInformationKey  *temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = (vtkInformationKey *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkInformationKey"));

  op = (vtkInformationKeyVectorKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationKeyVectorKey");
  op->AppendUnique(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationKeyVectorKey_RemoveItem_14(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformationKeyVectorKey *op;
  vtkInformation  *temp0;
  vtkInformationKey  *temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = (vtkInformationKey *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkInformationKey"));

  op = (vtkInformationKeyVectorKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationKeyVectorKey");
  op->RemoveItem(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformationKeyVectorKey_Length_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformationKeyVectorKey *op;
  vtkInformation  *temp0;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));

  op = (vtkInformationKeyVectorKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationKeyVectorKey");
  temp20 = (op)->Length(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformationKeyVectorKey_Has_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformationKeyVectorKey *op;
  vtkInformation  *temp0;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));

  op = (vtkInformationKeyVectorKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationKeyVectorKey");
  temp20 = (op)->Has(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationKeyVectorKey_ShallowCopy_17(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformationKeyVectorKey *op;
  vtkInformation  *temp0;
  vtkInformation  *temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkInformation"));

  op = (vtkInformationKeyVectorKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationKeyVectorKey");
  op->ShallowCopy(temp0,temp1);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkInformationKeyVectorKey_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkInformationKeyVectorKey_Typecast);
}
