// java wrapper for vtkInformationObjectBaseKey object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInformationObjectBaseKey.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkInformationKey_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInformationObjectBaseKey_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInformationObjectBaseKey",dType)) { return me; }
  if ((res= vtkInformationKey_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInformationObjectBaseKey_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkInformationObjectBaseKey *op;
  const char    *temp20;

  op = (vtkInformationObjectBaseKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationObjectBaseKey");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformationObjectBaseKey_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInformationObjectBaseKey *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInformationObjectBaseKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationObjectBaseKey");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationObjectBaseKey_Set_12(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformationObjectBaseKey *op;
  vtkInformation  *temp0;
  vtkObjectBase  *temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = (vtkObjectBase *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkObjectBase"));

  op = (vtkInformationObjectBaseKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationObjectBaseKey");
  op->Set(temp0,temp1);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkInformationObjectBaseKey_Get_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformationObjectBaseKey *op;
  vtkInformation  *temp0;
  vtkObjectBase  *temp20;
  jobject tempH;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));

  op = (vtkInformationObjectBaseKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationObjectBaseKey");
  temp20 = (op)->Get(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkObjectBase", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformationObjectBaseKey_Has_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformationObjectBaseKey *op;
  vtkInformation  *temp0;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));

  op = (vtkInformationObjectBaseKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationObjectBaseKey");
  temp20 = (op)->Has(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationObjectBaseKey_ShallowCopy_15(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformationObjectBaseKey *op;
  vtkInformation  *temp0;
  vtkInformation  *temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkInformation"));

  op = (vtkInformationObjectBaseKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationObjectBaseKey");
  op->ShallowCopy(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationObjectBaseKey_Report_16(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformationObjectBaseKey *op;
  vtkInformation  *temp0;
  vtkGarbageCollector  *temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = (vtkGarbageCollector *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkGarbageCollector"));

  op = (vtkInformationObjectBaseKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationObjectBaseKey");
  op->Report(temp0,temp1);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkInformationObjectBaseKey_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkInformationObjectBaseKey_Typecast);
}
