// java wrapper for vtkInformationUnsignedLongKey object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInformationUnsignedLongKey.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkInformationKey_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInformationUnsignedLongKey_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInformationUnsignedLongKey",dType)) { return me; }
  if ((res= vtkInformationKey_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInformationUnsignedLongKey_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkInformationUnsignedLongKey *op;
  const char    *temp20;

  op = (vtkInformationUnsignedLongKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationUnsignedLongKey");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformationUnsignedLongKey_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInformationUnsignedLongKey *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInformationUnsignedLongKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationUnsignedLongKey");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationUnsignedLongKey_Set_12(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkInformationUnsignedLongKey *op;
  vtkInformation  *temp0;
   unsigned long     temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = id1;

  op = (vtkInformationUnsignedLongKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationUnsignedLongKey");
  op->Set(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformationUnsignedLongKey_Get_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformationUnsignedLongKey *op;
  vtkInformation  *temp0;
   unsigned long     temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));

  op = (vtkInformationUnsignedLongKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationUnsignedLongKey");
  temp20 = (op)->Get(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformationUnsignedLongKey_Has_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformationUnsignedLongKey *op;
  vtkInformation  *temp0;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));

  op = (vtkInformationUnsignedLongKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationUnsignedLongKey");
  temp20 = (op)->Has(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationUnsignedLongKey_ShallowCopy_15(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformationUnsignedLongKey *op;
  vtkInformation  *temp0;
  vtkInformation  *temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkInformation"));

  op = (vtkInformationUnsignedLongKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationUnsignedLongKey");
  op->ShallowCopy(temp0,temp1);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkInformationUnsignedLongKey_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkInformationUnsignedLongKey_Typecast);
}
