// java wrapper for vtkNonLinearCell object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkNonLinearCell.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkCell_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkNonLinearCell_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkNonLinearCell",dType)) { return me; }
  if ((res= vtkCell_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkNonLinearCell_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkNonLinearCell *op;
  const char    *temp20;

  op = (vtkNonLinearCell *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkNonLinearCell");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkNonLinearCell_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkNonLinearCell *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkNonLinearCell *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkNonLinearCell");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkNonLinearCell_SetError_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkNonLinearCell *op;
  double   temp0;
  temp0 = id0;

  op = (vtkNonLinearCell *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkNonLinearCell");
  op->SetError(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkNonLinearCell_GetErrorMinValue_13(JNIEnv *env, jobject obj)
{
  vtkNonLinearCell *op;
  double   temp20;

  op = (vtkNonLinearCell *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkNonLinearCell");
  temp20 = (op)->GetErrorMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkNonLinearCell_GetErrorMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkNonLinearCell *op;
  double   temp20;

  op = (vtkNonLinearCell *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkNonLinearCell");
  temp20 = (op)->GetErrorMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkNonLinearCell_GetError_15(JNIEnv *env, jobject obj)
{
  vtkNonLinearCell *op;
  double   temp20;

  op = (vtkNonLinearCell *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkNonLinearCell");
  temp20 = (op)->GetError();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkNonLinearCell_IsLinear_16(JNIEnv *env, jobject obj)
{
  vtkNonLinearCell *op;
  int      temp20;

  op = (vtkNonLinearCell *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkNonLinearCell");
  temp20 = (op)->IsLinear();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkNonLinearCell_Tessellate_17(JNIEnv *env, jobject obj,jint id0,jobject id1,jobject id2,jobject id3)
{
  vtkNonLinearCell *op;
  vtkIdType   temp0;
  vtkDataSet  *temp1;
  vtkPolyData  *temp2;
  vtkPointLocator  *temp3;
  temp0 = id0;
  temp1 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkDataSet"));
  temp2 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id2,(char *) "vtkPolyData"));
  temp3 = (vtkPointLocator *)(vtkJavaGetPointerFromObject(env,id3,(char *) "vtkPointLocator"));

  op = (vtkNonLinearCell *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkNonLinearCell");
  op->Tessellate(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkNonLinearCell_Tessellate_18(JNIEnv *env, jobject obj,jint id0,jobject id1,jobject id2,jobject id3)
{
  vtkNonLinearCell *op;
  vtkIdType   temp0;
  vtkDataSet  *temp1;
  vtkUnstructuredGrid  *temp2;
  vtkPointLocator  *temp3;
  temp0 = id0;
  temp1 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkDataSet"));
  temp2 = (vtkUnstructuredGrid *)(vtkJavaGetPointerFromObject(env,id2,(char *) "vtkUnstructuredGrid"));
  temp3 = (vtkPointLocator *)(vtkJavaGetPointerFromObject(env,id3,(char *) "vtkPointLocator"));

  op = (vtkNonLinearCell *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkNonLinearCell");
  op->Tessellate(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkNonLinearCell_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkNonLinearCell_Typecast);
}
