// java wrapper for vtkAttributeDataToFieldDataFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAttributeDataToFieldDataFilter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAttributeDataToFieldDataFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAttributeDataToFieldDataFilter",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAttributeDataToFieldDataFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAttributeDataToFieldDataFilter *op;
  const char    *temp20;

  op = (vtkAttributeDataToFieldDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAttributeDataToFieldDataFilter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAttributeDataToFieldDataFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAttributeDataToFieldDataFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAttributeDataToFieldDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAttributeDataToFieldDataFilter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAttributeDataToFieldDataFilter_SetPassAttributeData_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkAttributeDataToFieldDataFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAttributeDataToFieldDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAttributeDataToFieldDataFilter");
  op->SetPassAttributeData(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAttributeDataToFieldDataFilter_GetPassAttributeData_13(JNIEnv *env, jobject obj)
{
  vtkAttributeDataToFieldDataFilter *op;
  int      temp20;

  op = (vtkAttributeDataToFieldDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAttributeDataToFieldDataFilter");
  temp20 = (op)->GetPassAttributeData();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAttributeDataToFieldDataFilter_PassAttributeDataOn_14(JNIEnv *env, jobject obj)
{
  vtkAttributeDataToFieldDataFilter *op;

  op = (vtkAttributeDataToFieldDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAttributeDataToFieldDataFilter");
  op->PassAttributeDataOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAttributeDataToFieldDataFilter_PassAttributeDataOff_15(JNIEnv *env, jobject obj)
{
  vtkAttributeDataToFieldDataFilter *op;

  op = (vtkAttributeDataToFieldDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAttributeDataToFieldDataFilter");
  op->PassAttributeDataOff();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkAttributeDataToFieldDataFilter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkAttributeDataToFieldDataFilter *aNewOne = vtkAttributeDataToFieldDataFilter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkAttributeDataToFieldDataFilter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkAttributeDataToFieldDataFilter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkAttributeDataToFieldDataFilter_Typecast);
}
