// java wrapper for vtkCleanPolyData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCleanPolyData.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCleanPolyData_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCleanPolyData",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCleanPolyData_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCleanPolyData *op;
  const char    *temp20;

  op = (vtkCleanPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCleanPolyData");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCleanPolyData_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCleanPolyData *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCleanPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCleanPolyData");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCleanPolyData_SetToleranceIsAbsolute_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkCleanPolyData *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCleanPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCleanPolyData");
  op->SetToleranceIsAbsolute(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCleanPolyData_ToleranceIsAbsoluteOn_13(JNIEnv *env, jobject obj)
{
  vtkCleanPolyData *op;

  op = (vtkCleanPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCleanPolyData");
  op->ToleranceIsAbsoluteOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCleanPolyData_ToleranceIsAbsoluteOff_14(JNIEnv *env, jobject obj)
{
  vtkCleanPolyData *op;

  op = (vtkCleanPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCleanPolyData");
  op->ToleranceIsAbsoluteOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCleanPolyData_GetToleranceIsAbsolute_15(JNIEnv *env, jobject obj)
{
  vtkCleanPolyData *op;
  int      temp20;

  op = (vtkCleanPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCleanPolyData");
  temp20 = (op)->GetToleranceIsAbsolute();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCleanPolyData_SetTolerance_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCleanPolyData *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCleanPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCleanPolyData");
  op->SetTolerance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCleanPolyData_GetToleranceMinValue_17(JNIEnv *env, jobject obj)
{
  vtkCleanPolyData *op;
  double   temp20;

  op = (vtkCleanPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCleanPolyData");
  temp20 = (op)->GetToleranceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCleanPolyData_GetToleranceMaxValue_18(JNIEnv *env, jobject obj)
{
  vtkCleanPolyData *op;
  double   temp20;

  op = (vtkCleanPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCleanPolyData");
  temp20 = (op)->GetToleranceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCleanPolyData_GetTolerance_19(JNIEnv *env, jobject obj)
{
  vtkCleanPolyData *op;
  double   temp20;

  op = (vtkCleanPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCleanPolyData");
  temp20 = (op)->GetTolerance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCleanPolyData_SetAbsoluteTolerance_110(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCleanPolyData *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCleanPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCleanPolyData");
  op->SetAbsoluteTolerance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCleanPolyData_GetAbsoluteToleranceMinValue_111(JNIEnv *env, jobject obj)
{
  vtkCleanPolyData *op;
  double   temp20;

  op = (vtkCleanPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCleanPolyData");
  temp20 = (op)->GetAbsoluteToleranceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCleanPolyData_GetAbsoluteToleranceMaxValue_112(JNIEnv *env, jobject obj)
{
  vtkCleanPolyData *op;
  double   temp20;

  op = (vtkCleanPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCleanPolyData");
  temp20 = (op)->GetAbsoluteToleranceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCleanPolyData_GetAbsoluteTolerance_113(JNIEnv *env, jobject obj)
{
  vtkCleanPolyData *op;
  double   temp20;

  op = (vtkCleanPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCleanPolyData");
  temp20 = (op)->GetAbsoluteTolerance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCleanPolyData_SetConvertLinesToPoints_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkCleanPolyData *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCleanPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCleanPolyData");
  op->SetConvertLinesToPoints(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCleanPolyData_ConvertLinesToPointsOn_115(JNIEnv *env, jobject obj)
{
  vtkCleanPolyData *op;

  op = (vtkCleanPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCleanPolyData");
  op->ConvertLinesToPointsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCleanPolyData_ConvertLinesToPointsOff_116(JNIEnv *env, jobject obj)
{
  vtkCleanPolyData *op;

  op = (vtkCleanPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCleanPolyData");
  op->ConvertLinesToPointsOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCleanPolyData_GetConvertLinesToPoints_117(JNIEnv *env, jobject obj)
{
  vtkCleanPolyData *op;
  int      temp20;

  op = (vtkCleanPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCleanPolyData");
  temp20 = (op)->GetConvertLinesToPoints();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCleanPolyData_SetConvertPolysToLines_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkCleanPolyData *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCleanPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCleanPolyData");
  op->SetConvertPolysToLines(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCleanPolyData_ConvertPolysToLinesOn_119(JNIEnv *env, jobject obj)
{
  vtkCleanPolyData *op;

  op = (vtkCleanPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCleanPolyData");
  op->ConvertPolysToLinesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCleanPolyData_ConvertPolysToLinesOff_120(JNIEnv *env, jobject obj)
{
  vtkCleanPolyData *op;

  op = (vtkCleanPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCleanPolyData");
  op->ConvertPolysToLinesOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCleanPolyData_GetConvertPolysToLines_121(JNIEnv *env, jobject obj)
{
  vtkCleanPolyData *op;
  int      temp20;

  op = (vtkCleanPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCleanPolyData");
  temp20 = (op)->GetConvertPolysToLines();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCleanPolyData_SetConvertStripsToPolys_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkCleanPolyData *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCleanPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCleanPolyData");
  op->SetConvertStripsToPolys(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCleanPolyData_ConvertStripsToPolysOn_123(JNIEnv *env, jobject obj)
{
  vtkCleanPolyData *op;

  op = (vtkCleanPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCleanPolyData");
  op->ConvertStripsToPolysOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCleanPolyData_ConvertStripsToPolysOff_124(JNIEnv *env, jobject obj)
{
  vtkCleanPolyData *op;

  op = (vtkCleanPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCleanPolyData");
  op->ConvertStripsToPolysOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCleanPolyData_GetConvertStripsToPolys_125(JNIEnv *env, jobject obj)
{
  vtkCleanPolyData *op;
  int      temp20;

  op = (vtkCleanPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCleanPolyData");
  temp20 = (op)->GetConvertStripsToPolys();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCleanPolyData_SetPointMerging_126(JNIEnv *env, jobject obj,jint id0)
{
  vtkCleanPolyData *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCleanPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCleanPolyData");
  op->SetPointMerging(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCleanPolyData_GetPointMerging_127(JNIEnv *env, jobject obj)
{
  vtkCleanPolyData *op;
  int      temp20;

  op = (vtkCleanPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCleanPolyData");
  temp20 = (op)->GetPointMerging();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCleanPolyData_PointMergingOn_128(JNIEnv *env, jobject obj)
{
  vtkCleanPolyData *op;

  op = (vtkCleanPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCleanPolyData");
  op->PointMergingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCleanPolyData_PointMergingOff_129(JNIEnv *env, jobject obj)
{
  vtkCleanPolyData *op;

  op = (vtkCleanPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCleanPolyData");
  op->PointMergingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCleanPolyData_SetLocator_130(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCleanPolyData *op;
  vtkPointLocator  *temp0;
  temp0 = (vtkPointLocator *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPointLocator"));

  op = (vtkCleanPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCleanPolyData");
  op->SetLocator(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCleanPolyData_GetLocator_131(JNIEnv *env, jobject obj)
{
  vtkCleanPolyData *op;
  vtkPointLocator  *temp20;
  jobject tempH;

  op = (vtkCleanPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCleanPolyData");
  temp20 = (op)->GetLocator();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPointLocator", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCleanPolyData_CreateDefaultLocator_132(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCleanPolyData *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPolyData"));

  op = (vtkCleanPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCleanPolyData");
  op->CreateDefaultLocator(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCleanPolyData_ReleaseLocator_133(JNIEnv *env, jobject obj)
{
  vtkCleanPolyData *op;

  op = (vtkCleanPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCleanPolyData");
  op->ReleaseLocator();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCleanPolyData_GetMTime_134(JNIEnv *env, jobject obj)
{
  vtkCleanPolyData *op;
   unsigned long     temp20;

  op = (vtkCleanPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCleanPolyData");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCleanPolyData_OperateOnPoint_135(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkCleanPolyData *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkCleanPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCleanPolyData");
  op->OperateOnPoint(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCleanPolyData_OperateOnBounds_136(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkCleanPolyData *op;
  double temp0[6];
  void *tempArray0;
  double temp1[6];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];

  op = (vtkCleanPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCleanPolyData");
  op->OperateOnBounds(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCleanPolyData_SetPieceInvariant_137(JNIEnv *env, jobject obj,jint id0)
{
  vtkCleanPolyData *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCleanPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCleanPolyData");
  op->SetPieceInvariant(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCleanPolyData_GetPieceInvariant_138(JNIEnv *env, jobject obj)
{
  vtkCleanPolyData *op;
  int      temp20;

  op = (vtkCleanPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCleanPolyData");
  temp20 = (op)->GetPieceInvariant();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCleanPolyData_PieceInvariantOn_139(JNIEnv *env, jobject obj)
{
  vtkCleanPolyData *op;

  op = (vtkCleanPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCleanPolyData");
  op->PieceInvariantOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCleanPolyData_PieceInvariantOff_140(JNIEnv *env, jobject obj)
{
  vtkCleanPolyData *op;

  op = (vtkCleanPolyData *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCleanPolyData");
  op->PieceInvariantOff();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkCleanPolyData_VTKInit(JNIEnv *env, jobject obj)
{
  vtkCleanPolyData *aNewOne = vtkCleanPolyData::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkCleanPolyData_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkCleanPolyData_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkCleanPolyData_Typecast);
}
