// java wrapper for vtkExtractTensorComponents object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExtractTensorComponents.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkExtractTensorComponents_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkExtractTensorComponents",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExtractTensorComponents_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkExtractTensorComponents *op;
  const char    *temp20;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractTensorComponents_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExtractTensorComponents *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractTensorComponents_SetPassTensorsToOutput_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkExtractTensorComponents *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  op->SetPassTensorsToOutput(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractTensorComponents_GetPassTensorsToOutput_13(JNIEnv *env, jobject obj)
{
  vtkExtractTensorComponents *op;
  int      temp20;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  temp20 = (op)->GetPassTensorsToOutput();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractTensorComponents_PassTensorsToOutputOn_14(JNIEnv *env, jobject obj)
{
  vtkExtractTensorComponents *op;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  op->PassTensorsToOutputOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractTensorComponents_PassTensorsToOutputOff_15(JNIEnv *env, jobject obj)
{
  vtkExtractTensorComponents *op;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  op->PassTensorsToOutputOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractTensorComponents_SetExtractScalars_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkExtractTensorComponents *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  op->SetExtractScalars(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractTensorComponents_GetExtractScalars_17(JNIEnv *env, jobject obj)
{
  vtkExtractTensorComponents *op;
  int      temp20;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  temp20 = (op)->GetExtractScalars();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractTensorComponents_ExtractScalarsOn_18(JNIEnv *env, jobject obj)
{
  vtkExtractTensorComponents *op;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  op->ExtractScalarsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractTensorComponents_ExtractScalarsOff_19(JNIEnv *env, jobject obj)
{
  vtkExtractTensorComponents *op;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  op->ExtractScalarsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractTensorComponents_SetScalarComponents_110(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkExtractTensorComponents *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  op->SetScalarComponents(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractTensorComponents_SetScalarComponents_111(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkExtractTensorComponents *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  op->SetScalarComponents(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkExtractTensorComponents_GetScalarComponents_112(JNIEnv *env, jobject obj)
{
  vtkExtractTensorComponents *op;
  int     *temp20;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  temp20 = (op)->GetScalarComponents();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractTensorComponents_SetScalarMode_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkExtractTensorComponents *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  op->SetScalarMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractTensorComponents_GetScalarMode_114(JNIEnv *env, jobject obj)
{
  vtkExtractTensorComponents *op;
  int      temp20;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  temp20 = (op)->GetScalarMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractTensorComponents_SetScalarModeToComponent_115(JNIEnv *env, jobject obj)
{
  vtkExtractTensorComponents *op;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  op->SetScalarModeToComponent();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractTensorComponents_SetScalarModeToEffectiveStress_116(JNIEnv *env, jobject obj)
{
  vtkExtractTensorComponents *op;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  op->SetScalarModeToEffectiveStress();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractTensorComponents_SetScalarModeToDeterminant_117(JNIEnv *env, jobject obj)
{
  vtkExtractTensorComponents *op;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  op->SetScalarModeToDeterminant();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractTensorComponents_ScalarIsComponent_118(JNIEnv *env, jobject obj)
{
  vtkExtractTensorComponents *op;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  op->ScalarIsComponent();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractTensorComponents_ScalarIsEffectiveStress_119(JNIEnv *env, jobject obj)
{
  vtkExtractTensorComponents *op;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  op->ScalarIsEffectiveStress();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractTensorComponents_ScalarIsDeterminant_120(JNIEnv *env, jobject obj)
{
  vtkExtractTensorComponents *op;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  op->ScalarIsDeterminant();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractTensorComponents_SetExtractVectors_121(JNIEnv *env, jobject obj,jint id0)
{
  vtkExtractTensorComponents *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  op->SetExtractVectors(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractTensorComponents_GetExtractVectors_122(JNIEnv *env, jobject obj)
{
  vtkExtractTensorComponents *op;
  int      temp20;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  temp20 = (op)->GetExtractVectors();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractTensorComponents_ExtractVectorsOn_123(JNIEnv *env, jobject obj)
{
  vtkExtractTensorComponents *op;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  op->ExtractVectorsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractTensorComponents_ExtractVectorsOff_124(JNIEnv *env, jobject obj)
{
  vtkExtractTensorComponents *op;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  op->ExtractVectorsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractTensorComponents_SetVectorComponents_125(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkExtractTensorComponents *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  op->SetVectorComponents(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractTensorComponents_SetVectorComponents_126(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkExtractTensorComponents *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  op->SetVectorComponents(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkExtractTensorComponents_GetVectorComponents_127(JNIEnv *env, jobject obj)
{
  vtkExtractTensorComponents *op;
  int     *temp20;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  temp20 = (op)->GetVectorComponents();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractTensorComponents_SetExtractNormals_128(JNIEnv *env, jobject obj,jint id0)
{
  vtkExtractTensorComponents *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  op->SetExtractNormals(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractTensorComponents_GetExtractNormals_129(JNIEnv *env, jobject obj)
{
  vtkExtractTensorComponents *op;
  int      temp20;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  temp20 = (op)->GetExtractNormals();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractTensorComponents_ExtractNormalsOn_130(JNIEnv *env, jobject obj)
{
  vtkExtractTensorComponents *op;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  op->ExtractNormalsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractTensorComponents_ExtractNormalsOff_131(JNIEnv *env, jobject obj)
{
  vtkExtractTensorComponents *op;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  op->ExtractNormalsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractTensorComponents_SetNormalizeNormals_132(JNIEnv *env, jobject obj,jint id0)
{
  vtkExtractTensorComponents *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  op->SetNormalizeNormals(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractTensorComponents_GetNormalizeNormals_133(JNIEnv *env, jobject obj)
{
  vtkExtractTensorComponents *op;
  int      temp20;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  temp20 = (op)->GetNormalizeNormals();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractTensorComponents_NormalizeNormalsOn_134(JNIEnv *env, jobject obj)
{
  vtkExtractTensorComponents *op;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  op->NormalizeNormalsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractTensorComponents_NormalizeNormalsOff_135(JNIEnv *env, jobject obj)
{
  vtkExtractTensorComponents *op;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  op->NormalizeNormalsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractTensorComponents_SetNormalComponents_136(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkExtractTensorComponents *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  op->SetNormalComponents(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractTensorComponents_SetNormalComponents_137(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkExtractTensorComponents *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  op->SetNormalComponents(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkExtractTensorComponents_GetNormalComponents_138(JNIEnv *env, jobject obj)
{
  vtkExtractTensorComponents *op;
  int     *temp20;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  temp20 = (op)->GetNormalComponents();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractTensorComponents_SetExtractTCoords_139(JNIEnv *env, jobject obj,jint id0)
{
  vtkExtractTensorComponents *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  op->SetExtractTCoords(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractTensorComponents_GetExtractTCoords_140(JNIEnv *env, jobject obj)
{
  vtkExtractTensorComponents *op;
  int      temp20;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  temp20 = (op)->GetExtractTCoords();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractTensorComponents_ExtractTCoordsOn_141(JNIEnv *env, jobject obj)
{
  vtkExtractTensorComponents *op;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  op->ExtractTCoordsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractTensorComponents_ExtractTCoordsOff_142(JNIEnv *env, jobject obj)
{
  vtkExtractTensorComponents *op;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  op->ExtractTCoordsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractTensorComponents_SetNumberOfTCoords_143(JNIEnv *env, jobject obj,jint id0)
{
  vtkExtractTensorComponents *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  op->SetNumberOfTCoords(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractTensorComponents_GetNumberOfTCoordsMinValue_144(JNIEnv *env, jobject obj)
{
  vtkExtractTensorComponents *op;
  int      temp20;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  temp20 = (op)->GetNumberOfTCoordsMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractTensorComponents_GetNumberOfTCoordsMaxValue_145(JNIEnv *env, jobject obj)
{
  vtkExtractTensorComponents *op;
  int      temp20;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  temp20 = (op)->GetNumberOfTCoordsMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractTensorComponents_GetNumberOfTCoords_146(JNIEnv *env, jobject obj)
{
  vtkExtractTensorComponents *op;
  int      temp20;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  temp20 = (op)->GetNumberOfTCoords();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractTensorComponents_SetTCoordComponents_147(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkExtractTensorComponents *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  op->SetTCoordComponents(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractTensorComponents_SetTCoordComponents_148(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkExtractTensorComponents *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  op->SetTCoordComponents(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkExtractTensorComponents_GetTCoordComponents_149(JNIEnv *env, jobject obj)
{
  vtkExtractTensorComponents *op;
  int     *temp20;

  op = (vtkExtractTensorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractTensorComponents");
  temp20 = (op)->GetTCoordComponents();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,6);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkExtractTensorComponents_VTKInit(JNIEnv *env, jobject obj)
{
  vtkExtractTensorComponents *aNewOne = vtkExtractTensorComponents::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkExtractTensorComponents_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkExtractTensorComponents_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkExtractTensorComponents_Typecast);
}
