// java wrapper for vtkKdNode object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKdNode.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkKdNode_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkKdNode",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkKdNode_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkKdNode *op;
  const char    *temp20;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdNode");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdNode_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkKdNode *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdNode");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdNode_SetDim_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkKdNode *op;
  int      temp0;
  temp0 = id0;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdNode");
  op->SetDim(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdNode_GetDim_13(JNIEnv *env, jobject obj)
{
  vtkKdNode *op;
  int      temp20;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdNode");
  temp20 = (op)->GetDim();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdNode_SetNumberOfPoints_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkKdNode *op;
  int      temp0;
  temp0 = id0;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdNode");
  op->SetNumberOfPoints(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdNode_GetNumberOfPoints_15(JNIEnv *env, jobject obj)
{
  vtkKdNode *op;
  int      temp20;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdNode");
  temp20 = (op)->GetNumberOfPoints();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdNode_SetBounds_16(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkKdNode *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdNode");
  op->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdNode_SetDataBounds_17(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkKdNode *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdNode");
  op->SetDataBounds(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdNode_SetID_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkKdNode *op;
  int      temp0;
  temp0 = id0;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdNode");
  op->SetID(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdNode_GetID_19(JNIEnv *env, jobject obj)
{
  vtkKdNode *op;
  int      temp20;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdNode");
  temp20 = (op)->GetID();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdNode_GetMinID_110(JNIEnv *env, jobject obj)
{
  vtkKdNode *op;
  int      temp20;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdNode");
  temp20 = (op)->GetMinID();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdNode_GetMaxID_111(JNIEnv *env, jobject obj)
{
  vtkKdNode *op;
  int      temp20;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdNode");
  temp20 = (op)->GetMaxID();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdNode_SetMinID_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkKdNode *op;
  int      temp0;
  temp0 = id0;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdNode");
  op->SetMinID(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdNode_SetMaxID_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkKdNode *op;
  int      temp0;
  temp0 = id0;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdNode");
  op->SetMaxID(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdNode_AddChildNodes_114(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkKdNode *op;
  vtkKdNode  *temp0;
  vtkKdNode  *temp1;
  temp0 = (vtkKdNode *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkKdNode"));
  temp1 = (vtkKdNode *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkKdNode"));

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdNode");
  op->AddChildNodes(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdNode_DeleteChildNodes_115(JNIEnv *env, jobject obj)
{
  vtkKdNode *op;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdNode");
  op->DeleteChildNodes();
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkKdNode_GetLeft_116(JNIEnv *env, jobject obj)
{
  vtkKdNode *op;
  vtkKdNode  *temp20;
  jobject tempH;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdNode");
  temp20 = (op)->GetLeft();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkKdNode", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdNode_SetLeft_117(JNIEnv *env, jobject obj,jobject id0)
{
  vtkKdNode *op;
  vtkKdNode  *temp0;
  temp0 = (vtkKdNode *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkKdNode"));

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdNode");
  op->SetLeft(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkKdNode_GetRight_118(JNIEnv *env, jobject obj)
{
  vtkKdNode *op;
  vtkKdNode  *temp20;
  jobject tempH;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdNode");
  temp20 = (op)->GetRight();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkKdNode", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdNode_SetRight_119(JNIEnv *env, jobject obj,jobject id0)
{
  vtkKdNode *op;
  vtkKdNode  *temp0;
  temp0 = (vtkKdNode *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkKdNode"));

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdNode");
  op->SetRight(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkKdNode_GetUp_120(JNIEnv *env, jobject obj)
{
  vtkKdNode *op;
  vtkKdNode  *temp20;
  jobject tempH;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdNode");
  temp20 = (op)->GetUp();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkKdNode", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdNode_SetUp_121(JNIEnv *env, jobject obj,jobject id0)
{
  vtkKdNode *op;
  vtkKdNode  *temp0;
  temp0 = (vtkKdNode *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkKdNode"));

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdNode");
  op->SetUp(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdNode_IntersectsBox_122(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5,jint id6)
{
  vtkKdNode *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  int      temp6;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;
  temp6 = id6;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdNode");
  temp20 = (op)->IntersectsBox(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdNode_IntersectsSphere2_123(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jint id4)
{
  vtkKdNode *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  int      temp4;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdNode");
  temp20 = (op)->IntersectsSphere2(temp0,temp1,temp2,temp3,temp4);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdNode_IntersectsRegion_124(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkKdNode *op;
  vtkPlanesIntersection  *temp0;
  int      temp1;
  int      temp20;
  temp0 = (vtkPlanesIntersection *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPlanesIntersection"));
  temp1 = id1;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdNode");
  temp20 = (op)->IntersectsRegion(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdNode_ContainsBox_125(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5,jint id6)
{
  vtkKdNode *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  int      temp6;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;
  temp6 = id6;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdNode");
  temp20 = (op)->ContainsBox(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdNode_ContainsPoint_126(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jint id3)
{
  vtkKdNode *op;
  double   temp0;
  double   temp1;
  double   temp2;
  int      temp3;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdNode");
  temp20 = (op)->ContainsPoint(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkKdNode_GetDistance2ToBoundary_127(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jint id3)
{
  vtkKdNode *op;
  double   temp0;
  double   temp1;
  double   temp2;
  int      temp3;
  double   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdNode");
  temp20 = (op)->GetDistance2ToBoundary(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkKdNode_GetDistance2ToInnerBoundary_128(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkKdNode *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdNode");
  temp20 = (op)->GetDistance2ToInnerBoundary(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdNode_PrintNode_129(JNIEnv *env, jobject obj,jint id0)
{
  vtkKdNode *op;
  int      temp0;
  temp0 = id0;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdNode");
  op->PrintNode(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdNode_PrintVerboseNode_130(JNIEnv *env, jobject obj,jint id0)
{
  vtkKdNode *op;
  int      temp0;
  temp0 = id0;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkKdNode");
  op->PrintVerboseNode(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkKdNode_VTKInit(JNIEnv *env, jobject obj)
{
  vtkKdNode *aNewOne = vtkKdNode::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkKdNode_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkKdNode_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkKdNode_Typecast);
}
