// java wrapper for vtkLinearSubdivisionFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLinearSubdivisionFilter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkInterpolatingSubdivisionFilter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkLinearSubdivisionFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkLinearSubdivisionFilter",dType)) { return me; }
  if ((res= vtkInterpolatingSubdivisionFilter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkLinearSubdivisionFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkLinearSubdivisionFilter *op;
  const char    *temp20;

  op = (vtkLinearSubdivisionFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLinearSubdivisionFilter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLinearSubdivisionFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkLinearSubdivisionFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkLinearSubdivisionFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLinearSubdivisionFilter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkLinearSubdivisionFilter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkLinearSubdivisionFilter *aNewOne = vtkLinearSubdivisionFilter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkLinearSubdivisionFilter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkLinearSubdivisionFilter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkLinearSubdivisionFilter_Typecast);
}
