// java wrapper for vtkMaskPoints object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMaskPoints.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMaskPoints_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMaskPoints",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMaskPoints_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMaskPoints *op;
  const char    *temp20;

  op = (vtkMaskPoints *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMaskPoints");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMaskPoints_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMaskPoints *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMaskPoints *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMaskPoints");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMaskPoints_SetOnRatio_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkMaskPoints *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMaskPoints *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMaskPoints");
  op->SetOnRatio(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMaskPoints_GetOnRatioMinValue_13(JNIEnv *env, jobject obj)
{
  vtkMaskPoints *op;
  int      temp20;

  op = (vtkMaskPoints *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMaskPoints");
  temp20 = (op)->GetOnRatioMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMaskPoints_GetOnRatioMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkMaskPoints *op;
  int      temp20;

  op = (vtkMaskPoints *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMaskPoints");
  temp20 = (op)->GetOnRatioMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMaskPoints_GetOnRatio_15(JNIEnv *env, jobject obj)
{
  vtkMaskPoints *op;
  int      temp20;

  op = (vtkMaskPoints *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMaskPoints");
  temp20 = (op)->GetOnRatio();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMaskPoints_SetMaximumNumberOfPoints_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkMaskPoints *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkMaskPoints *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMaskPoints");
  op->SetMaximumNumberOfPoints(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMaskPoints_GetMaximumNumberOfPointsMinValue_17(JNIEnv *env, jobject obj)
{
  vtkMaskPoints *op;
  vtkIdType   temp20;

  op = (vtkMaskPoints *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMaskPoints");
  temp20 = (op)->GetMaximumNumberOfPointsMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMaskPoints_GetMaximumNumberOfPointsMaxValue_18(JNIEnv *env, jobject obj)
{
  vtkMaskPoints *op;
  vtkIdType   temp20;

  op = (vtkMaskPoints *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMaskPoints");
  temp20 = (op)->GetMaximumNumberOfPointsMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMaskPoints_GetMaximumNumberOfPoints_19(JNIEnv *env, jobject obj)
{
  vtkMaskPoints *op;
  vtkIdType   temp20;

  op = (vtkMaskPoints *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMaskPoints");
  temp20 = (op)->GetMaximumNumberOfPoints();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMaskPoints_SetOffset_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkMaskPoints *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkMaskPoints *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMaskPoints");
  op->SetOffset(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMaskPoints_GetOffsetMinValue_111(JNIEnv *env, jobject obj)
{
  vtkMaskPoints *op;
  vtkIdType   temp20;

  op = (vtkMaskPoints *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMaskPoints");
  temp20 = (op)->GetOffsetMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMaskPoints_GetOffsetMaxValue_112(JNIEnv *env, jobject obj)
{
  vtkMaskPoints *op;
  vtkIdType   temp20;

  op = (vtkMaskPoints *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMaskPoints");
  temp20 = (op)->GetOffsetMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMaskPoints_GetOffset_113(JNIEnv *env, jobject obj)
{
  vtkMaskPoints *op;
  vtkIdType   temp20;

  op = (vtkMaskPoints *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMaskPoints");
  temp20 = (op)->GetOffset();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMaskPoints_SetRandomMode_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkMaskPoints *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMaskPoints *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMaskPoints");
  op->SetRandomMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMaskPoints_GetRandomMode_115(JNIEnv *env, jobject obj)
{
  vtkMaskPoints *op;
  int      temp20;

  op = (vtkMaskPoints *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMaskPoints");
  temp20 = (op)->GetRandomMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMaskPoints_RandomModeOn_116(JNIEnv *env, jobject obj)
{
  vtkMaskPoints *op;

  op = (vtkMaskPoints *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMaskPoints");
  op->RandomModeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMaskPoints_RandomModeOff_117(JNIEnv *env, jobject obj)
{
  vtkMaskPoints *op;

  op = (vtkMaskPoints *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMaskPoints");
  op->RandomModeOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMaskPoints_SetGenerateVertices_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkMaskPoints *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMaskPoints *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMaskPoints");
  op->SetGenerateVertices(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMaskPoints_GetGenerateVertices_119(JNIEnv *env, jobject obj)
{
  vtkMaskPoints *op;
  int      temp20;

  op = (vtkMaskPoints *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMaskPoints");
  temp20 = (op)->GetGenerateVertices();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMaskPoints_GenerateVerticesOn_120(JNIEnv *env, jobject obj)
{
  vtkMaskPoints *op;

  op = (vtkMaskPoints *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMaskPoints");
  op->GenerateVerticesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMaskPoints_GenerateVerticesOff_121(JNIEnv *env, jobject obj)
{
  vtkMaskPoints *op;

  op = (vtkMaskPoints *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMaskPoints");
  op->GenerateVerticesOff();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkMaskPoints_VTKInit(JNIEnv *env, jobject obj)
{
  vtkMaskPoints *aNewOne = vtkMaskPoints::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkMaskPoints_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkMaskPoints_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkMaskPoints_Typecast);
}
