// java wrapper for vtkParametricFunctionSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkParametricFunctionSource.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkParametricFunctionSource_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkParametricFunctionSource",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkParametricFunctionSource_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkParametricFunctionSource *op;
  const char    *temp20;

  op = (vtkParametricFunctionSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricFunctionSource");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParametricFunctionSource_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkParametricFunctionSource *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkParametricFunctionSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricFunctionSource");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricFunctionSource_SetParametricFunction_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkParametricFunctionSource *op;
  vtkParametricFunction  *temp0;
  temp0 = (vtkParametricFunction *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkParametricFunction"));

  op = (vtkParametricFunctionSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricFunctionSource");
  op->SetParametricFunction(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkParametricFunctionSource_GetParametricFunction_13(JNIEnv *env, jobject obj)
{
  vtkParametricFunctionSource *op;
  vtkParametricFunction  *temp20;
  jobject tempH;

  op = (vtkParametricFunctionSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricFunctionSource");
  temp20 = (op)->GetParametricFunction();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkParametricFunction", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricFunctionSource_SetUResolution_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkParametricFunctionSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParametricFunctionSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricFunctionSource");
  op->SetUResolution(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParametricFunctionSource_GetUResolution_15(JNIEnv *env, jobject obj)
{
  vtkParametricFunctionSource *op;
  int      temp20;

  op = (vtkParametricFunctionSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricFunctionSource");
  temp20 = (op)->GetUResolution();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricFunctionSource_SetVResolution_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkParametricFunctionSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParametricFunctionSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricFunctionSource");
  op->SetVResolution(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParametricFunctionSource_GetVResolution_17(JNIEnv *env, jobject obj)
{
  vtkParametricFunctionSource *op;
  int      temp20;

  op = (vtkParametricFunctionSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricFunctionSource");
  temp20 = (op)->GetVResolution();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricFunctionSource_SetWResolution_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkParametricFunctionSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParametricFunctionSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricFunctionSource");
  op->SetWResolution(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParametricFunctionSource_GetWResolution_19(JNIEnv *env, jobject obj)
{
  vtkParametricFunctionSource *op;
  int      temp20;

  op = (vtkParametricFunctionSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricFunctionSource");
  temp20 = (op)->GetWResolution();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricFunctionSource_GenerateTextureCoordinatesOn_110(JNIEnv *env, jobject obj)
{
  vtkParametricFunctionSource *op;

  op = (vtkParametricFunctionSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricFunctionSource");
  op->GenerateTextureCoordinatesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricFunctionSource_GenerateTextureCoordinatesOff_111(JNIEnv *env, jobject obj)
{
  vtkParametricFunctionSource *op;

  op = (vtkParametricFunctionSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricFunctionSource");
  op->GenerateTextureCoordinatesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricFunctionSource_SetGenerateTextureCoordinates_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkParametricFunctionSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParametricFunctionSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricFunctionSource");
  op->SetGenerateTextureCoordinates(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParametricFunctionSource_GetGenerateTextureCoordinates_113(JNIEnv *env, jobject obj)
{
  vtkParametricFunctionSource *op;
  int      temp20;

  op = (vtkParametricFunctionSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricFunctionSource");
  temp20 = (op)->GetGenerateTextureCoordinates();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricFunctionSource_SetScalarMode_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkParametricFunctionSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParametricFunctionSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricFunctionSource");
  op->SetScalarMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParametricFunctionSource_GetScalarModeMinValue_115(JNIEnv *env, jobject obj)
{
  vtkParametricFunctionSource *op;
  int      temp20;

  op = (vtkParametricFunctionSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricFunctionSource");
  temp20 = (op)->GetScalarModeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParametricFunctionSource_GetScalarModeMaxValue_116(JNIEnv *env, jobject obj)
{
  vtkParametricFunctionSource *op;
  int      temp20;

  op = (vtkParametricFunctionSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricFunctionSource");
  temp20 = (op)->GetScalarModeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParametricFunctionSource_GetScalarMode_117(JNIEnv *env, jobject obj)
{
  vtkParametricFunctionSource *op;
  int      temp20;

  op = (vtkParametricFunctionSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricFunctionSource");
  temp20 = (op)->GetScalarMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricFunctionSource_SetScalarModeToNone_118(JNIEnv *env, jobject obj)
{
  vtkParametricFunctionSource *op;

  op = (vtkParametricFunctionSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricFunctionSource");
  op->SetScalarModeToNone();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricFunctionSource_SetScalarModeToU_119(JNIEnv *env, jobject obj)
{
  vtkParametricFunctionSource *op;

  op = (vtkParametricFunctionSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricFunctionSource");
  op->SetScalarModeToU();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricFunctionSource_SetScalarModeToV_120(JNIEnv *env, jobject obj)
{
  vtkParametricFunctionSource *op;

  op = (vtkParametricFunctionSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricFunctionSource");
  op->SetScalarModeToV();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricFunctionSource_SetScalarModeToU0_121(JNIEnv *env, jobject obj)
{
  vtkParametricFunctionSource *op;

  op = (vtkParametricFunctionSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricFunctionSource");
  op->SetScalarModeToU0();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricFunctionSource_SetScalarModeToV0_122(JNIEnv *env, jobject obj)
{
  vtkParametricFunctionSource *op;

  op = (vtkParametricFunctionSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricFunctionSource");
  op->SetScalarModeToV0();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricFunctionSource_SetScalarModeToU0V0_123(JNIEnv *env, jobject obj)
{
  vtkParametricFunctionSource *op;

  op = (vtkParametricFunctionSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricFunctionSource");
  op->SetScalarModeToU0V0();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricFunctionSource_SetScalarModeToModulus_124(JNIEnv *env, jobject obj)
{
  vtkParametricFunctionSource *op;

  op = (vtkParametricFunctionSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricFunctionSource");
  op->SetScalarModeToModulus();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricFunctionSource_SetScalarModeToPhase_125(JNIEnv *env, jobject obj)
{
  vtkParametricFunctionSource *op;

  op = (vtkParametricFunctionSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricFunctionSource");
  op->SetScalarModeToPhase();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricFunctionSource_SetScalarModeToQuadrant_126(JNIEnv *env, jobject obj)
{
  vtkParametricFunctionSource *op;

  op = (vtkParametricFunctionSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricFunctionSource");
  op->SetScalarModeToQuadrant();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricFunctionSource_SetScalarModeToX_127(JNIEnv *env, jobject obj)
{
  vtkParametricFunctionSource *op;

  op = (vtkParametricFunctionSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricFunctionSource");
  op->SetScalarModeToX();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricFunctionSource_SetScalarModeToY_128(JNIEnv *env, jobject obj)
{
  vtkParametricFunctionSource *op;

  op = (vtkParametricFunctionSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricFunctionSource");
  op->SetScalarModeToY();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricFunctionSource_SetScalarModeToZ_129(JNIEnv *env, jobject obj)
{
  vtkParametricFunctionSource *op;

  op = (vtkParametricFunctionSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricFunctionSource");
  op->SetScalarModeToZ();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricFunctionSource_SetScalarModeToDistance_130(JNIEnv *env, jobject obj)
{
  vtkParametricFunctionSource *op;

  op = (vtkParametricFunctionSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricFunctionSource");
  op->SetScalarModeToDistance();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricFunctionSource_SetScalarModeToFunctionDefined_131(JNIEnv *env, jobject obj)
{
  vtkParametricFunctionSource *op;

  op = (vtkParametricFunctionSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricFunctionSource");
  op->SetScalarModeToFunctionDefined();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParametricFunctionSource_GetMTime_132(JNIEnv *env, jobject obj)
{
  vtkParametricFunctionSource *op;
   unsigned long     temp20;

  op = (vtkParametricFunctionSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkParametricFunctionSource");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkParametricFunctionSource_VTKInit(JNIEnv *env, jobject obj)
{
  vtkParametricFunctionSource *aNewOne = vtkParametricFunctionSource::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkParametricFunctionSource_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkParametricFunctionSource_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkParametricFunctionSource_Typecast);
}
