// java wrapper for vtkSplitField object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSplitField.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSplitField_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSplitField",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSplitField_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSplitField *op;
  const char    *temp20;

  op = (vtkSplitField *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplitField");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSplitField_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSplitField *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSplitField *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplitField");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplitField_SetInputField_12(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkSplitField *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkSplitField *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplitField");
  op->SetInputField(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplitField_SetInputField_13(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkSplitField *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkSplitField *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplitField");
  op->SetInputField(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplitField_SetInputField_14(JNIEnv *env, jobject obj,jstring id0,jstring id1)
{
  vtkSplitField *op;
  char    *temp0;
  char    *temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkSplitField *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplitField");
  op->SetInputField(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplitField_Split_15(JNIEnv *env, jobject obj,jint id0,jstring id1)
{
  vtkSplitField *op;
  int      temp0;
  char    *temp1;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkSplitField *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSplitField");
  op->Split(temp0,temp1);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkSplitField_VTKInit(JNIEnv *env, jobject obj)
{
  vtkSplitField *aNewOne = vtkSplitField::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkSplitField_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkSplitField_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkSplitField_Typecast);
}
