// java wrapper for vtkWarpVector object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkWarpVector.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPointSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkWarpVector_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkWarpVector",dType)) { return me; }
  if ((res= vtkPointSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkWarpVector_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkWarpVector *op;
  const char    *temp20;

  op = (vtkWarpVector *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkWarpVector");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWarpVector_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkWarpVector *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkWarpVector *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkWarpVector");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWarpVector_SetScaleFactor_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkWarpVector *op;
  double   temp0;
  temp0 = id0;

  op = (vtkWarpVector *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkWarpVector");
  op->SetScaleFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkWarpVector_GetScaleFactor_13(JNIEnv *env, jobject obj)
{
  vtkWarpVector *op;
  double   temp20;

  op = (vtkWarpVector *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkWarpVector");
  temp20 = (op)->GetScaleFactor();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkWarpVector_VTKInit(JNIEnv *env, jobject obj)
{
  vtkWarpVector *aNewOne = vtkWarpVector::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkWarpVector_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkWarpVector_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkWarpVector_Typecast);
}
