// java wrapper for vtkDSPFilterGroup object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDSPFilterGroup.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDSPFilterGroup_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDSPFilterGroup",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDSPFilterGroup_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDSPFilterGroup *op;
  const char    *temp20;

  op = (vtkDSPFilterGroup *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDSPFilterGroup");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDSPFilterGroup_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDSPFilterGroup *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDSPFilterGroup *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDSPFilterGroup");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDSPFilterGroup_AddFilter_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDSPFilterGroup *op;
  vtkDSPFilterDefinition  *temp0;
  temp0 = (vtkDSPFilterDefinition *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDSPFilterDefinition"));

  op = (vtkDSPFilterGroup *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDSPFilterGroup");
  op->AddFilter(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDSPFilterGroup_RemoveFilter_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDSPFilterGroup *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDSPFilterGroup *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDSPFilterGroup");
  op->RemoveFilter(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDSPFilterGroup_AddInputVariableInstance_14(JNIEnv *env, jobject obj,jstring id0,jint id1,jobject id2)
{
  vtkDSPFilterGroup *op;
  char    *temp0;
  int      temp1;
  vtkFloatArray  *temp2;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;
  temp2 = (vtkFloatArray *)(vtkJavaGetPointerFromObject(env,id2,(char *) "vtkFloatArray"));

  op = (vtkDSPFilterGroup *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDSPFilterGroup");
  op->AddInputVariableInstance(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDSPFilterGroup_GetCachedInput_15(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkDSPFilterGroup *op;
  int      temp0;
  int      temp1;
  vtkFloatArray  *temp20;
  jobject tempH;
  temp0 = id0;
  temp1 = id1;

  op = (vtkDSPFilterGroup *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDSPFilterGroup");
  temp20 = (op)->GetCachedInput(temp0,temp1);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkFloatArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDSPFilterGroup_GetCachedOutput_16(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkDSPFilterGroup *op;
  int      temp0;
  int      temp1;
  vtkFloatArray  *temp20;
  jobject tempH;
  temp0 = id0;
  temp1 = id1;

  op = (vtkDSPFilterGroup *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDSPFilterGroup");
  temp20 = (op)->GetCachedOutput(temp0,temp1);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkFloatArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDSPFilterGroup_GetInputVariableName_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkDSPFilterGroup *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkDSPFilterGroup *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDSPFilterGroup");
  temp20 = (op)->GetInputVariableName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDSPFilterGroup_GetNumFilters_18(JNIEnv *env, jobject obj)
{
  vtkDSPFilterGroup *op;
  int      temp20;

  op = (vtkDSPFilterGroup *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDSPFilterGroup");
  temp20 = (op)->GetNumFilters();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDSPFilterGroup_Copy_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDSPFilterGroup *op;
  vtkDSPFilterGroup  *temp0;
  temp0 = (vtkDSPFilterGroup *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDSPFilterGroup"));

  op = (vtkDSPFilterGroup *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDSPFilterGroup");
  op->Copy(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDSPFilterGroup_GetFilter_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkDSPFilterGroup *op;
  int      temp0;
  vtkDSPFilterDefinition  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkDSPFilterGroup *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDSPFilterGroup");
  temp20 = (op)->GetFilter(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDSPFilterDefinition", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDSPFilterGroup_VTKInit(JNIEnv *env, jobject obj)
{
  vtkDSPFilterGroup *aNewOne = vtkDSPFilterGroup::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDSPFilterGroup_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDSPFilterGroup_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDSPFilterGroup_Typecast);
}
