// java wrapper for vtkExodusModel object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExodusModel.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkExodusModel_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkExodusModel",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExodusModel_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkExodusModel *op;
  const char    *temp20;

  op = (vtkExodusModel *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusModel");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusModel_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExodusModel *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExodusModel *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusModel");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusModel_SetGlobalInformation_12(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkExodusModel *op;
  int      temp0;
  int      temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkExodusModel *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusModel");
  temp20 = (op)->SetGlobalInformation(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusModel_AddUGridElementVariable_13(JNIEnv *env, jobject obj,jstring id0,jstring id1,jint id2)
{
  vtkExodusModel *op;
  char    *temp0;
  char    *temp1;
  int      temp2;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = id2;

  op = (vtkExodusModel *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusModel");
  temp20 = (op)->AddUGridElementVariable(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusModel_RemoveUGridElementVariable_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExodusModel *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExodusModel *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusModel");
  temp20 = (op)->RemoveUGridElementVariable(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusModel_AddUGridNodeVariable_15(JNIEnv *env, jobject obj,jstring id0,jstring id1,jint id2)
{
  vtkExodusModel *op;
  char    *temp0;
  char    *temp1;
  int      temp2;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = id2;

  op = (vtkExodusModel *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusModel");
  temp20 = (op)->AddUGridNodeVariable(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusModel_RemoveUGridNodeVariable_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExodusModel *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExodusModel *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusModel");
  temp20 = (op)->RemoveUGridNodeVariable(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusModel_SetLocalInformation_17(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2,jint id3,jint id4)
{
  vtkExodusModel *op;
  vtkUnstructuredGrid  *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp20;
  temp0 = (vtkUnstructuredGrid *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkUnstructuredGrid"));
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;

  op = (vtkExodusModel *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusModel");
  temp20 = (op)->SetLocalInformation(temp0,temp1,temp2,temp3,temp4);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusModel_HasMetadata_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkExodusModel *op;
  vtkUnstructuredGrid  *temp0;
  int      temp20;
  temp0 = (vtkUnstructuredGrid *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkUnstructuredGrid"));

  op = (vtkExodusModel *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusModel");
  temp20 = (op)->HasMetadata(temp0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkExodusModel_GetModelMetadata_19(JNIEnv *env, jobject obj)
{
  vtkExodusModel *op;
  vtkModelMetadata  *temp20;
  jobject tempH;

  op = (vtkExodusModel *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusModel");
  temp20 = (op)->GetModelMetadata();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkModelMetadata", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusModel_SetModelMetadata_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkExodusModel *op;
  vtkModelMetadata  *temp0;
  temp0 = (vtkModelMetadata *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkModelMetadata"));

  op = (vtkExodusModel *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusModel");
  op->SetModelMetadata(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusModel_UnpackExodusModel_111(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkExodusModel *op;
  vtkUnstructuredGrid  *temp0;
  int      temp1;
  int      temp20;
  temp0 = (vtkUnstructuredGrid *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkUnstructuredGrid"));
  temp1 = id1;

  op = (vtkExodusModel *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusModel");
  temp20 = (op)->UnpackExodusModel(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusModel_MergeExodusModel_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkExodusModel *op;
  vtkExodusModel  *temp0;
  int      temp20;
  temp0 = (vtkExodusModel *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkExodusModel"));

  op = (vtkExodusModel *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusModel");
  temp20 = (op)->MergeExodusModel(temp0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkExodusModel_ExtractExodusModel_113(JNIEnv *env, jobject obj,jobject id0,jobject id1,jstring id2,jstring id3)
{
  vtkExodusModel *op;
  vtkIntArray  *temp0;
  vtkUnstructuredGrid  *temp1;
  char    *temp2;
  char    *temp3;
  vtkExodusModel  *temp20;
  jobject tempH;
  temp0 = (vtkIntArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkIntArray"));
  temp1 = (vtkUnstructuredGrid *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkUnstructuredGrid"));
  temp2 = vtkJavaUTFToChar(env,id2);
  temp3 = vtkJavaUTFToChar(env,id3);

  op = (vtkExodusModel *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusModel");
  temp20 = (op)->ExtractExodusModel(temp0,temp1,temp2,temp3);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkExodusModel", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusModel_PackExodusModel_114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkExodusModel *op;
  vtkUnstructuredGrid  *temp0;
  temp0 = (vtkUnstructuredGrid *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkUnstructuredGrid"));

  op = (vtkExodusModel *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusModel");
  op->PackExodusModel(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusModel_Reset_115(JNIEnv *env, jobject obj)
{
  vtkExodusModel *op;

  op = (vtkExodusModel *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusModel");
  op->Reset();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkExodusModel_VTKInit(JNIEnv *env, jobject obj)
{
  vtkExodusModel *aNewOne = vtkExodusModel::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkExodusModel_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkExodusModel_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkExodusModel_Typecast);
}
