// java wrapper for vtkLegendBoxActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLegendBoxActor.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkActor2D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkLegendBoxActor_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkLegendBoxActor",dType)) { return me; }
  if ((res= vtkActor2D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkLegendBoxActor_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;
  const char    *temp20;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLegendBoxActor");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendBoxActor_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkLegendBoxActor *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLegendBoxActor");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_SetNumberOfEntries_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkLegendBoxActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLegendBoxActor");
  op->SetNumberOfEntries(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendBoxActor_GetNumberOfEntries_13(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;
  int      temp20;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLegendBoxActor");
  temp20 = (op)->GetNumberOfEntries();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_SetEntry_14(JNIEnv *env, jobject obj,jint id0,jobject id1,jstring id2,jdoubleArray id3)
{
  vtkLegendBoxActor *op;
  int      temp0;
  vtkPolyData  *temp1;
  char    *temp2;
  double temp3[3];
  void *tempArray3;
  temp0 = id0;
  temp1 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkPolyData"));
  temp2 = vtkJavaUTFToChar(env,id2);
  tempArray3 = (void *)(env->GetDoubleArrayElements(id3,NULL));
  temp3[0] = ((jdouble *)tempArray3)[0];
  temp3[1] = ((jdouble *)tempArray3)[1];
  temp3[2] = ((jdouble *)tempArray3)[2];

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLegendBoxActor");
  op->SetEntry(temp0,temp1,temp2,temp3);
  ((jdouble *)tempArray3)[0] = temp3[0];
  ((jdouble *)tempArray3)[1] = temp3[1];
  ((jdouble *)tempArray3)[2] = temp3[2];
  env->ReleaseDoubleArrayElements(id3,(jdouble *)tempArray3,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_SetEntrySymbol_15(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkLegendBoxActor *op;
  int      temp0;
  vtkPolyData  *temp1;
  temp0 = id0;
  temp1 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkPolyData"));

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLegendBoxActor");
  op->SetEntrySymbol(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_SetEntryString_16(JNIEnv *env, jobject obj,jint id0,jstring id1)
{
  vtkLegendBoxActor *op;
  int      temp0;
  char    *temp1;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLegendBoxActor");
  op->SetEntryString(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_SetEntryColor_17(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkLegendBoxActor *op;
  int      temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLegendBoxActor");
  op->SetEntryColor(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_SetEntryColor_18(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkLegendBoxActor *op;
  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLegendBoxActor");
  op->SetEntryColor(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkLegendBoxActor_GetEntrySymbol_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkLegendBoxActor *op;
  int      temp0;
  vtkPolyData  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLegendBoxActor");
  temp20 = (op)->GetEntrySymbol(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPolyData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkLegendBoxActor_GetEntryString_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkLegendBoxActor *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLegendBoxActor");
  temp20 = (op)->GetEntryString(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkLegendBoxActor_GetEntryColor_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkLegendBoxActor *op;
  int      temp0;
  double  *temp20;
  temp0 = id0;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLegendBoxActor");
  temp20 = (op)->GetEntryColor(temp0);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_SetEntryTextProperty_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLegendBoxActor *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkTextProperty"));

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLegendBoxActor");
  op->SetEntryTextProperty(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkLegendBoxActor_GetEntryTextProperty_113(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;
  vtkTextProperty  *temp20;
  jobject tempH;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLegendBoxActor");
  temp20 = (op)->GetEntryTextProperty();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkTextProperty", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_SetBorder_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkLegendBoxActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLegendBoxActor");
  op->SetBorder(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendBoxActor_GetBorder_115(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;
  int      temp20;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLegendBoxActor");
  temp20 = (op)->GetBorder();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_BorderOn_116(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLegendBoxActor");
  op->BorderOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_BorderOff_117(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLegendBoxActor");
  op->BorderOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_SetLockBorder_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkLegendBoxActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLegendBoxActor");
  op->SetLockBorder(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendBoxActor_GetLockBorder_119(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;
  int      temp20;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLegendBoxActor");
  temp20 = (op)->GetLockBorder();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_LockBorderOn_120(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLegendBoxActor");
  op->LockBorderOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_LockBorderOff_121(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLegendBoxActor");
  op->LockBorderOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_SetBox_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkLegendBoxActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLegendBoxActor");
  op->SetBox(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendBoxActor_GetBox_123(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;
  int      temp20;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLegendBoxActor");
  temp20 = (op)->GetBox();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_BoxOn_124(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLegendBoxActor");
  op->BoxOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_BoxOff_125(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLegendBoxActor");
  op->BoxOff();
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkLegendBoxActor_GetBoxProperty_126(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;
  vtkProperty2D  *temp20;
  jobject tempH;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLegendBoxActor");
  temp20 = (op)->GetBoxProperty();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkProperty2D", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_SetPadding_127(JNIEnv *env, jobject obj,jint id0)
{
  vtkLegendBoxActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLegendBoxActor");
  op->SetPadding(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendBoxActor_GetPaddingMinValue_128(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;
  int      temp20;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLegendBoxActor");
  temp20 = (op)->GetPaddingMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendBoxActor_GetPaddingMaxValue_129(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;
  int      temp20;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLegendBoxActor");
  temp20 = (op)->GetPaddingMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendBoxActor_GetPadding_130(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;
  int      temp20;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLegendBoxActor");
  temp20 = (op)->GetPadding();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_SetScalarVisibility_131(JNIEnv *env, jobject obj,jint id0)
{
  vtkLegendBoxActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLegendBoxActor");
  op->SetScalarVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendBoxActor_GetScalarVisibility_132(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;
  int      temp20;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLegendBoxActor");
  temp20 = (op)->GetScalarVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_ScalarVisibilityOn_133(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLegendBoxActor");
  op->ScalarVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_ScalarVisibilityOff_134(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLegendBoxActor");
  op->ScalarVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_ShallowCopy_135(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLegendBoxActor *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProp"));

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLegendBoxActor");
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkLegendBoxActor_VTKInit(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *aNewOne = vtkLegendBoxActor::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkLegendBoxActor_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkLegendBoxActor_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkLegendBoxActor_Typecast);
}
