// java wrapper for vtkBYUWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBYUWriter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkBYUWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkBYUWriter",dType)) { return me; }
  if ((res= vtkPolyDataWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBYUWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkBYUWriter *op;
  const char    *temp20;

  op = (vtkBYUWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBYUWriter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBYUWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBYUWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBYUWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBYUWriter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBYUWriter_SetGeometryFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBYUWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBYUWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBYUWriter");
  op->SetGeometryFileName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBYUWriter_GetGeometryFileName_13(JNIEnv *env, jobject obj)
{
  vtkBYUWriter *op;
  char    *temp20;

  op = (vtkBYUWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBYUWriter");
  temp20 = (op)->GetGeometryFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBYUWriter_SetDisplacementFileName_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBYUWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBYUWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBYUWriter");
  op->SetDisplacementFileName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBYUWriter_GetDisplacementFileName_15(JNIEnv *env, jobject obj)
{
  vtkBYUWriter *op;
  char    *temp20;

  op = (vtkBYUWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBYUWriter");
  temp20 = (op)->GetDisplacementFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBYUWriter_SetScalarFileName_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBYUWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBYUWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBYUWriter");
  op->SetScalarFileName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBYUWriter_GetScalarFileName_17(JNIEnv *env, jobject obj)
{
  vtkBYUWriter *op;
  char    *temp20;

  op = (vtkBYUWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBYUWriter");
  temp20 = (op)->GetScalarFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBYUWriter_SetTextureFileName_18(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBYUWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBYUWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBYUWriter");
  op->SetTextureFileName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBYUWriter_GetTextureFileName_19(JNIEnv *env, jobject obj)
{
  vtkBYUWriter *op;
  char    *temp20;

  op = (vtkBYUWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBYUWriter");
  temp20 = (op)->GetTextureFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBYUWriter_SetWriteDisplacement_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkBYUWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBYUWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBYUWriter");
  op->SetWriteDisplacement(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBYUWriter_GetWriteDisplacement_111(JNIEnv *env, jobject obj)
{
  vtkBYUWriter *op;
  int      temp20;

  op = (vtkBYUWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBYUWriter");
  temp20 = (op)->GetWriteDisplacement();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBYUWriter_WriteDisplacementOn_112(JNIEnv *env, jobject obj)
{
  vtkBYUWriter *op;

  op = (vtkBYUWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBYUWriter");
  op->WriteDisplacementOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBYUWriter_WriteDisplacementOff_113(JNIEnv *env, jobject obj)
{
  vtkBYUWriter *op;

  op = (vtkBYUWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBYUWriter");
  op->WriteDisplacementOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBYUWriter_SetWriteScalar_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkBYUWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBYUWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBYUWriter");
  op->SetWriteScalar(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBYUWriter_GetWriteScalar_115(JNIEnv *env, jobject obj)
{
  vtkBYUWriter *op;
  int      temp20;

  op = (vtkBYUWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBYUWriter");
  temp20 = (op)->GetWriteScalar();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBYUWriter_WriteScalarOn_116(JNIEnv *env, jobject obj)
{
  vtkBYUWriter *op;

  op = (vtkBYUWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBYUWriter");
  op->WriteScalarOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBYUWriter_WriteScalarOff_117(JNIEnv *env, jobject obj)
{
  vtkBYUWriter *op;

  op = (vtkBYUWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBYUWriter");
  op->WriteScalarOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBYUWriter_SetWriteTexture_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkBYUWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBYUWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBYUWriter");
  op->SetWriteTexture(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBYUWriter_GetWriteTexture_119(JNIEnv *env, jobject obj)
{
  vtkBYUWriter *op;
  int      temp20;

  op = (vtkBYUWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBYUWriter");
  temp20 = (op)->GetWriteTexture();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBYUWriter_WriteTextureOn_120(JNIEnv *env, jobject obj)
{
  vtkBYUWriter *op;

  op = (vtkBYUWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBYUWriter");
  op->WriteTextureOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBYUWriter_WriteTextureOff_121(JNIEnv *env, jobject obj)
{
  vtkBYUWriter *op;

  op = (vtkBYUWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkBYUWriter");
  op->WriteTextureOff();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkBYUWriter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkBYUWriter *aNewOne = vtkBYUWriter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkBYUWriter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkBYUWriter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkBYUWriter_Typecast);
}
