// java wrapper for vtkMedicalImageProperties object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMedicalImageProperties.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMedicalImageProperties_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMedicalImageProperties",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMedicalImageProperties_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  const char    *temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMedicalImageProperties_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMedicalImageProperties *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMedicalImageProperties_Clear_12(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  op->Clear();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMedicalImageProperties_SetPatientName_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMedicalImageProperties *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  op->SetPatientName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMedicalImageProperties_GetPatientName_14(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  char    *temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetPatientName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMedicalImageProperties_SetPatientID_15(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMedicalImageProperties *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  op->SetPatientID(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMedicalImageProperties_GetPatientID_16(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  char    *temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetPatientID();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMedicalImageProperties_SetPatientAge_17(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMedicalImageProperties *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  op->SetPatientAge(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMedicalImageProperties_GetPatientAge_18(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  char    *temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetPatientAge();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMedicalImageProperties_GetPatientAgeYear_19(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  int      temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetPatientAgeYear();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMedicalImageProperties_GetPatientAgeMonth_110(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  int      temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetPatientAgeMonth();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMedicalImageProperties_GetPatientAgeWeek_111(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  int      temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetPatientAgeWeek();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMedicalImageProperties_GetPatientAgeDay_112(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  int      temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetPatientAgeDay();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMedicalImageProperties_SetPatientSex_113(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMedicalImageProperties *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  op->SetPatientSex(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMedicalImageProperties_GetPatientSex_114(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  char    *temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetPatientSex();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMedicalImageProperties_SetPatientBirthDate_115(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMedicalImageProperties *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  op->SetPatientBirthDate(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMedicalImageProperties_GetPatientBirthDate_116(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  char    *temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetPatientBirthDate();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMedicalImageProperties_GetPatientBirthDateYear_117(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  int      temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetPatientBirthDateYear();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMedicalImageProperties_GetPatientBirthDateMonth_118(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  int      temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetPatientBirthDateMonth();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMedicalImageProperties_GetPatientBirthDateDay_119(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  int      temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetPatientBirthDateDay();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMedicalImageProperties_SetAcquisitionDate_120(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMedicalImageProperties *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  op->SetAcquisitionDate(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMedicalImageProperties_GetAcquisitionDate_121(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  char    *temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetAcquisitionDate();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMedicalImageProperties_GetAcquisitionDateYear_122(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  int      temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetAcquisitionDateYear();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMedicalImageProperties_GetAcquisitionDateMonth_123(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  int      temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetAcquisitionDateMonth();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMedicalImageProperties_GetAcquisitionDateDay_124(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  int      temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetAcquisitionDateDay();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMedicalImageProperties_SetAcquisitionTime_125(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMedicalImageProperties *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  op->SetAcquisitionTime(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMedicalImageProperties_GetAcquisitionTime_126(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  char    *temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetAcquisitionTime();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMedicalImageProperties_SetImageDate_127(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMedicalImageProperties *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  op->SetImageDate(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMedicalImageProperties_GetImageDate_128(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  char    *temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetImageDate();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMedicalImageProperties_GetImageDateYear_129(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  int      temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetImageDateYear();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMedicalImageProperties_GetImageDateMonth_130(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  int      temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetImageDateMonth();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMedicalImageProperties_GetImageDateDay_131(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  int      temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetImageDateDay();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMedicalImageProperties_GetDateAsLocale_132(JNIEnv *env, jobject obj,jstring id0,jstring id1)
{
  vtkMedicalImageProperties *op;
  char    *temp0;
  char    *temp1;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetDateAsLocale(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMedicalImageProperties_SetImageTime_133(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMedicalImageProperties *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  op->SetImageTime(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMedicalImageProperties_GetImageTime_134(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  char    *temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetImageTime();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMedicalImageProperties_SetImageNumber_135(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMedicalImageProperties *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  op->SetImageNumber(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMedicalImageProperties_GetImageNumber_136(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  char    *temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetImageNumber();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMedicalImageProperties_SetSeriesNumber_137(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMedicalImageProperties *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  op->SetSeriesNumber(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMedicalImageProperties_GetSeriesNumber_138(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  char    *temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetSeriesNumber();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMedicalImageProperties_SetSeriesDescription_139(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMedicalImageProperties *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  op->SetSeriesDescription(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMedicalImageProperties_GetSeriesDescription_140(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  char    *temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetSeriesDescription();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMedicalImageProperties_SetStudyID_141(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMedicalImageProperties *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  op->SetStudyID(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMedicalImageProperties_GetStudyID_142(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  char    *temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetStudyID();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMedicalImageProperties_SetStudyDescription_143(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMedicalImageProperties *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  op->SetStudyDescription(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMedicalImageProperties_GetStudyDescription_144(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  char    *temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetStudyDescription();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMedicalImageProperties_SetModality_145(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMedicalImageProperties *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  op->SetModality(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMedicalImageProperties_GetModality_146(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  char    *temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetModality();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMedicalImageProperties_SetManufacturer_147(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMedicalImageProperties *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  op->SetManufacturer(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMedicalImageProperties_GetManufacturer_148(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  char    *temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetManufacturer();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMedicalImageProperties_SetManufacturerModelName_149(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMedicalImageProperties *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  op->SetManufacturerModelName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMedicalImageProperties_GetManufacturerModelName_150(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  char    *temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetManufacturerModelName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMedicalImageProperties_SetStationName_151(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMedicalImageProperties *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  op->SetStationName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMedicalImageProperties_GetStationName_152(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  char    *temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetStationName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMedicalImageProperties_SetInstitutionName_153(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMedicalImageProperties *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  op->SetInstitutionName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMedicalImageProperties_GetInstitutionName_154(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  char    *temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetInstitutionName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMedicalImageProperties_SetConvolutionKernel_155(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMedicalImageProperties *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  op->SetConvolutionKernel(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMedicalImageProperties_GetConvolutionKernel_156(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  char    *temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetConvolutionKernel();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMedicalImageProperties_SetSliceThickness_157(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMedicalImageProperties *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  op->SetSliceThickness(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMedicalImageProperties_GetSliceThickness_158(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  char    *temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetSliceThickness();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMedicalImageProperties_GetSliceThicknessAsDouble_159(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  double   temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetSliceThicknessAsDouble();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMedicalImageProperties_SetKVP_160(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMedicalImageProperties *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  op->SetKVP(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMedicalImageProperties_GetKVP_161(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  char    *temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetKVP();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMedicalImageProperties_SetGantryTilt_162(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMedicalImageProperties *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  op->SetGantryTilt(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMedicalImageProperties_GetGantryTilt_163(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  char    *temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetGantryTilt();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMedicalImageProperties_GetGantryTiltAsDouble_164(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  double   temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetGantryTiltAsDouble();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMedicalImageProperties_SetEchoTime_165(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMedicalImageProperties *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  op->SetEchoTime(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMedicalImageProperties_GetEchoTime_166(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  char    *temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetEchoTime();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMedicalImageProperties_SetEchoTrainLength_167(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMedicalImageProperties *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  op->SetEchoTrainLength(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMedicalImageProperties_GetEchoTrainLength_168(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  char    *temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetEchoTrainLength();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMedicalImageProperties_SetRepetitionTime_169(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMedicalImageProperties *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  op->SetRepetitionTime(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMedicalImageProperties_GetRepetitionTime_170(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  char    *temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetRepetitionTime();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMedicalImageProperties_SetExposureTime_171(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMedicalImageProperties *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  op->SetExposureTime(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMedicalImageProperties_GetExposureTime_172(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  char    *temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetExposureTime();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMedicalImageProperties_SetXRayTubeCurrent_173(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMedicalImageProperties *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  op->SetXRayTubeCurrent(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMedicalImageProperties_GetXRayTubeCurrent_174(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  char    *temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetXRayTubeCurrent();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMedicalImageProperties_SetExposure_175(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMedicalImageProperties *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  op->SetExposure(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMedicalImageProperties_GetExposure_176(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  char    *temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetExposure();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMedicalImageProperties_DeepCopy_177(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMedicalImageProperties *op;
  vtkMedicalImageProperties  *temp0;
  temp0 = (vtkMedicalImageProperties *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkMedicalImageProperties"));

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMedicalImageProperties_AddWindowLevelPreset_178(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkMedicalImageProperties *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  op->AddWindowLevelPreset(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMedicalImageProperties_RemoveWindowLevelPreset_179(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkMedicalImageProperties *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  op->RemoveWindowLevelPreset(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMedicalImageProperties_RemoveAllWindowLevelPresets_180(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  op->RemoveAllWindowLevelPresets();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMedicalImageProperties_GetNumberOfWindowLevelPresets_181(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *op;
  int      temp20;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetNumberOfWindowLevelPresets();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMedicalImageProperties_HasWindowLevelPreset_182(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkMedicalImageProperties *op;
  double   temp0;
  double   temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->HasWindowLevelPreset(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkMedicalImageProperties_GetNthWindowLevelPreset_183(JNIEnv *env, jobject obj,jint id0)
{
  vtkMedicalImageProperties *op;
  int      temp0;
  double  *temp20;
  temp0 = id0;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetNthWindowLevelPreset(temp0);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMedicalImageProperties_SetNthWindowLevelPresetComment_184(JNIEnv *env, jobject obj,jint id0,jstring id1)
{
  vtkMedicalImageProperties *op;
  int      temp0;
  char    *temp1;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  op->SetNthWindowLevelPresetComment(temp0,temp1);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMedicalImageProperties_GetNthWindowLevelPresetComment_185(JNIEnv *env, jobject obj,jint id0)
{
  vtkMedicalImageProperties *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkMedicalImageProperties *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMedicalImageProperties");
  temp20 = (op)->GetNthWindowLevelPresetComment(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkMedicalImageProperties_VTKInit(JNIEnv *env, jobject obj)
{
  vtkMedicalImageProperties *aNewOne = vtkMedicalImageProperties::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkMedicalImageProperties_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkMedicalImageProperties_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkMedicalImageProperties_Typecast);
}
