// java wrapper for vtkMetaImageReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMetaImageReader.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkImageReader_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMetaImageReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMetaImageReader",dType)) { return me; }
  if ((res= vtkImageReader_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMetaImageReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMetaImageReader *op;
  const char    *temp20;

  op = (vtkMetaImageReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMetaImageReader");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMetaImageReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMetaImageReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMetaImageReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMetaImageReader");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMetaImageReader_SetFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMetaImageReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMetaImageReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMetaImageReader");
  op->SetFileName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMetaImageReader_GetFileName_13(JNIEnv *env, jobject obj)
{
  vtkMetaImageReader *op;
  char    *temp20;

  op = (vtkMetaImageReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMetaImageReader");
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMetaImageReader_CanReadFile_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMetaImageReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMetaImageReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMetaImageReader");
  temp20 = (op)->CanReadFile(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkMetaImageReader_VTKInit(JNIEnv *env, jobject obj)
{
  vtkMetaImageReader *aNewOne = vtkMetaImageReader::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkMetaImageReader_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkMetaImageReader_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkMetaImageReader_Typecast);
}
