// java wrapper for vtkPDBReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPDBReader.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkMoleculeReaderBase_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPDBReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPDBReader",dType)) { return me; }
  if ((res= vtkMoleculeReaderBase_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPDBReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPDBReader *op;
  const char    *temp20;

  op = (vtkPDBReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPDBReader");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPDBReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPDBReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPDBReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPDBReader");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPDBReader_VTKInit(JNIEnv *env, jobject obj)
{
  vtkPDBReader *aNewOne = vtkPDBReader::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPDBReader_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPDBReader_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPDBReader_Typecast);
}
