// java wrapper for vtkPLOT3DReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPLOT3DReader.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkStructuredGridSource_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPLOT3DReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPLOT3DReader",dType)) { return me; }
  if ((res= vtkStructuredGridSource_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPLOT3DReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPLOT3DReader *op;
  const char    *temp20;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPLOT3DReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPLOT3DReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLOT3DReader_SetFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPLOT3DReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  op->SetFileName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPLOT3DReader_GetFileName_13(JNIEnv *env, jobject obj)
{
  vtkPLOT3DReader *op;
  const char    *temp20;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLOT3DReader_SetXYZFileName_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPLOT3DReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  op->SetXYZFileName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPLOT3DReader_GetXYZFileName_15(JNIEnv *env, jobject obj)
{
  vtkPLOT3DReader *op;
  char    *temp20;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  temp20 = (op)->GetXYZFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLOT3DReader_SetQFileName_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPLOT3DReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  op->SetQFileName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPLOT3DReader_GetQFileName_17(JNIEnv *env, jobject obj)
{
  vtkPLOT3DReader *op;
  char    *temp20;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  temp20 = (op)->GetQFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPLOT3DReader_GetNumberOfOutputs_18(JNIEnv *env, jobject obj)
{
  vtkPLOT3DReader *op;
  int      temp20;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  temp20 = (op)->GetNumberOfOutputs();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPLOT3DReader_GetNumberOfGrids_19(JNIEnv *env, jobject obj)
{
  vtkPLOT3DReader *op;
  int      temp20;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  temp20 = (op)->GetNumberOfGrids();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLOT3DReader_SetOutput_110(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkPLOT3DReader *op;
  int      temp0;
  vtkStructuredGrid  *temp1;
  temp0 = id0;
  temp1 = (vtkStructuredGrid *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkStructuredGrid"));

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  op->SetOutput(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLOT3DReader_SetBinaryFile_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkPLOT3DReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  op->SetBinaryFile(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPLOT3DReader_GetBinaryFile_112(JNIEnv *env, jobject obj)
{
  vtkPLOT3DReader *op;
  int      temp20;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  temp20 = (op)->GetBinaryFile();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLOT3DReader_BinaryFileOn_113(JNIEnv *env, jobject obj)
{
  vtkPLOT3DReader *op;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  op->BinaryFileOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLOT3DReader_BinaryFileOff_114(JNIEnv *env, jobject obj)
{
  vtkPLOT3DReader *op;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  op->BinaryFileOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLOT3DReader_SetMultiGrid_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkPLOT3DReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  op->SetMultiGrid(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPLOT3DReader_GetMultiGrid_116(JNIEnv *env, jobject obj)
{
  vtkPLOT3DReader *op;
  int      temp20;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  temp20 = (op)->GetMultiGrid();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLOT3DReader_MultiGridOn_117(JNIEnv *env, jobject obj)
{
  vtkPLOT3DReader *op;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  op->MultiGridOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLOT3DReader_MultiGridOff_118(JNIEnv *env, jobject obj)
{
  vtkPLOT3DReader *op;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  op->MultiGridOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLOT3DReader_SetHasByteCount_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkPLOT3DReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  op->SetHasByteCount(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPLOT3DReader_GetHasByteCount_120(JNIEnv *env, jobject obj)
{
  vtkPLOT3DReader *op;
  int      temp20;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  temp20 = (op)->GetHasByteCount();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLOT3DReader_HasByteCountOn_121(JNIEnv *env, jobject obj)
{
  vtkPLOT3DReader *op;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  op->HasByteCountOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLOT3DReader_HasByteCountOff_122(JNIEnv *env, jobject obj)
{
  vtkPLOT3DReader *op;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  op->HasByteCountOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLOT3DReader_SetIBlanking_123(JNIEnv *env, jobject obj,jint id0)
{
  vtkPLOT3DReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  op->SetIBlanking(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPLOT3DReader_GetIBlanking_124(JNIEnv *env, jobject obj)
{
  vtkPLOT3DReader *op;
  int      temp20;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  temp20 = (op)->GetIBlanking();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLOT3DReader_IBlankingOn_125(JNIEnv *env, jobject obj)
{
  vtkPLOT3DReader *op;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  op->IBlankingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLOT3DReader_IBlankingOff_126(JNIEnv *env, jobject obj)
{
  vtkPLOT3DReader *op;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  op->IBlankingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLOT3DReader_SetTwoDimensionalGeometry_127(JNIEnv *env, jobject obj,jint id0)
{
  vtkPLOT3DReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  op->SetTwoDimensionalGeometry(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPLOT3DReader_GetTwoDimensionalGeometry_128(JNIEnv *env, jobject obj)
{
  vtkPLOT3DReader *op;
  int      temp20;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  temp20 = (op)->GetTwoDimensionalGeometry();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLOT3DReader_TwoDimensionalGeometryOn_129(JNIEnv *env, jobject obj)
{
  vtkPLOT3DReader *op;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  op->TwoDimensionalGeometryOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLOT3DReader_TwoDimensionalGeometryOff_130(JNIEnv *env, jobject obj)
{
  vtkPLOT3DReader *op;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  op->TwoDimensionalGeometryOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLOT3DReader_SetForceRead_131(JNIEnv *env, jobject obj,jint id0)
{
  vtkPLOT3DReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  op->SetForceRead(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPLOT3DReader_GetForceRead_132(JNIEnv *env, jobject obj)
{
  vtkPLOT3DReader *op;
  int      temp20;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  temp20 = (op)->GetForceRead();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLOT3DReader_ForceReadOn_133(JNIEnv *env, jobject obj)
{
  vtkPLOT3DReader *op;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  op->ForceReadOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLOT3DReader_ForceReadOff_134(JNIEnv *env, jobject obj)
{
  vtkPLOT3DReader *op;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  op->ForceReadOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLOT3DReader_SetDoNotReduceNumberOfOutputs_135(JNIEnv *env, jobject obj,jint id0)
{
  vtkPLOT3DReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  op->SetDoNotReduceNumberOfOutputs(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPLOT3DReader_GetDoNotReduceNumberOfOutputs_136(JNIEnv *env, jobject obj)
{
  vtkPLOT3DReader *op;
  int      temp20;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  temp20 = (op)->GetDoNotReduceNumberOfOutputs();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLOT3DReader_DoNotReduceNumberOfOutputsOn_137(JNIEnv *env, jobject obj)
{
  vtkPLOT3DReader *op;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  op->DoNotReduceNumberOfOutputsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLOT3DReader_DoNotReduceNumberOfOutputsOff_138(JNIEnv *env, jobject obj)
{
  vtkPLOT3DReader *op;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  op->DoNotReduceNumberOfOutputsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLOT3DReader_SetByteOrderToBigEndian_139(JNIEnv *env, jobject obj)
{
  vtkPLOT3DReader *op;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  op->SetByteOrderToBigEndian();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLOT3DReader_SetByteOrderToLittleEndian_140(JNIEnv *env, jobject obj)
{
  vtkPLOT3DReader *op;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  op->SetByteOrderToLittleEndian();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLOT3DReader_SetByteOrder_141(JNIEnv *env, jobject obj,jint id0)
{
  vtkPLOT3DReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  op->SetByteOrder(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPLOT3DReader_GetByteOrder_142(JNIEnv *env, jobject obj)
{
  vtkPLOT3DReader *op;
  int      temp20;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  temp20 = (op)->GetByteOrder();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPLOT3DReader_GetByteOrderAsString_143(JNIEnv *env, jobject obj)
{
  vtkPLOT3DReader *op;
  const char    *temp20;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  temp20 = (op)->GetByteOrderAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLOT3DReader_SetR_144(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPLOT3DReader *op;
  double   temp0;
  temp0 = id0;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  op->SetR(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPLOT3DReader_GetR_145(JNIEnv *env, jobject obj)
{
  vtkPLOT3DReader *op;
  double   temp20;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  temp20 = (op)->GetR();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLOT3DReader_SetGamma_146(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPLOT3DReader *op;
  double   temp0;
  temp0 = id0;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  op->SetGamma(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPLOT3DReader_GetGamma_147(JNIEnv *env, jobject obj)
{
  vtkPLOT3DReader *op;
  double   temp20;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  temp20 = (op)->GetGamma();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLOT3DReader_SetUvinf_148(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPLOT3DReader *op;
  double   temp0;
  temp0 = id0;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  op->SetUvinf(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPLOT3DReader_GetUvinf_149(JNIEnv *env, jobject obj)
{
  vtkPLOT3DReader *op;
  double   temp20;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  temp20 = (op)->GetUvinf();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLOT3DReader_SetVvinf_150(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPLOT3DReader *op;
  double   temp0;
  temp0 = id0;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  op->SetVvinf(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPLOT3DReader_GetVvinf_151(JNIEnv *env, jobject obj)
{
  vtkPLOT3DReader *op;
  double   temp20;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  temp20 = (op)->GetVvinf();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLOT3DReader_SetWvinf_152(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPLOT3DReader *op;
  double   temp0;
  temp0 = id0;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  op->SetWvinf(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPLOT3DReader_GetWvinf_153(JNIEnv *env, jobject obj)
{
  vtkPLOT3DReader *op;
  double   temp20;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  temp20 = (op)->GetWvinf();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLOT3DReader_SetScalarFunctionNumber_154(JNIEnv *env, jobject obj,jint id0)
{
  vtkPLOT3DReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  op->SetScalarFunctionNumber(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPLOT3DReader_GetScalarFunctionNumber_155(JNIEnv *env, jobject obj)
{
  vtkPLOT3DReader *op;
  int      temp20;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  temp20 = (op)->GetScalarFunctionNumber();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLOT3DReader_SetVectorFunctionNumber_156(JNIEnv *env, jobject obj,jint id0)
{
  vtkPLOT3DReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  op->SetVectorFunctionNumber(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPLOT3DReader_GetVectorFunctionNumber_157(JNIEnv *env, jobject obj)
{
  vtkPLOT3DReader *op;
  int      temp20;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  temp20 = (op)->GetVectorFunctionNumber();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLOT3DReader_AddFunction_158(JNIEnv *env, jobject obj,jint id0)
{
  vtkPLOT3DReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  op->AddFunction(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLOT3DReader_RemoveFunction_159(JNIEnv *env, jobject obj,jint id0)
{
  vtkPLOT3DReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  op->RemoveFunction(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLOT3DReader_RemoveAllFunctions_160(JNIEnv *env, jobject obj)
{
  vtkPLOT3DReader *op;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  op->RemoveAllFunctions();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPLOT3DReader_CanReadBinaryFile_161(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPLOT3DReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  temp20 = (op)->CanReadBinaryFile(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPLOT3DReader_GenerateDefaultConfiguration_162(JNIEnv *env, jobject obj)
{
  vtkPLOT3DReader *op;
  int      temp20;

  op = (vtkPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPLOT3DReader");
  temp20 = (op)->GenerateDefaultConfiguration();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPLOT3DReader_VTKInit(JNIEnv *env, jobject obj)
{
  vtkPLOT3DReader *aNewOne = vtkPLOT3DReader::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPLOT3DReader_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPLOT3DReader_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPLOT3DReader_Typecast);
}
