// java wrapper for vtkStructuredPointsReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStructuredPointsReader.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDataReader_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkStructuredPointsReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkStructuredPointsReader",dType)) { return me; }
  if ((res= vtkDataReader_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkStructuredPointsReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkStructuredPointsReader *op;
  const char    *temp20;

  op = (vtkStructuredPointsReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStructuredPointsReader");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStructuredPointsReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkStructuredPointsReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkStructuredPointsReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStructuredPointsReader");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredPointsReader_SetOutput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkStructuredPointsReader *op;
  vtkStructuredPoints  *temp0;
  temp0 = (vtkStructuredPoints *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkStructuredPoints"));

  op = (vtkStructuredPointsReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStructuredPointsReader");
  op->SetOutput(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkStructuredPointsReader_GetOutput_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkStructuredPointsReader *op;
  int      temp0;
  vtkStructuredPoints  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkStructuredPointsReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStructuredPointsReader");
  temp20 = (op)->GetOutput(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkStructuredPoints", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkStructuredPointsReader_GetOutput_14(JNIEnv *env, jobject obj)
{
  vtkStructuredPointsReader *op;
  vtkStructuredPoints  *temp20;
  jobject tempH;

  op = (vtkStructuredPointsReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStructuredPointsReader");
  temp20 = (op)->GetOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkStructuredPoints", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStructuredPointsReader_ReadMetaData_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkStructuredPointsReader *op;
  vtkInformation  *temp0;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));

  op = (vtkStructuredPointsReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStructuredPointsReader");
  temp20 = (op)->ReadMetaData(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkStructuredPointsReader_VTKInit(JNIEnv *env, jobject obj)
{
  vtkStructuredPointsReader *aNewOne = vtkStructuredPointsReader::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkStructuredPointsReader_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkStructuredPointsReader_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkStructuredPointsReader_Typecast);
}
