// java wrapper for vtkXMLDataElement object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLDataElement.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLDataElement_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLDataElement",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLDataElement_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLDataElement *op;
  const char    *temp20;

  op = (vtkXMLDataElement *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataElement");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLDataElement_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLDataElement *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLDataElement *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataElement");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLDataElement_GetName_12(JNIEnv *env, jobject obj)
{
  vtkXMLDataElement *op;
  char    *temp20;

  op = (vtkXMLDataElement *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataElement");
  temp20 = (op)->GetName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLDataElement_SetName_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLDataElement *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLDataElement *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataElement");
  op->SetName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLDataElement_GetId_14(JNIEnv *env, jobject obj)
{
  vtkXMLDataElement *op;
  char    *temp20;

  op = (vtkXMLDataElement *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataElement");
  temp20 = (op)->GetId();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLDataElement_SetId_15(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLDataElement *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLDataElement *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataElement");
  op->SetId(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLDataElement_GetAttribute_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLDataElement *op;
  char    *temp0;
  const char    *temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLDataElement *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataElement");
  temp20 = (op)->GetAttribute(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLDataElement_SetAttribute_17(JNIEnv *env, jobject obj,jstring id0,jstring id1)
{
  vtkXMLDataElement *op;
  char    *temp0;
  char    *temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkXMLDataElement *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataElement");
  op->SetAttribute(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLDataElement_SetCharacterData_18(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkXMLDataElement *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkXMLDataElement *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataElement");
  op->SetCharacterData(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLDataElement_AddCharacterData_19(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkXMLDataElement *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkXMLDataElement *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataElement");
  op->AddCharacterData(temp0,temp1);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLDataElement_GetCharacterData_110(JNIEnv *env, jobject obj)
{
  vtkXMLDataElement *op;
  char    *temp20;

  op = (vtkXMLDataElement *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataElement");
  temp20 = (op)->GetCharacterData();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLDataElement_SetIntAttribute_111(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkXMLDataElement *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkXMLDataElement *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataElement");
  op->SetIntAttribute(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLDataElement_SetFloatAttribute_112(JNIEnv *env, jobject obj,jstring id0,jdouble id1)
{
  vtkXMLDataElement *op;
  char    *temp0;
  float    temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkXMLDataElement *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataElement");
  op->SetFloatAttribute(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLDataElement_SetDoubleAttribute_113(JNIEnv *env, jobject obj,jstring id0,jdouble id1)
{
  vtkXMLDataElement *op;
  char    *temp0;
  double   temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkXMLDataElement *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataElement");
  op->SetDoubleAttribute(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLDataElement_SetUnsignedLongAttribute_114(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkXMLDataElement *op;
  char    *temp0;
   unsigned long     temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkXMLDataElement *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataElement");
  op->SetUnsignedLongAttribute(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLDataElement_GetNumberOfAttributes_115(JNIEnv *env, jobject obj)
{
  vtkXMLDataElement *op;
  int      temp20;

  op = (vtkXMLDataElement *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataElement");
  temp20 = (op)->GetNumberOfAttributes();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLDataElement_GetAttributeName_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkXMLDataElement *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkXMLDataElement *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataElement");
  temp20 = (op)->GetAttributeName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLDataElement_GetAttributeValue_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkXMLDataElement *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkXMLDataElement *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataElement");
  temp20 = (op)->GetAttributeValue(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLDataElement_RemoveAllAttributes_118(JNIEnv *env, jobject obj)
{
  vtkXMLDataElement *op;

  op = (vtkXMLDataElement *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataElement");
  op->RemoveAllAttributes();
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkXMLDataElement_GetParent_119(JNIEnv *env, jobject obj)
{
  vtkXMLDataElement *op;
  vtkXMLDataElement  *temp20;
  jobject tempH;

  op = (vtkXMLDataElement *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataElement");
  temp20 = (op)->GetParent();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkXMLDataElement", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLDataElement_SetParent_120(JNIEnv *env, jobject obj,jobject id0)
{
  vtkXMLDataElement *op;
  vtkXMLDataElement  *temp0;
  temp0 = (vtkXMLDataElement *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkXMLDataElement"));

  op = (vtkXMLDataElement *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataElement");
  op->SetParent(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkXMLDataElement_GetRoot_121(JNIEnv *env, jobject obj)
{
  vtkXMLDataElement *op;
  vtkXMLDataElement  *temp20;
  jobject tempH;

  op = (vtkXMLDataElement *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataElement");
  temp20 = (op)->GetRoot();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkXMLDataElement", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLDataElement_GetNumberOfNestedElements_122(JNIEnv *env, jobject obj)
{
  vtkXMLDataElement *op;
  int      temp20;

  op = (vtkXMLDataElement *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataElement");
  temp20 = (op)->GetNumberOfNestedElements();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkXMLDataElement_GetNestedElement_123(JNIEnv *env, jobject obj,jint id0)
{
  vtkXMLDataElement *op;
  int      temp0;
  vtkXMLDataElement  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkXMLDataElement *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataElement");
  temp20 = (op)->GetNestedElement(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkXMLDataElement", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLDataElement_AddNestedElement_124(JNIEnv *env, jobject obj,jobject id0)
{
  vtkXMLDataElement *op;
  vtkXMLDataElement  *temp0;
  temp0 = (vtkXMLDataElement *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkXMLDataElement"));

  op = (vtkXMLDataElement *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataElement");
  op->AddNestedElement(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLDataElement_RemoveNestedElement_125(JNIEnv *env, jobject obj,jobject id0)
{
  vtkXMLDataElement *op;
  vtkXMLDataElement  *temp0;
  temp0 = (vtkXMLDataElement *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkXMLDataElement"));

  op = (vtkXMLDataElement *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataElement");
  op->RemoveNestedElement(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLDataElement_RemoveAllNestedElements_126(JNIEnv *env, jobject obj)
{
  vtkXMLDataElement *op;

  op = (vtkXMLDataElement *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataElement");
  op->RemoveAllNestedElements();
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkXMLDataElement_FindNestedElement_127(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLDataElement *op;
  char    *temp0;
  vtkXMLDataElement  *temp20;
  jobject tempH;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLDataElement *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataElement");
  temp20 = (op)->FindNestedElement(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkXMLDataElement", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkXMLDataElement_FindNestedElementWithName_128(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLDataElement *op;
  char    *temp0;
  vtkXMLDataElement  *temp20;
  jobject tempH;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLDataElement *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataElement");
  temp20 = (op)->FindNestedElementWithName(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkXMLDataElement", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkXMLDataElement_FindNestedElementWithNameAndId_129(JNIEnv *env, jobject obj,jstring id0,jstring id1)
{
  vtkXMLDataElement *op;
  char    *temp0;
  char    *temp1;
  vtkXMLDataElement  *temp20;
  jobject tempH;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkXMLDataElement *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataElement");
  temp20 = (op)->FindNestedElementWithNameAndId(temp0,temp1);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkXMLDataElement", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkXMLDataElement_FindNestedElementWithNameAndAttribute_130(JNIEnv *env, jobject obj,jstring id0,jstring id1,jstring id2)
{
  vtkXMLDataElement *op;
  char    *temp0;
  char    *temp1;
  char    *temp2;
  vtkXMLDataElement  *temp20;
  jobject tempH;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = vtkJavaUTFToChar(env,id2);

  op = (vtkXMLDataElement *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataElement");
  temp20 = (op)->FindNestedElementWithNameAndAttribute(temp0,temp1,temp2);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkXMLDataElement", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkXMLDataElement_LookupElement_131(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLDataElement *op;
  char    *temp0;
  vtkXMLDataElement  *temp20;
  jobject tempH;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLDataElement *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataElement");
  temp20 = (op)->LookupElement(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkXMLDataElement", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLDataElement_GetXMLByteIndex_132(JNIEnv *env, jobject obj)
{
  vtkXMLDataElement *op;
   unsigned long     temp20;

  op = (vtkXMLDataElement *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataElement");
  temp20 = (op)->GetXMLByteIndex();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLDataElement_SetXMLByteIndex_133(JNIEnv *env, jobject obj,jint id0)
{
  vtkXMLDataElement *op;
   unsigned long     temp0;
  temp0 = id0;

  op = (vtkXMLDataElement *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataElement");
  op->SetXMLByteIndex(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLDataElement_IsEqualTo_134(JNIEnv *env, jobject obj,jobject id0)
{
  vtkXMLDataElement *op;
  vtkXMLDataElement  *temp0;
  int      temp20;
  temp0 = (vtkXMLDataElement *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkXMLDataElement"));

  op = (vtkXMLDataElement *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataElement");
  temp20 = (op)->IsEqualTo(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLDataElement_DeepCopy_135(JNIEnv *env, jobject obj,jobject id0)
{
  vtkXMLDataElement *op;
  vtkXMLDataElement  *temp0;
  temp0 = (vtkXMLDataElement *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkXMLDataElement"));

  op = (vtkXMLDataElement *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataElement");
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLDataElement_SetAttributeEncoding_136(JNIEnv *env, jobject obj,jint id0)
{
  vtkXMLDataElement *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXMLDataElement *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataElement");
  op->SetAttributeEncoding(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLDataElement_GetAttributeEncodingMinValue_137(JNIEnv *env, jobject obj)
{
  vtkXMLDataElement *op;
  int      temp20;

  op = (vtkXMLDataElement *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataElement");
  temp20 = (op)->GetAttributeEncodingMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLDataElement_GetAttributeEncodingMaxValue_138(JNIEnv *env, jobject obj)
{
  vtkXMLDataElement *op;
  int      temp20;

  op = (vtkXMLDataElement *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataElement");
  temp20 = (op)->GetAttributeEncodingMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLDataElement_GetAttributeEncoding_139(JNIEnv *env, jobject obj)
{
  vtkXMLDataElement *op;
  int      temp20;

  op = (vtkXMLDataElement *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataElement");
  temp20 = (op)->GetAttributeEncoding();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXMLDataElement_VTKInit(JNIEnv *env, jobject obj)
{
  vtkXMLDataElement *aNewOne = vtkXMLDataElement::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXMLDataElement_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXMLDataElement_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXMLDataElement_Typecast);
}
