// java wrapper for vtkXMLDataSetWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLDataSetWriter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkXMLWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLDataSetWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLDataSetWriter",dType)) { return me; }
  if ((res= vtkXMLWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLDataSetWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLDataSetWriter *op;
  const char    *temp20;

  op = (vtkXMLDataSetWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataSetWriter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLDataSetWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLDataSetWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLDataSetWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLDataSetWriter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXMLDataSetWriter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkXMLDataSetWriter *aNewOne = vtkXMLDataSetWriter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXMLDataSetWriter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXMLDataSetWriter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXMLDataSetWriter_Typecast);
}
