// java wrapper for vtkXMLPDataSetWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLPDataSetWriter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkXMLPDataWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLPDataSetWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLPDataSetWriter",dType)) { return me; }
  if ((res= vtkXMLPDataWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLPDataSetWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLPDataSetWriter *op;
  const char    *temp20;

  op = (vtkXMLPDataSetWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLPDataSetWriter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLPDataSetWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLPDataSetWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLPDataSetWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLPDataSetWriter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXMLPDataSetWriter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkXMLPDataSetWriter *aNewOne = vtkXMLPDataSetWriter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXMLPDataSetWriter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXMLPDataSetWriter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXMLPDataSetWriter_Typecast);
}
