// java wrapper for vtkXMLPStructuredGridReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLPStructuredGridReader.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkXMLPStructuredDataReader_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLPStructuredGridReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLPStructuredGridReader",dType)) { return me; }
  if ((res= vtkXMLPStructuredDataReader_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLPStructuredGridReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLPStructuredGridReader *op;
  const char    *temp20;

  op = (vtkXMLPStructuredGridReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLPStructuredGridReader");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLPStructuredGridReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLPStructuredGridReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLPStructuredGridReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLPStructuredGridReader");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLPStructuredGridReader_SetOutput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkXMLPStructuredGridReader *op;
  vtkStructuredGrid  *temp0;
  temp0 = (vtkStructuredGrid *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkStructuredGrid"));

  op = (vtkXMLPStructuredGridReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLPStructuredGridReader");
  op->SetOutput(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkXMLPStructuredGridReader_GetOutput_13(JNIEnv *env, jobject obj)
{
  vtkXMLPStructuredGridReader *op;
  vtkStructuredGrid  *temp20;
  jobject tempH;

  op = (vtkXMLPStructuredGridReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLPStructuredGridReader");
  temp20 = (op)->GetOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkStructuredGrid", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkXMLPStructuredGridReader_GetOutput_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkXMLPStructuredGridReader *op;
  int      temp0;
  vtkStructuredGrid  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkXMLPStructuredGridReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLPStructuredGridReader");
  temp20 = (op)->GetOutput(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkStructuredGrid", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXMLPStructuredGridReader_VTKInit(JNIEnv *env, jobject obj)
{
  vtkXMLPStructuredGridReader *aNewOne = vtkXMLPStructuredGridReader::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXMLPStructuredGridReader_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXMLPStructuredGridReader_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXMLPStructuredGridReader_Typecast);
}
