// java wrapper for vtkImageCorrelation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageCorrelation.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkThreadedImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageCorrelation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageCorrelation",dType)) { return me; }
  if ((res= vtkThreadedImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageCorrelation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageCorrelation *op;
  const char    *temp20;

  op = (vtkImageCorrelation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageCorrelation");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageCorrelation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageCorrelation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageCorrelation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageCorrelation");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCorrelation_SetDimensionality_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageCorrelation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageCorrelation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageCorrelation");
  op->SetDimensionality(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageCorrelation_GetDimensionalityMinValue_13(JNIEnv *env, jobject obj)
{
  vtkImageCorrelation *op;
  int      temp20;

  op = (vtkImageCorrelation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageCorrelation");
  temp20 = (op)->GetDimensionalityMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageCorrelation_GetDimensionalityMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkImageCorrelation *op;
  int      temp20;

  op = (vtkImageCorrelation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageCorrelation");
  temp20 = (op)->GetDimensionalityMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageCorrelation_GetDimensionality_15(JNIEnv *env, jobject obj)
{
  vtkImageCorrelation *op;
  int      temp20;

  op = (vtkImageCorrelation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageCorrelation");
  temp20 = (op)->GetDimensionality();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCorrelation_SetInput1_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageCorrelation *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkImageCorrelation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageCorrelation");
  op->SetInput1(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCorrelation_SetInput2_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageCorrelation *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkImageCorrelation *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageCorrelation");
  op->SetInput2(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageCorrelation_VTKInit(JNIEnv *env, jobject obj)
{
  vtkImageCorrelation *aNewOne = vtkImageCorrelation::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageCorrelation_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageCorrelation_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageCorrelation_Typecast);
}
