// java wrapper for vtkImageDivergence object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageDivergence.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkThreadedImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageDivergence_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageDivergence",dType)) { return me; }
  if ((res= vtkThreadedImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageDivergence_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageDivergence *op;
  const char    *temp20;

  op = (vtkImageDivergence *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageDivergence");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageDivergence_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageDivergence *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageDivergence *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageDivergence");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageDivergence_VTKInit(JNIEnv *env, jobject obj)
{
  vtkImageDivergence *aNewOne = vtkImageDivergence::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageDivergence_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageDivergence_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageDivergence_Typecast);
}
