// java wrapper for vtkImageFourierCenter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageFourierCenter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkImageDecomposeFilter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageFourierCenter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageFourierCenter",dType)) { return me; }
  if ((res= vtkImageDecomposeFilter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageFourierCenter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageFourierCenter *op;
  const char    *temp20;

  op = (vtkImageFourierCenter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageFourierCenter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageFourierCenter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageFourierCenter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageFourierCenter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageFourierCenter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageFourierCenter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkImageFourierCenter *aNewOne = vtkImageFourierCenter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageFourierCenter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageFourierCenter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageFourierCenter_Typecast);
}
