// java wrapper for vtkImageLuminance object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageLuminance.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkThreadedImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageLuminance_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageLuminance",dType)) { return me; }
  if ((res= vtkThreadedImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageLuminance_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageLuminance *op;
  const char    *temp20;

  op = (vtkImageLuminance *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageLuminance");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageLuminance_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageLuminance *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageLuminance *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageLuminance");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageLuminance_VTKInit(JNIEnv *env, jobject obj)
{
  vtkImageLuminance *aNewOne = vtkImageLuminance::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageLuminance_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageLuminance_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageLuminance_Typecast);
}
