// java wrapper for vtkImageMaskBits object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageMaskBits.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkThreadedImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageMaskBits_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageMaskBits",dType)) { return me; }
  if ((res= vtkThreadedImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageMaskBits_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageMaskBits *op;
  const char    *temp20;

  op = (vtkImageMaskBits *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMaskBits");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageMaskBits_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageMaskBits *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageMaskBits *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMaskBits");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMaskBits_SetMasks_12(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3)
{
  vtkImageMaskBits *op;
   unsigned int      temp0;
   unsigned int      temp1;
   unsigned int      temp2;
   unsigned int      temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkImageMaskBits *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMaskBits");
  op->SetMasks(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMaskBits_SetMask_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageMaskBits *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkImageMaskBits *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMaskBits");
  op->SetMask(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMaskBits_SetMasks_14(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkImageMaskBits *op;
   unsigned int      temp0;
   unsigned int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkImageMaskBits *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMaskBits");
  op->SetMasks(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMaskBits_SetMasks_15(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkImageMaskBits *op;
   unsigned int      temp0;
   unsigned int      temp1;
   unsigned int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageMaskBits *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMaskBits");
  op->SetMasks(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMaskBits_SetOperation_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageMaskBits *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageMaskBits *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMaskBits");
  op->SetOperation(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageMaskBits_GetOperation_17(JNIEnv *env, jobject obj)
{
  vtkImageMaskBits *op;
  int      temp20;

  op = (vtkImageMaskBits *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMaskBits");
  temp20 = (op)->GetOperation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMaskBits_SetOperationToAnd_18(JNIEnv *env, jobject obj)
{
  vtkImageMaskBits *op;

  op = (vtkImageMaskBits *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMaskBits");
  op->SetOperationToAnd();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMaskBits_SetOperationToOr_19(JNIEnv *env, jobject obj)
{
  vtkImageMaskBits *op;

  op = (vtkImageMaskBits *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMaskBits");
  op->SetOperationToOr();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMaskBits_SetOperationToXor_110(JNIEnv *env, jobject obj)
{
  vtkImageMaskBits *op;

  op = (vtkImageMaskBits *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMaskBits");
  op->SetOperationToXor();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMaskBits_SetOperationToNand_111(JNIEnv *env, jobject obj)
{
  vtkImageMaskBits *op;

  op = (vtkImageMaskBits *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMaskBits");
  op->SetOperationToNand();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMaskBits_SetOperationToNor_112(JNIEnv *env, jobject obj)
{
  vtkImageMaskBits *op;

  op = (vtkImageMaskBits *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMaskBits");
  op->SetOperationToNor();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageMaskBits_VTKInit(JNIEnv *env, jobject obj)
{
  vtkImageMaskBits *aNewOne = vtkImageMaskBits::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageMaskBits_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageMaskBits_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageMaskBits_Typecast);
}
