// java wrapper for vtkImageMathematics object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageMathematics.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkThreadedImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageMathematics_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageMathematics",dType)) { return me; }
  if ((res= vtkThreadedImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageMathematics_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageMathematics *op;
  const char    *temp20;

  op = (vtkImageMathematics *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMathematics");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageMathematics_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageMathematics *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageMathematics *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMathematics");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMathematics_SetOperation_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageMathematics *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageMathematics *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMathematics");
  op->SetOperation(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageMathematics_GetOperation_13(JNIEnv *env, jobject obj)
{
  vtkImageMathematics *op;
  int      temp20;

  op = (vtkImageMathematics *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMathematics");
  temp20 = (op)->GetOperation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMathematics_SetOperationToAdd_14(JNIEnv *env, jobject obj)
{
  vtkImageMathematics *op;

  op = (vtkImageMathematics *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMathematics");
  op->SetOperationToAdd();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMathematics_SetOperationToSubtract_15(JNIEnv *env, jobject obj)
{
  vtkImageMathematics *op;

  op = (vtkImageMathematics *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMathematics");
  op->SetOperationToSubtract();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMathematics_SetOperationToMultiply_16(JNIEnv *env, jobject obj)
{
  vtkImageMathematics *op;

  op = (vtkImageMathematics *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMathematics");
  op->SetOperationToMultiply();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMathematics_SetOperationToDivide_17(JNIEnv *env, jobject obj)
{
  vtkImageMathematics *op;

  op = (vtkImageMathematics *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMathematics");
  op->SetOperationToDivide();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMathematics_SetOperationToConjugate_18(JNIEnv *env, jobject obj)
{
  vtkImageMathematics *op;

  op = (vtkImageMathematics *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMathematics");
  op->SetOperationToConjugate();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMathematics_SetOperationToComplexMultiply_19(JNIEnv *env, jobject obj)
{
  vtkImageMathematics *op;

  op = (vtkImageMathematics *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMathematics");
  op->SetOperationToComplexMultiply();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMathematics_SetOperationToInvert_110(JNIEnv *env, jobject obj)
{
  vtkImageMathematics *op;

  op = (vtkImageMathematics *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMathematics");
  op->SetOperationToInvert();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMathematics_SetOperationToSin_111(JNIEnv *env, jobject obj)
{
  vtkImageMathematics *op;

  op = (vtkImageMathematics *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMathematics");
  op->SetOperationToSin();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMathematics_SetOperationToCos_112(JNIEnv *env, jobject obj)
{
  vtkImageMathematics *op;

  op = (vtkImageMathematics *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMathematics");
  op->SetOperationToCos();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMathematics_SetOperationToExp_113(JNIEnv *env, jobject obj)
{
  vtkImageMathematics *op;

  op = (vtkImageMathematics *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMathematics");
  op->SetOperationToExp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMathematics_SetOperationToLog_114(JNIEnv *env, jobject obj)
{
  vtkImageMathematics *op;

  op = (vtkImageMathematics *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMathematics");
  op->SetOperationToLog();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMathematics_SetOperationToAbsoluteValue_115(JNIEnv *env, jobject obj)
{
  vtkImageMathematics *op;

  op = (vtkImageMathematics *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMathematics");
  op->SetOperationToAbsoluteValue();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMathematics_SetOperationToSquare_116(JNIEnv *env, jobject obj)
{
  vtkImageMathematics *op;

  op = (vtkImageMathematics *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMathematics");
  op->SetOperationToSquare();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMathematics_SetOperationToSquareRoot_117(JNIEnv *env, jobject obj)
{
  vtkImageMathematics *op;

  op = (vtkImageMathematics *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMathematics");
  op->SetOperationToSquareRoot();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMathematics_SetOperationToMin_118(JNIEnv *env, jobject obj)
{
  vtkImageMathematics *op;

  op = (vtkImageMathematics *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMathematics");
  op->SetOperationToMin();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMathematics_SetOperationToMax_119(JNIEnv *env, jobject obj)
{
  vtkImageMathematics *op;

  op = (vtkImageMathematics *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMathematics");
  op->SetOperationToMax();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMathematics_SetOperationToATAN_120(JNIEnv *env, jobject obj)
{
  vtkImageMathematics *op;

  op = (vtkImageMathematics *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMathematics");
  op->SetOperationToATAN();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMathematics_SetOperationToATAN2_121(JNIEnv *env, jobject obj)
{
  vtkImageMathematics *op;

  op = (vtkImageMathematics *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMathematics");
  op->SetOperationToATAN2();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMathematics_SetOperationToMultiplyByK_122(JNIEnv *env, jobject obj)
{
  vtkImageMathematics *op;

  op = (vtkImageMathematics *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMathematics");
  op->SetOperationToMultiplyByK();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMathematics_SetOperationToAddConstant_123(JNIEnv *env, jobject obj)
{
  vtkImageMathematics *op;

  op = (vtkImageMathematics *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMathematics");
  op->SetOperationToAddConstant();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMathematics_SetOperationToReplaceCByK_124(JNIEnv *env, jobject obj)
{
  vtkImageMathematics *op;

  op = (vtkImageMathematics *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMathematics");
  op->SetOperationToReplaceCByK();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMathematics_SetConstantK_125(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageMathematics *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageMathematics *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMathematics");
  op->SetConstantK(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageMathematics_GetConstantK_126(JNIEnv *env, jobject obj)
{
  vtkImageMathematics *op;
  double   temp20;

  op = (vtkImageMathematics *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMathematics");
  temp20 = (op)->GetConstantK();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMathematics_SetConstantC_127(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageMathematics *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageMathematics *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMathematics");
  op->SetConstantC(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageMathematics_GetConstantC_128(JNIEnv *env, jobject obj)
{
  vtkImageMathematics *op;
  double   temp20;

  op = (vtkImageMathematics *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMathematics");
  temp20 = (op)->GetConstantC();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMathematics_SetDivideByZeroToC_129(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageMathematics *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageMathematics *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMathematics");
  op->SetDivideByZeroToC(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageMathematics_GetDivideByZeroToC_130(JNIEnv *env, jobject obj)
{
  vtkImageMathematics *op;
  int      temp20;

  op = (vtkImageMathematics *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMathematics");
  temp20 = (op)->GetDivideByZeroToC();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMathematics_DivideByZeroToCOn_131(JNIEnv *env, jobject obj)
{
  vtkImageMathematics *op;

  op = (vtkImageMathematics *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMathematics");
  op->DivideByZeroToCOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMathematics_DivideByZeroToCOff_132(JNIEnv *env, jobject obj)
{
  vtkImageMathematics *op;

  op = (vtkImageMathematics *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMathematics");
  op->DivideByZeroToCOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMathematics_SetInput1_133(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageMathematics *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkImageMathematics *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMathematics");
  op->SetInput1(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMathematics_SetInput2_134(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageMathematics *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkImageMathematics *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMathematics");
  op->SetInput2(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageMathematics_VTKInit(JNIEnv *env, jobject obj)
{
  vtkImageMathematics *aNewOne = vtkImageMathematics::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageMathematics_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageMathematics_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageMathematics_Typecast);
}
