// java wrapper for vtkImageRGBToHSV object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageRGBToHSV.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkThreadedImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageRGBToHSV_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageRGBToHSV",dType)) { return me; }
  if ((res= vtkThreadedImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageRGBToHSV_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageRGBToHSV *op;
  const char    *temp20;

  op = (vtkImageRGBToHSV *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageRGBToHSV");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageRGBToHSV_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageRGBToHSV *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageRGBToHSV *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageRGBToHSV");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageRGBToHSV_SetMaximum_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageRGBToHSV *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageRGBToHSV *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageRGBToHSV");
  op->SetMaximum(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageRGBToHSV_GetMaximum_13(JNIEnv *env, jobject obj)
{
  vtkImageRGBToHSV *op;
  double   temp20;

  op = (vtkImageRGBToHSV *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageRGBToHSV");
  temp20 = (op)->GetMaximum();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageRGBToHSV_VTKInit(JNIEnv *env, jobject obj)
{
  vtkImageRGBToHSV *aNewOne = vtkImageRGBToHSV::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageRGBToHSV_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageRGBToHSV_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageRGBToHSV_Typecast);
}
