// java wrapper for vtkCompositeRenderManager object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCompositeRenderManager.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkParallelRenderManager_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCompositeRenderManager_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCompositeRenderManager",dType)) { return me; }
  if ((res= vtkParallelRenderManager_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCompositeRenderManager_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCompositeRenderManager *op;
  const char    *temp20;

  op = (vtkCompositeRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCompositeRenderManager");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositeRenderManager_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCompositeRenderManager *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCompositeRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCompositeRenderManager");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeRenderManager_SetCompositer_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCompositeRenderManager *op;
  vtkCompositer  *temp0;
  temp0 = (vtkCompositer *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCompositer"));

  op = (vtkCompositeRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCompositeRenderManager");
  op->SetCompositer(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCompositeRenderManager_GetCompositer_13(JNIEnv *env, jobject obj)
{
  vtkCompositeRenderManager *op;
  vtkCompositer  *temp20;
  jobject tempH;

  op = (vtkCompositeRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCompositeRenderManager");
  temp20 = (op)->GetCompositer();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkCompositer", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCompositeRenderManager_GetImageProcessingTime_14(JNIEnv *env, jobject obj)
{
  vtkCompositeRenderManager *op;
  double   temp20;

  op = (vtkCompositeRenderManager *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCompositeRenderManager");
  temp20 = (op)->GetImageProcessingTime();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkCompositeRenderManager_VTKInit(JNIEnv *env, jobject obj)
{
  vtkCompositeRenderManager *aNewOne = vtkCompositeRenderManager::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkCompositeRenderManager_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkCompositeRenderManager_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkCompositeRenderManager_Typecast);
}
