// java wrapper for vtkDistributedDataFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDistributedDataFilter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkUnstructuredGridAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDistributedDataFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDistributedDataFilter",dType)) { return me; }
  if ((res= vtkUnstructuredGridAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDistributedDataFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;
  const char    *temp20;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDistributedDataFilter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDistributedDataFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDistributedDataFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDistributedDataFilter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_SetController_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDistributedDataFilter *op;
  vtkMultiProcessController  *temp0;
  temp0 = (vtkMultiProcessController *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkMultiProcessController"));

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDistributedDataFilter");
  op->SetController(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDistributedDataFilter_GetController_13(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;
  vtkMultiProcessController  *temp20;
  jobject tempH;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDistributedDataFilter");
  temp20 = (op)->GetController();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkMultiProcessController", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_SetGlobalNodeIdArrayName_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDistributedDataFilter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDistributedDataFilter");
  op->SetGlobalNodeIdArrayName(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_SetGlobalElementIdArrayName_15(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDistributedDataFilter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDistributedDataFilter");
  op->SetGlobalElementIdArrayName(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_RetainKdtreeOn_16(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDistributedDataFilter");
  op->RetainKdtreeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_RetainKdtreeOff_17(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDistributedDataFilter");
  op->RetainKdtreeOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDistributedDataFilter_GetRetainKdtree_18(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;
  int      temp20;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDistributedDataFilter");
  temp20 = (op)->GetRetainKdtree();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_SetRetainKdtree_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkDistributedDataFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDistributedDataFilter");
  op->SetRetainKdtree(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDistributedDataFilter_GetKdtree_110(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;
  vtkPKdTree  *temp20;
  jobject tempH;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDistributedDataFilter");
  temp20 = (op)->GetKdtree();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPKdTree", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_IncludeAllIntersectingCellsOn_111(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDistributedDataFilter");
  op->IncludeAllIntersectingCellsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_IncludeAllIntersectingCellsOff_112(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDistributedDataFilter");
  op->IncludeAllIntersectingCellsOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDistributedDataFilter_GetIncludeAllIntersectingCells_113(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;
  int      temp20;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDistributedDataFilter");
  temp20 = (op)->GetIncludeAllIntersectingCells();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_SetIncludeAllIntersectingCells_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkDistributedDataFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDistributedDataFilter");
  op->SetIncludeAllIntersectingCells(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_ClipCellsOn_115(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDistributedDataFilter");
  op->ClipCellsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_ClipCellsOff_116(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDistributedDataFilter");
  op->ClipCellsOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDistributedDataFilter_GetClipCells_117(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;
  int      temp20;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDistributedDataFilter");
  temp20 = (op)->GetClipCells();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_SetClipCells_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkDistributedDataFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDistributedDataFilter");
  op->SetClipCells(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_SetBoundaryMode_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkDistributedDataFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDistributedDataFilter");
  op->SetBoundaryMode(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_SetBoundaryModeToAssignToOneRegion_120(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDistributedDataFilter");
  op->SetBoundaryModeToAssignToOneRegion();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_SetBoundaryModeToAssignToAllIntersectingRegions_121(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDistributedDataFilter");
  op->SetBoundaryModeToAssignToAllIntersectingRegions();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_SetBoundaryModeToSplitBoundaryCells_122(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDistributedDataFilter");
  op->SetBoundaryModeToSplitBoundaryCells();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDistributedDataFilter_GetBoundaryMode_123(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;
  int      temp20;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDistributedDataFilter");
  temp20 = (op)->GetBoundaryMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_UseMinimalMemoryOn_124(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDistributedDataFilter");
  op->UseMinimalMemoryOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_UseMinimalMemoryOff_125(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDistributedDataFilter");
  op->UseMinimalMemoryOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDistributedDataFilter_GetUseMinimalMemory_126(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;
  int      temp20;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDistributedDataFilter");
  temp20 = (op)->GetUseMinimalMemory();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_SetUseMinimalMemory_127(JNIEnv *env, jobject obj,jint id0)
{
  vtkDistributedDataFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDistributedDataFilter");
  op->SetUseMinimalMemory(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_TimingOn_128(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDistributedDataFilter");
  op->TimingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_TimingOff_129(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDistributedDataFilter");
  op->TimingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_SetTiming_130(JNIEnv *env, jobject obj,jint id0)
{
  vtkDistributedDataFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDistributedDataFilter");
  op->SetTiming(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDistributedDataFilter_GetTiming_131(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;
  int      temp20;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDistributedDataFilter");
  temp20 = (op)->GetTiming();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDistributedDataFilter_GetMTime_132(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;
   unsigned long     temp20;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDistributedDataFilter");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDistributedDataFilter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *aNewOne = vtkDistributedDataFilter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDistributedDataFilter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDistributedDataFilter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDistributedDataFilter_Typecast);
}
