// java wrapper for vtkExtractUserDefinedPiece object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExtractUserDefinedPiece.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkExtractUnstructuredGridPiece_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkExtractUserDefinedPiece_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkExtractUserDefinedPiece",dType)) { return me; }
  if ((res= vtkExtractUnstructuredGridPiece_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExtractUserDefinedPiece_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkExtractUserDefinedPiece *op;
  const char    *temp20;

  op = (vtkExtractUserDefinedPiece *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractUserDefinedPiece");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractUserDefinedPiece_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExtractUserDefinedPiece *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExtractUserDefinedPiece *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractUserDefinedPiece");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkExtractUserDefinedPiece_VTKInit(JNIEnv *env, jobject obj)
{
  vtkExtractUserDefinedPiece *aNewOne = vtkExtractUserDefinedPiece::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkExtractUserDefinedPiece_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkExtractUserDefinedPiece_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkExtractUserDefinedPiece_Typecast);
}
