// java wrapper for vtkPProbeFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPProbeFilter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkProbeFilter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPProbeFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPProbeFilter",dType)) { return me; }
  if ((res= vtkProbeFilter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPProbeFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPProbeFilter *op;
  const char    *temp20;

  op = (vtkPProbeFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPProbeFilter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPProbeFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPProbeFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPProbeFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPProbeFilter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPProbeFilter_SetController_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPProbeFilter *op;
  vtkMultiProcessController  *temp0;
  temp0 = (vtkMultiProcessController *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkMultiProcessController"));

  op = (vtkPProbeFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPProbeFilter");
  op->SetController(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkPProbeFilter_GetController_13(JNIEnv *env, jobject obj)
{
  vtkPProbeFilter *op;
  vtkMultiProcessController  *temp20;
  jobject tempH;

  op = (vtkPProbeFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPProbeFilter");
  temp20 = (op)->GetController();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkMultiProcessController", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPProbeFilter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkPProbeFilter *aNewOne = vtkPProbeFilter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPProbeFilter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPProbeFilter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPProbeFilter_Typecast);
}
