// java wrapper for vtkRectilinearGridOutlineFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRectilinearGridOutlineFilter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkRectilinearGridOutlineFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkRectilinearGridOutlineFilter",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRectilinearGridOutlineFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkRectilinearGridOutlineFilter *op;
  const char    *temp20;

  op = (vtkRectilinearGridOutlineFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRectilinearGridOutlineFilter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRectilinearGridOutlineFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRectilinearGridOutlineFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRectilinearGridOutlineFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRectilinearGridOutlineFilter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkRectilinearGridOutlineFilter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkRectilinearGridOutlineFilter *aNewOne = vtkRectilinearGridOutlineFilter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkRectilinearGridOutlineFilter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkRectilinearGridOutlineFilter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkRectilinearGridOutlineFilter_Typecast);
}
