// java wrapper for vtkGL2PSExporter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGL2PSExporter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkExporter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGL2PSExporter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGL2PSExporter",dType)) { return me; }
  if ((res= vtkExporter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGL2PSExporter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  const char    *temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGL2PSExporter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGL2PSExporter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetFilePrefix_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGL2PSExporter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  op->SetFilePrefix(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGL2PSExporter_GetFilePrefix_13(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  char    *temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  temp20 = (op)->GetFilePrefix();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetFileFormat_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkGL2PSExporter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  op->SetFileFormat(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGL2PSExporter_GetFileFormatMinValue_15(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  int      temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  temp20 = (op)->GetFileFormatMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGL2PSExporter_GetFileFormatMaxValue_16(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  int      temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  temp20 = (op)->GetFileFormatMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGL2PSExporter_GetFileFormat_17(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  int      temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  temp20 = (op)->GetFileFormat();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetFileFormatToPS_18(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  op->SetFileFormatToPS();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetFileFormatToEPS_19(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  op->SetFileFormatToEPS();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetFileFormatToPDF_110(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  op->SetFileFormatToPDF();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetFileFormatToTeX_111(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  op->SetFileFormatToTeX();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGL2PSExporter_GetFileFormatAsString_112(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  char    *temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  temp20 = (op)->GetFileFormatAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetSort_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkGL2PSExporter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  op->SetSort(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGL2PSExporter_GetSortMinValue_114(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  int      temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  temp20 = (op)->GetSortMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGL2PSExporter_GetSortMaxValue_115(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  int      temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  temp20 = (op)->GetSortMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGL2PSExporter_GetSort_116(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  int      temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  temp20 = (op)->GetSort();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetSortToOff_117(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  op->SetSortToOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetSortToSimple_118(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  op->SetSortToSimple();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetSortToBSP_119(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  op->SetSortToBSP();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGL2PSExporter_GetSortAsString_120(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  char    *temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  temp20 = (op)->GetSortAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetCompress_121(JNIEnv *env, jobject obj,jint id0)
{
  vtkGL2PSExporter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  op->SetCompress(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGL2PSExporter_GetCompress_122(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  int      temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  temp20 = (op)->GetCompress();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_CompressOn_123(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  op->CompressOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_CompressOff_124(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  op->CompressOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetDrawBackground_125(JNIEnv *env, jobject obj,jint id0)
{
  vtkGL2PSExporter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  op->SetDrawBackground(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGL2PSExporter_GetDrawBackground_126(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  int      temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  temp20 = (op)->GetDrawBackground();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_DrawBackgroundOn_127(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  op->DrawBackgroundOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_DrawBackgroundOff_128(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  op->DrawBackgroundOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetSimpleLineOffset_129(JNIEnv *env, jobject obj,jint id0)
{
  vtkGL2PSExporter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  op->SetSimpleLineOffset(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGL2PSExporter_GetSimpleLineOffset_130(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  int      temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  temp20 = (op)->GetSimpleLineOffset();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SimpleLineOffsetOn_131(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  op->SimpleLineOffsetOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SimpleLineOffsetOff_132(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  op->SimpleLineOffsetOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetSilent_133(JNIEnv *env, jobject obj,jint id0)
{
  vtkGL2PSExporter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  op->SetSilent(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGL2PSExporter_GetSilent_134(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  int      temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  temp20 = (op)->GetSilent();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SilentOn_135(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  op->SilentOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SilentOff_136(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  op->SilentOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetBestRoot_137(JNIEnv *env, jobject obj,jint id0)
{
  vtkGL2PSExporter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  op->SetBestRoot(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGL2PSExporter_GetBestRoot_138(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  int      temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  temp20 = (op)->GetBestRoot();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_BestRootOn_139(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  op->BestRootOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_BestRootOff_140(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  op->BestRootOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetText_141(JNIEnv *env, jobject obj,jint id0)
{
  vtkGL2PSExporter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  op->SetText(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGL2PSExporter_GetText_142(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  int      temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  temp20 = (op)->GetText();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_TextOn_143(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  op->TextOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_TextOff_144(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  op->TextOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetLandscape_145(JNIEnv *env, jobject obj,jint id0)
{
  vtkGL2PSExporter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  op->SetLandscape(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGL2PSExporter_GetLandscape_146(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  int      temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  temp20 = (op)->GetLandscape();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_LandscapeOn_147(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  op->LandscapeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_LandscapeOff_148(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  op->LandscapeOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetPS3Shading_149(JNIEnv *env, jobject obj,jint id0)
{
  vtkGL2PSExporter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  op->SetPS3Shading(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGL2PSExporter_GetPS3Shading_150(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  int      temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  temp20 = (op)->GetPS3Shading();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_PS3ShadingOn_151(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  op->PS3ShadingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_PS3ShadingOff_152(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  op->PS3ShadingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetOcclusionCull_153(JNIEnv *env, jobject obj,jint id0)
{
  vtkGL2PSExporter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  op->SetOcclusionCull(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGL2PSExporter_GetOcclusionCull_154(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  int      temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  temp20 = (op)->GetOcclusionCull();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_OcclusionCullOn_155(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  op->OcclusionCullOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_OcclusionCullOff_156(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  op->OcclusionCullOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetWrite3DPropsAsRasterImage_157(JNIEnv *env, jobject obj,jint id0)
{
  vtkGL2PSExporter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  op->SetWrite3DPropsAsRasterImage(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGL2PSExporter_GetWrite3DPropsAsRasterImage_158(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  int      temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  temp20 = (op)->GetWrite3DPropsAsRasterImage();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_Write3DPropsAsRasterImageOn_159(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  op->Write3DPropsAsRasterImageOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_Write3DPropsAsRasterImageOff_160(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  op->Write3DPropsAsRasterImageOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetGlobalPointSizeFactor_161(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGL2PSExporter *op;
  float    temp0;
  temp0 = id0;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  op->SetGlobalPointSizeFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGL2PSExporter_GetGlobalPointSizeFactor_162(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  float    temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  temp20 = (op)->GetGlobalPointSizeFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetGlobalLineWidthFactor_163(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGL2PSExporter *op;
  float    temp0;
  temp0 = id0;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  op->SetGlobalLineWidthFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGL2PSExporter_GetGlobalLineWidthFactor_164(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  float    temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGL2PSExporter");
  temp20 = (op)->GetGlobalLineWidthFactor();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkGL2PSExporter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *aNewOne = vtkGL2PSExporter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkGL2PSExporter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkGL2PSExporter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkGL2PSExporter_Typecast);
}
