// java wrapper for vtkHierarchicalPolyDataMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHierarchicalPolyDataMapper.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkMapper_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkHierarchicalPolyDataMapper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkHierarchicalPolyDataMapper",dType)) { return me; }
  if ((res= vtkMapper_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHierarchicalPolyDataMapper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkHierarchicalPolyDataMapper *op;
  const char    *temp20;

  op = (vtkHierarchicalPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalPolyDataMapper");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHierarchicalPolyDataMapper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHierarchicalPolyDataMapper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHierarchicalPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalPolyDataMapper");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalPolyDataMapper_Render_12(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkHierarchicalPolyDataMapper *op;
  vtkRenderer  *temp0;
  vtkActor  *temp1;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderer"));
  temp1 = (vtkActor *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkActor"));

  op = (vtkHierarchicalPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalPolyDataMapper");
  op->Render(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalPolyDataMapper_GetBounds_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkHierarchicalPolyDataMapper *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkHierarchicalPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalPolyDataMapper");
  op->GetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalPolyDataMapper_ReleaseGraphicsResources_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHierarchicalPolyDataMapper *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkWindow"));

  op = (vtkHierarchicalPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalPolyDataMapper");
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkHierarchicalPolyDataMapper_VTKInit(JNIEnv *env, jobject obj)
{
  vtkHierarchicalPolyDataMapper *aNewOne = vtkHierarchicalPolyDataMapper::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkHierarchicalPolyDataMapper_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkHierarchicalPolyDataMapper_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkHierarchicalPolyDataMapper_Typecast);
}
