// java wrapper for vtkInteractorObserver object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInteractorObserver.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInteractorObserver_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInteractorObserver",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInteractorObserver_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkInteractorObserver *op;
  const char    *temp20;

  op = (vtkInteractorObserver *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorObserver");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorObserver_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInteractorObserver *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInteractorObserver *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorObserver");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorObserver_SetEnabled_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkInteractorObserver *op;
  int      temp0;
  temp0 = id0;

  op = (vtkInteractorObserver *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorObserver");
  op->SetEnabled(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorObserver_GetEnabled_13(JNIEnv *env, jobject obj)
{
  vtkInteractorObserver *op;
  int      temp20;

  op = (vtkInteractorObserver *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorObserver");
  temp20 = (op)->GetEnabled();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorObserver_EnabledOn_14(JNIEnv *env, jobject obj)
{
  vtkInteractorObserver *op;

  op = (vtkInteractorObserver *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorObserver");
  op->EnabledOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorObserver_EnabledOff_15(JNIEnv *env, jobject obj)
{
  vtkInteractorObserver *op;

  op = (vtkInteractorObserver *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorObserver");
  op->EnabledOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorObserver_On_16(JNIEnv *env, jobject obj)
{
  vtkInteractorObserver *op;

  op = (vtkInteractorObserver *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorObserver");
  op->On();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorObserver_Off_17(JNIEnv *env, jobject obj)
{
  vtkInteractorObserver *op;

  op = (vtkInteractorObserver *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorObserver");
  op->Off();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorObserver_SetInteractor_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInteractorObserver *op;
  vtkRenderWindowInteractor  *temp0;
  temp0 = (vtkRenderWindowInteractor *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderWindowInteractor"));

  op = (vtkInteractorObserver *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorObserver");
  op->SetInteractor(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkInteractorObserver_GetInteractor_19(JNIEnv *env, jobject obj)
{
  vtkInteractorObserver *op;
  vtkRenderWindowInteractor  *temp20;
  jobject tempH;

  op = (vtkInteractorObserver *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorObserver");
  temp20 = (op)->GetInteractor();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkRenderWindowInteractor", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorObserver_SetPriority_110(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkInteractorObserver *op;
  float    temp0;
  temp0 = id0;

  op = (vtkInteractorObserver *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorObserver");
  op->SetPriority(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkInteractorObserver_GetPriorityMinValue_111(JNIEnv *env, jobject obj)
{
  vtkInteractorObserver *op;
  float    temp20;

  op = (vtkInteractorObserver *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorObserver");
  temp20 = (op)->GetPriorityMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkInteractorObserver_GetPriorityMaxValue_112(JNIEnv *env, jobject obj)
{
  vtkInteractorObserver *op;
  float    temp20;

  op = (vtkInteractorObserver *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorObserver");
  temp20 = (op)->GetPriorityMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkInteractorObserver_GetPriority_113(JNIEnv *env, jobject obj)
{
  vtkInteractorObserver *op;
  float    temp20;

  op = (vtkInteractorObserver *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorObserver");
  temp20 = (op)->GetPriority();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorObserver_SetKeyPressActivation_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkInteractorObserver *op;
  int      temp0;
  temp0 = id0;

  op = (vtkInteractorObserver *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorObserver");
  op->SetKeyPressActivation(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorObserver_GetKeyPressActivation_115(JNIEnv *env, jobject obj)
{
  vtkInteractorObserver *op;
  int      temp20;

  op = (vtkInteractorObserver *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorObserver");
  temp20 = (op)->GetKeyPressActivation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorObserver_KeyPressActivationOn_116(JNIEnv *env, jobject obj)
{
  vtkInteractorObserver *op;

  op = (vtkInteractorObserver *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorObserver");
  op->KeyPressActivationOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorObserver_KeyPressActivationOff_117(JNIEnv *env, jobject obj)
{
  vtkInteractorObserver *op;

  op = (vtkInteractorObserver *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorObserver");
  op->KeyPressActivationOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorObserver_SetKeyPressActivationValue_118(JNIEnv *env, jobject obj,jchar id0)
{
  vtkInteractorObserver *op;
  char     temp0;
  temp0 = (char)(0xff & id0);

  op = (vtkInteractorObserver *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorObserver");
  op->SetKeyPressActivationValue(temp0);
}

extern "C" JNIEXPORT jchar  JNICALL Java_vtk_vtkInteractorObserver_GetKeyPressActivationValue_119(JNIEnv *env, jobject obj)
{
  vtkInteractorObserver *op;
  char     temp20;

  op = (vtkInteractorObserver *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorObserver");
  temp20 = (op)->GetKeyPressActivationValue();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkInteractorObserver_GetDefaultRenderer_120(JNIEnv *env, jobject obj)
{
  vtkInteractorObserver *op;
  vtkRenderer  *temp20;
  jobject tempH;

  op = (vtkInteractorObserver *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorObserver");
  temp20 = (op)->GetDefaultRenderer();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkRenderer", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorObserver_SetDefaultRenderer_121(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInteractorObserver *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderer"));

  op = (vtkInteractorObserver *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorObserver");
  op->SetDefaultRenderer(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkInteractorObserver_GetCurrentRenderer_122(JNIEnv *env, jobject obj)
{
  vtkInteractorObserver *op;
  vtkRenderer  *temp20;
  jobject tempH;

  op = (vtkInteractorObserver *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorObserver");
  temp20 = (op)->GetCurrentRenderer();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkRenderer", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorObserver_SetCurrentRenderer_123(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInteractorObserver *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderer"));

  op = (vtkInteractorObserver *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorObserver");
  op->SetCurrentRenderer(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorObserver_OnChar_124(JNIEnv *env, jobject obj)
{
  vtkInteractorObserver *op;

  op = (vtkInteractorObserver *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorObserver");
  op->OnChar();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorObserver_ComputeDisplayToWorld_125(JNIEnv *env, jobject obj,jobject id0,jdouble id1,jdouble id2,jdouble id3,jdoubleArray id4)
{
  vtkInteractorObserver *op;
  vtkRenderer  *temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double temp4[4];
  void *tempArray4;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderer"));
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  tempArray4 = (void *)(env->GetDoubleArrayElements(id4,NULL));
  temp4[0] = ((jdouble *)tempArray4)[0];
  temp4[1] = ((jdouble *)tempArray4)[1];
  temp4[2] = ((jdouble *)tempArray4)[2];
  temp4[3] = ((jdouble *)tempArray4)[3];

  op = (vtkInteractorObserver *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorObserver");
  op->ComputeDisplayToWorld(temp0,temp1,temp2,temp3,temp4);
  ((jdouble *)tempArray4)[0] = temp4[0];
  ((jdouble *)tempArray4)[1] = temp4[1];
  ((jdouble *)tempArray4)[2] = temp4[2];
  ((jdouble *)tempArray4)[3] = temp4[3];
  env->ReleaseDoubleArrayElements(id4,(jdouble *)tempArray4,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorObserver_ComputeWorldToDisplay_126(JNIEnv *env, jobject obj,jobject id0,jdouble id1,jdouble id2,jdouble id3,jdoubleArray id4)
{
  vtkInteractorObserver *op;
  vtkRenderer  *temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double temp4[3];
  void *tempArray4;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderer"));
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  tempArray4 = (void *)(env->GetDoubleArrayElements(id4,NULL));
  temp4[0] = ((jdouble *)tempArray4)[0];
  temp4[1] = ((jdouble *)tempArray4)[1];
  temp4[2] = ((jdouble *)tempArray4)[2];

  op = (vtkInteractorObserver *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorObserver");
  op->ComputeWorldToDisplay(temp0,temp1,temp2,temp3,temp4);
  ((jdouble *)tempArray4)[0] = temp4[0];
  ((jdouble *)tempArray4)[1] = temp4[1];
  ((jdouble *)tempArray4)[2] = temp4[2];
  env->ReleaseDoubleArrayElements(id4,(jdouble *)tempArray4,0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkInteractorObserver_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkInteractorObserver_Typecast);
}
