// java wrapper for vtkLabeledDataMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLabeledDataMapper.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkMapper2D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkLabeledDataMapper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkLabeledDataMapper",dType)) { return me; }
  if ((res= vtkMapper2D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkLabeledDataMapper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkLabeledDataMapper *op;
  const char    *temp20;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLabeledDataMapper");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLabeledDataMapper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkLabeledDataMapper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLabeledDataMapper");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabeledDataMapper_SetLabelFormat_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkLabeledDataMapper *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLabeledDataMapper");
  op->SetLabelFormat(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkLabeledDataMapper_GetLabelFormat_13(JNIEnv *env, jobject obj)
{
  vtkLabeledDataMapper *op;
  char    *temp20;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLabeledDataMapper");
  temp20 = (op)->GetLabelFormat();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabeledDataMapper_SetLabeledComponent_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkLabeledDataMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLabeledDataMapper");
  op->SetLabeledComponent(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLabeledDataMapper_GetLabeledComponent_15(JNIEnv *env, jobject obj)
{
  vtkLabeledDataMapper *op;
  int      temp20;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLabeledDataMapper");
  temp20 = (op)->GetLabeledComponent();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabeledDataMapper_SetFieldDataArray_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkLabeledDataMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLabeledDataMapper");
  op->SetFieldDataArray(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLabeledDataMapper_GetFieldDataArrayMinValue_17(JNIEnv *env, jobject obj)
{
  vtkLabeledDataMapper *op;
  int      temp20;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLabeledDataMapper");
  temp20 = (op)->GetFieldDataArrayMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLabeledDataMapper_GetFieldDataArrayMaxValue_18(JNIEnv *env, jobject obj)
{
  vtkLabeledDataMapper *op;
  int      temp20;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLabeledDataMapper");
  temp20 = (op)->GetFieldDataArrayMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLabeledDataMapper_GetFieldDataArray_19(JNIEnv *env, jobject obj)
{
  vtkLabeledDataMapper *op;
  int      temp20;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLabeledDataMapper");
  temp20 = (op)->GetFieldDataArray();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabeledDataMapper_SetInput_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLabeledDataMapper *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLabeledDataMapper");
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkLabeledDataMapper_GetInput_111(JNIEnv *env, jobject obj)
{
  vtkLabeledDataMapper *op;
  vtkDataSet  *temp20;
  jobject tempH;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLabeledDataMapper");
  temp20 = (op)->GetInput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabeledDataMapper_SetLabelMode_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkLabeledDataMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLabeledDataMapper");
  op->SetLabelMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLabeledDataMapper_GetLabelMode_113(JNIEnv *env, jobject obj)
{
  vtkLabeledDataMapper *op;
  int      temp20;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLabeledDataMapper");
  temp20 = (op)->GetLabelMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabeledDataMapper_SetLabelModeToLabelIds_114(JNIEnv *env, jobject obj)
{
  vtkLabeledDataMapper *op;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLabeledDataMapper");
  op->SetLabelModeToLabelIds();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabeledDataMapper_SetLabelModeToLabelScalars_115(JNIEnv *env, jobject obj)
{
  vtkLabeledDataMapper *op;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLabeledDataMapper");
  op->SetLabelModeToLabelScalars();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabeledDataMapper_SetLabelModeToLabelVectors_116(JNIEnv *env, jobject obj)
{
  vtkLabeledDataMapper *op;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLabeledDataMapper");
  op->SetLabelModeToLabelVectors();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabeledDataMapper_SetLabelModeToLabelNormals_117(JNIEnv *env, jobject obj)
{
  vtkLabeledDataMapper *op;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLabeledDataMapper");
  op->SetLabelModeToLabelNormals();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabeledDataMapper_SetLabelModeToLabelTCoords_118(JNIEnv *env, jobject obj)
{
  vtkLabeledDataMapper *op;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLabeledDataMapper");
  op->SetLabelModeToLabelTCoords();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabeledDataMapper_SetLabelModeToLabelTensors_119(JNIEnv *env, jobject obj)
{
  vtkLabeledDataMapper *op;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLabeledDataMapper");
  op->SetLabelModeToLabelTensors();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabeledDataMapper_SetLabelModeToLabelFieldData_120(JNIEnv *env, jobject obj)
{
  vtkLabeledDataMapper *op;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLabeledDataMapper");
  op->SetLabelModeToLabelFieldData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabeledDataMapper_SetLabelTextProperty_121(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLabeledDataMapper *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkTextProperty"));

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLabeledDataMapper");
  op->SetLabelTextProperty(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkLabeledDataMapper_GetLabelTextProperty_122(JNIEnv *env, jobject obj)
{
  vtkLabeledDataMapper *op;
  vtkTextProperty  *temp20;
  jobject tempH;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLabeledDataMapper");
  temp20 = (op)->GetLabelTextProperty();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkTextProperty", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabeledDataMapper_RenderOpaqueGeometry_123(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkLabeledDataMapper *op;
  vtkViewport  *temp0;
  vtkActor2D  *temp1;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkViewport"));
  temp1 = (vtkActor2D *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkActor2D"));

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLabeledDataMapper");
  op->RenderOpaqueGeometry(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabeledDataMapper_RenderOverlay_124(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkLabeledDataMapper *op;
  vtkViewport  *temp0;
  vtkActor2D  *temp1;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkViewport"));
  temp1 = (vtkActor2D *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkActor2D"));

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLabeledDataMapper");
  op->RenderOverlay(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabeledDataMapper_ReleaseGraphicsResources_125(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLabeledDataMapper *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkWindow"));

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLabeledDataMapper");
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkLabeledDataMapper_VTKInit(JNIEnv *env, jobject obj)
{
  vtkLabeledDataMapper *aNewOne = vtkLabeledDataMapper::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkLabeledDataMapper_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkLabeledDataMapper_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkLabeledDataMapper_Typecast);
}
