// java wrapper for vtkOpenGLImageActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOpenGLImageActor.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkImageActor_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOpenGLImageActor_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOpenGLImageActor",dType)) { return me; }
  if ((res= vtkImageActor_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOpenGLImageActor_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOpenGLImageActor *op;
  const char    *temp20;

  op = (vtkOpenGLImageActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLImageActor");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLImageActor_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLImageActor *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLImageActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLImageActor");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLImageActor_Load_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOpenGLImageActor *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderer"));

  op = (vtkOpenGLImageActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLImageActor");
  op->Load(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLImageActor_Render_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOpenGLImageActor *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderer"));

  op = (vtkOpenGLImageActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLImageActor");
  op->Render(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLImageActor_ReleaseGraphicsResources_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOpenGLImageActor *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkWindow"));

  op = (vtkOpenGLImageActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLImageActor");
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkOpenGLImageActor_VTKInit(JNIEnv *env, jobject obj)
{
  vtkOpenGLImageActor *aNewOne = vtkOpenGLImageActor::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkOpenGLImageActor_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkOpenGLImageActor_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkOpenGLImageActor_Typecast);
}
