// java wrapper for vtkOpenGLImageMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOpenGLImageMapper.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkImageMapper_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOpenGLImageMapper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOpenGLImageMapper",dType)) { return me; }
  if ((res= vtkImageMapper_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOpenGLImageMapper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOpenGLImageMapper *op;
  const char    *temp20;

  op = (vtkOpenGLImageMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLImageMapper");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLImageMapper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLImageMapper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLImageMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLImageMapper");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLImageMapper_RenderOverlay_12(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkOpenGLImageMapper *op;
  vtkViewport  *temp0;
  vtkActor2D  *temp1;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkViewport"));
  temp1 = (vtkActor2D *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkActor2D"));

  op = (vtkOpenGLImageMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLImageMapper");
  op->RenderOverlay(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLImageMapper_RenderData_13(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2)
{
  vtkOpenGLImageMapper *op;
  vtkViewport  *temp0;
  vtkImageData  *temp1;
  vtkActor2D  *temp2;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkViewport"));
  temp1 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkImageData"));
  temp2 = (vtkActor2D *)(vtkJavaGetPointerFromObject(env,id2,(char *) "vtkActor2D"));

  op = (vtkOpenGLImageMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLImageMapper");
  op->RenderData(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkOpenGLImageMapper_VTKInit(JNIEnv *env, jobject obj)
{
  vtkOpenGLImageMapper *aNewOne = vtkOpenGLImageMapper::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkOpenGLImageMapper_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkOpenGLImageMapper_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkOpenGLImageMapper_Typecast);
}
