// java wrapper for vtkProperty object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkProperty.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkProperty_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkProperty",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkProperty_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkProperty *op;
  const char    *temp20;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProperty_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkProperty *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty_DeepCopy_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkProperty *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProperty"));

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty_Render_13(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkProperty *op;
  vtkActor  *temp0;
  vtkRenderer  *temp1;
  temp0 = (vtkActor *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkActor"));
  temp1 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkRenderer"));

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  op->Render(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty_BackfaceRender_14(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkProperty *op;
  vtkActor  *temp0;
  vtkRenderer  *temp1;
  temp0 = (vtkActor *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkActor"));
  temp1 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkRenderer"));

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  op->BackfaceRender(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty_SetInterpolation_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkProperty *op;
  int      temp0;
  temp0 = id0;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  op->SetInterpolation(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProperty_GetInterpolationMinValue_16(JNIEnv *env, jobject obj)
{
  vtkProperty *op;
  int      temp20;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->GetInterpolationMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProperty_GetInterpolationMaxValue_17(JNIEnv *env, jobject obj)
{
  vtkProperty *op;
  int      temp20;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->GetInterpolationMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProperty_GetInterpolation_18(JNIEnv *env, jobject obj)
{
  vtkProperty *op;
  int      temp20;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->GetInterpolation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty_SetInterpolationToFlat_19(JNIEnv *env, jobject obj)
{
  vtkProperty *op;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  op->SetInterpolationToFlat();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty_SetInterpolationToGouraud_110(JNIEnv *env, jobject obj)
{
  vtkProperty *op;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  op->SetInterpolationToGouraud();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty_SetInterpolationToPhong_111(JNIEnv *env, jobject obj)
{
  vtkProperty *op;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  op->SetInterpolationToPhong();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkProperty_GetInterpolationAsString_112(JNIEnv *env, jobject obj)
{
  vtkProperty *op;
  char    *temp20;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->GetInterpolationAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty_SetRepresentation_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkProperty *op;
  int      temp0;
  temp0 = id0;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  op->SetRepresentation(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProperty_GetRepresentationMinValue_114(JNIEnv *env, jobject obj)
{
  vtkProperty *op;
  int      temp20;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->GetRepresentationMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProperty_GetRepresentationMaxValue_115(JNIEnv *env, jobject obj)
{
  vtkProperty *op;
  int      temp20;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->GetRepresentationMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProperty_GetRepresentation_116(JNIEnv *env, jobject obj)
{
  vtkProperty *op;
  int      temp20;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->GetRepresentation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty_SetRepresentationToPoints_117(JNIEnv *env, jobject obj)
{
  vtkProperty *op;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  op->SetRepresentationToPoints();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty_SetRepresentationToWireframe_118(JNIEnv *env, jobject obj)
{
  vtkProperty *op;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  op->SetRepresentationToWireframe();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty_SetRepresentationToSurface_119(JNIEnv *env, jobject obj)
{
  vtkProperty *op;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  op->SetRepresentationToSurface();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkProperty_GetRepresentationAsString_120(JNIEnv *env, jobject obj)
{
  vtkProperty *op;
  char    *temp20;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->GetRepresentationAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty_SetColor_121(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkProperty *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  op->SetColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty_SetColor_122(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkProperty *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  op->SetColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkProperty_GetColor_123(JNIEnv *env, jobject obj)
{
  vtkProperty *op;
  double  *temp20;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->GetColor();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty_GetColor_124(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkProperty *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  op->GetColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty_SetAmbient_125(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkProperty *op;
  double   temp0;
  temp0 = id0;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  op->SetAmbient(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkProperty_GetAmbientMinValue_126(JNIEnv *env, jobject obj)
{
  vtkProperty *op;
  double   temp20;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->GetAmbientMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkProperty_GetAmbientMaxValue_127(JNIEnv *env, jobject obj)
{
  vtkProperty *op;
  double   temp20;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->GetAmbientMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkProperty_GetAmbient_128(JNIEnv *env, jobject obj)
{
  vtkProperty *op;
  double   temp20;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->GetAmbient();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty_SetDiffuse_129(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkProperty *op;
  double   temp0;
  temp0 = id0;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  op->SetDiffuse(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkProperty_GetDiffuseMinValue_130(JNIEnv *env, jobject obj)
{
  vtkProperty *op;
  double   temp20;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->GetDiffuseMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkProperty_GetDiffuseMaxValue_131(JNIEnv *env, jobject obj)
{
  vtkProperty *op;
  double   temp20;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->GetDiffuseMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkProperty_GetDiffuse_132(JNIEnv *env, jobject obj)
{
  vtkProperty *op;
  double   temp20;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->GetDiffuse();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty_SetSpecular_133(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkProperty *op;
  double   temp0;
  temp0 = id0;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  op->SetSpecular(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkProperty_GetSpecularMinValue_134(JNIEnv *env, jobject obj)
{
  vtkProperty *op;
  double   temp20;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->GetSpecularMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkProperty_GetSpecularMaxValue_135(JNIEnv *env, jobject obj)
{
  vtkProperty *op;
  double   temp20;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->GetSpecularMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkProperty_GetSpecular_136(JNIEnv *env, jobject obj)
{
  vtkProperty *op;
  double   temp20;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->GetSpecular();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty_SetSpecularPower_137(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkProperty *op;
  double   temp0;
  temp0 = id0;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  op->SetSpecularPower(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkProperty_GetSpecularPowerMinValue_138(JNIEnv *env, jobject obj)
{
  vtkProperty *op;
  double   temp20;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->GetSpecularPowerMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkProperty_GetSpecularPowerMaxValue_139(JNIEnv *env, jobject obj)
{
  vtkProperty *op;
  double   temp20;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->GetSpecularPowerMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkProperty_GetSpecularPower_140(JNIEnv *env, jobject obj)
{
  vtkProperty *op;
  double   temp20;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->GetSpecularPower();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty_SetOpacity_141(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkProperty *op;
  double   temp0;
  temp0 = id0;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  op->SetOpacity(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkProperty_GetOpacityMinValue_142(JNIEnv *env, jobject obj)
{
  vtkProperty *op;
  double   temp20;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->GetOpacityMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkProperty_GetOpacityMaxValue_143(JNIEnv *env, jobject obj)
{
  vtkProperty *op;
  double   temp20;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->GetOpacityMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkProperty_GetOpacity_144(JNIEnv *env, jobject obj)
{
  vtkProperty *op;
  double   temp20;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->GetOpacity();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty_SetAmbientColor_145(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkProperty *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  op->SetAmbientColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty_SetAmbientColor_146(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkProperty *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  op->SetAmbientColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkProperty_GetAmbientColor_147(JNIEnv *env, jobject obj)
{
  vtkProperty *op;
  double  *temp20;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->GetAmbientColor();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty_SetDiffuseColor_148(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkProperty *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  op->SetDiffuseColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty_SetDiffuseColor_149(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkProperty *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  op->SetDiffuseColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkProperty_GetDiffuseColor_150(JNIEnv *env, jobject obj)
{
  vtkProperty *op;
  double  *temp20;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->GetDiffuseColor();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty_SetSpecularColor_151(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkProperty *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  op->SetSpecularColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty_SetSpecularColor_152(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkProperty *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  op->SetSpecularColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkProperty_GetSpecularColor_153(JNIEnv *env, jobject obj)
{
  vtkProperty *op;
  double  *temp20;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->GetSpecularColor();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProperty_GetEdgeVisibility_154(JNIEnv *env, jobject obj)
{
  vtkProperty *op;
  int      temp20;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->GetEdgeVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty_SetEdgeVisibility_155(JNIEnv *env, jobject obj,jint id0)
{
  vtkProperty *op;
  int      temp0;
  temp0 = id0;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  op->SetEdgeVisibility(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty_EdgeVisibilityOn_156(JNIEnv *env, jobject obj)
{
  vtkProperty *op;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  op->EdgeVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty_EdgeVisibilityOff_157(JNIEnv *env, jobject obj)
{
  vtkProperty *op;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  op->EdgeVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty_SetEdgeColor_158(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkProperty *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  op->SetEdgeColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty_SetEdgeColor_159(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkProperty *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  op->SetEdgeColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkProperty_GetEdgeColor_160(JNIEnv *env, jobject obj)
{
  vtkProperty *op;
  double  *temp20;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->GetEdgeColor();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty_SetLineWidth_161(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkProperty *op;
  float    temp0;
  temp0 = id0;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  op->SetLineWidth(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkProperty_GetLineWidthMinValue_162(JNIEnv *env, jobject obj)
{
  vtkProperty *op;
  float    temp20;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->GetLineWidthMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkProperty_GetLineWidthMaxValue_163(JNIEnv *env, jobject obj)
{
  vtkProperty *op;
  float    temp20;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->GetLineWidthMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkProperty_GetLineWidth_164(JNIEnv *env, jobject obj)
{
  vtkProperty *op;
  float    temp20;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->GetLineWidth();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty_SetLineStipplePattern_165(JNIEnv *env, jobject obj,jint id0)
{
  vtkProperty *op;
  int      temp0;
  temp0 = id0;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  op->SetLineStipplePattern(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProperty_GetLineStipplePattern_166(JNIEnv *env, jobject obj)
{
  vtkProperty *op;
  int      temp20;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->GetLineStipplePattern();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty_SetLineStippleRepeatFactor_167(JNIEnv *env, jobject obj,jint id0)
{
  vtkProperty *op;
  int      temp0;
  temp0 = id0;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  op->SetLineStippleRepeatFactor(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProperty_GetLineStippleRepeatFactorMinValue_168(JNIEnv *env, jobject obj)
{
  vtkProperty *op;
  int      temp20;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->GetLineStippleRepeatFactorMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProperty_GetLineStippleRepeatFactorMaxValue_169(JNIEnv *env, jobject obj)
{
  vtkProperty *op;
  int      temp20;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->GetLineStippleRepeatFactorMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProperty_GetLineStippleRepeatFactor_170(JNIEnv *env, jobject obj)
{
  vtkProperty *op;
  int      temp20;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->GetLineStippleRepeatFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty_SetPointSize_171(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkProperty *op;
  float    temp0;
  temp0 = id0;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  op->SetPointSize(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkProperty_GetPointSizeMinValue_172(JNIEnv *env, jobject obj)
{
  vtkProperty *op;
  float    temp20;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->GetPointSizeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkProperty_GetPointSizeMaxValue_173(JNIEnv *env, jobject obj)
{
  vtkProperty *op;
  float    temp20;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->GetPointSizeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkProperty_GetPointSize_174(JNIEnv *env, jobject obj)
{
  vtkProperty *op;
  float    temp20;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->GetPointSize();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProperty_GetBackfaceCulling_175(JNIEnv *env, jobject obj)
{
  vtkProperty *op;
  int      temp20;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->GetBackfaceCulling();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty_SetBackfaceCulling_176(JNIEnv *env, jobject obj,jint id0)
{
  vtkProperty *op;
  int      temp0;
  temp0 = id0;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  op->SetBackfaceCulling(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty_BackfaceCullingOn_177(JNIEnv *env, jobject obj)
{
  vtkProperty *op;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  op->BackfaceCullingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty_BackfaceCullingOff_178(JNIEnv *env, jobject obj)
{
  vtkProperty *op;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  op->BackfaceCullingOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProperty_GetFrontfaceCulling_179(JNIEnv *env, jobject obj)
{
  vtkProperty *op;
  int      temp20;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  temp20 = (op)->GetFrontfaceCulling();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty_SetFrontfaceCulling_180(JNIEnv *env, jobject obj,jint id0)
{
  vtkProperty *op;
  int      temp0;
  temp0 = id0;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  op->SetFrontfaceCulling(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty_FrontfaceCullingOn_181(JNIEnv *env, jobject obj)
{
  vtkProperty *op;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  op->FrontfaceCullingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty_FrontfaceCullingOff_182(JNIEnv *env, jobject obj)
{
  vtkProperty *op;

  op = (vtkProperty *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProperty");
  op->FrontfaceCullingOff();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkProperty_VTKInit(JNIEnv *env, jobject obj)
{
  vtkProperty *aNewOne = vtkProperty::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkProperty_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkProperty_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkProperty_Typecast);
}
