// java wrapper for vtkRenderWindowInteractor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRenderWindowInteractor.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkRenderWindowInteractor_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkRenderWindowInteractor",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRenderWindowInteractor_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;
  const char    *temp20;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindowInteractor_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRenderWindowInteractor *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_Initialize_12(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->Initialize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_ReInitialize_13(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->ReInitialize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_UnRegister_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderWindowInteractor *op;
  vtkObjectBase  *temp0;
  temp0 = (vtkObjectBase *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkObjectBase"));

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->UnRegister(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_Start_15(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->Start();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_Enable_16(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->Enable();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_Disable_17(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->Disable();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindowInteractor_GetEnabled_18(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;
  int      temp20;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  temp20 = (op)->GetEnabled();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_SetRenderWindow_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderWindowInteractor *op;
  vtkRenderWindow  *temp0;
  temp0 = (vtkRenderWindow *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderWindow"));

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->SetRenderWindow(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkRenderWindowInteractor_GetRenderWindow_110(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;
  vtkRenderWindow  *temp20;
  jobject tempH;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  temp20 = (op)->GetRenderWindow();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkRenderWindow", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_UpdateSize_111(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkRenderWindowInteractor *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->UpdateSize(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindowInteractor_CreateTimer_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindowInteractor *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  temp20 = (op)->CreateTimer(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindowInteractor_DestroyTimer_113(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;
  int      temp20;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  temp20 = (op)->DestroyTimer();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_TerminateApp_114(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->TerminateApp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_SetInteractorStyle_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderWindowInteractor *op;
  vtkInteractorObserver  *temp0;
  temp0 = (vtkInteractorObserver *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInteractorObserver"));

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->SetInteractorStyle(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkRenderWindowInteractor_GetInteractorStyle_116(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;
  vtkInteractorObserver  *temp20;
  jobject tempH;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  temp20 = (op)->GetInteractorStyle();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInteractorObserver", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_SetLightFollowCamera_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindowInteractor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->SetLightFollowCamera(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindowInteractor_GetLightFollowCamera_118(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;
  int      temp20;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  temp20 = (op)->GetLightFollowCamera();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_LightFollowCameraOn_119(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->LightFollowCameraOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_LightFollowCameraOff_120(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->LightFollowCameraOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_SetDesiredUpdateRate_121(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkRenderWindowInteractor *op;
  double   temp0;
  temp0 = id0;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->SetDesiredUpdateRate(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRenderWindowInteractor_GetDesiredUpdateRateMinValue_122(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;
  double   temp20;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  temp20 = (op)->GetDesiredUpdateRateMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRenderWindowInteractor_GetDesiredUpdateRateMaxValue_123(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;
  double   temp20;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  temp20 = (op)->GetDesiredUpdateRateMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRenderWindowInteractor_GetDesiredUpdateRate_124(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;
  double   temp20;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  temp20 = (op)->GetDesiredUpdateRate();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_SetStillUpdateRate_125(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkRenderWindowInteractor *op;
  double   temp0;
  temp0 = id0;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->SetStillUpdateRate(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRenderWindowInteractor_GetStillUpdateRateMinValue_126(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;
  double   temp20;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  temp20 = (op)->GetStillUpdateRateMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRenderWindowInteractor_GetStillUpdateRateMaxValue_127(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;
  double   temp20;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  temp20 = (op)->GetStillUpdateRateMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRenderWindowInteractor_GetStillUpdateRate_128(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;
  double   temp20;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  temp20 = (op)->GetStillUpdateRate();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindowInteractor_GetInitialized_129(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;
  int      temp20;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  temp20 = (op)->GetInitialized();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_SetPicker_130(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderWindowInteractor *op;
  vtkAbstractPicker  *temp0;
  temp0 = (vtkAbstractPicker *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkAbstractPicker"));

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->SetPicker(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkRenderWindowInteractor_GetPicker_131(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;
  vtkAbstractPicker  *temp20;
  jobject tempH;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  temp20 = (op)->GetPicker();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkAbstractPicker", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkRenderWindowInteractor_CreateDefaultPicker_132(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;
  vtkAbstractPropPicker  *temp20;
  jobject tempH;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  temp20 = (op)->CreateDefaultPicker();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkAbstractPropPicker", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_ExitCallback_133(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->ExitCallback();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_UserCallback_134(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->UserCallback();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_StartPickCallback_135(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->StartPickCallback();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_EndPickCallback_136(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->EndPickCallback();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_HideCursor_137(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->HideCursor();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_ShowCursor_138(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->ShowCursor();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_Render_139(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->Render();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_FlyTo_140(JNIEnv *env, jobject obj,jobject id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkRenderWindowInteractor *op;
  vtkRenderer  *temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderer"));
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->FlyTo(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_FlyToImage_141(JNIEnv *env, jobject obj,jobject id0,jdouble id1,jdouble id2)
{
  vtkRenderWindowInteractor *op;
  vtkRenderer  *temp0;
  double   temp1;
  double   temp2;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderer"));
  temp1 = id1;
  temp2 = id2;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->FlyToImage(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_SetNumberOfFlyFrames_142(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindowInteractor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->SetNumberOfFlyFrames(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindowInteractor_GetNumberOfFlyFramesMinValue_143(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;
  int      temp20;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  temp20 = (op)->GetNumberOfFlyFramesMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindowInteractor_GetNumberOfFlyFramesMaxValue_144(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;
  int      temp20;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  temp20 = (op)->GetNumberOfFlyFramesMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindowInteractor_GetNumberOfFlyFrames_145(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;
  int      temp20;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  temp20 = (op)->GetNumberOfFlyFrames();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_SetDolly_146(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkRenderWindowInteractor *op;
  double   temp0;
  temp0 = id0;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->SetDolly(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRenderWindowInteractor_GetDolly_147(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;
  double   temp20;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  temp20 = (op)->GetDolly();
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkRenderWindowInteractor_GetEventPosition_148(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;
  int     *temp20;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  temp20 = (op)->GetEventPosition();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkRenderWindowInteractor_GetLastEventPosition_149(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;
  int     *temp20;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  temp20 = (op)->GetLastEventPosition();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_SetLastEventPosition_150(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkRenderWindowInteractor *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->SetLastEventPosition(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_SetLastEventPosition_151(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkRenderWindowInteractor *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->SetLastEventPosition(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_SetEventPosition_152(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkRenderWindowInteractor *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->SetEventPosition(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_SetEventPosition_153(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkRenderWindowInteractor *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->SetEventPosition(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_SetEventPositionFlipY_154(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkRenderWindowInteractor *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->SetEventPositionFlipY(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_SetEventPositionFlipY_155(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkRenderWindowInteractor *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->SetEventPositionFlipY(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_SetControlKey_156(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindowInteractor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->SetControlKey(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindowInteractor_GetControlKey_157(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;
  int      temp20;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  temp20 = (op)->GetControlKey();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_SetShiftKey_158(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindowInteractor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->SetShiftKey(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindowInteractor_GetShiftKey_159(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;
  int      temp20;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  temp20 = (op)->GetShiftKey();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_SetKeyCode_160(JNIEnv *env, jobject obj,jchar id0)
{
  vtkRenderWindowInteractor *op;
  char     temp0;
  temp0 = (char)(0xff & id0);

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->SetKeyCode(temp0);
}

extern "C" JNIEXPORT jchar  JNICALL Java_vtk_vtkRenderWindowInteractor_GetKeyCode_161(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;
  char     temp20;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  temp20 = (op)->GetKeyCode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_SetRepeatCount_162(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindowInteractor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->SetRepeatCount(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindowInteractor_GetRepeatCount_163(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;
  int      temp20;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  temp20 = (op)->GetRepeatCount();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_SetKeySym_164(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRenderWindowInteractor *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->SetKeySym(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRenderWindowInteractor_GetKeySym_165(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;
  char    *temp20;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  temp20 = (op)->GetKeySym();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_SetEventInformation_166(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jchar id4,jint id5,jstring id6)
{
  vtkRenderWindowInteractor *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  char     temp4;
  int      temp5;
  char    *temp6;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = (char)(0xff & id4);
  temp5 = id5;
  temp6 = vtkJavaUTFToChar(env,id6);

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->SetEventInformation(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_SetEventInformationFlipY_167(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jchar id4,jint id5,jstring id6)
{
  vtkRenderWindowInteractor *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  char     temp4;
  int      temp5;
  char    *temp6;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = (char)(0xff & id4);
  temp5 = id5;
  temp6 = vtkJavaUTFToChar(env,id6);

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->SetEventInformationFlipY(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_SetKeyEventInformation_168(JNIEnv *env, jobject obj,jint id0,jint id1,jchar id2,jint id3,jstring id4)
{
  vtkRenderWindowInteractor *op;
  int      temp0;
  int      temp1;
  char     temp2;
  int      temp3;
  char    *temp4;
  temp0 = id0;
  temp1 = id1;
  temp2 = (char)(0xff & id2);
  temp3 = id3;
  temp4 = vtkJavaUTFToChar(env,id4);

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->SetKeyEventInformation(temp0,temp1,temp2,temp3,temp4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_SetSize_169(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkRenderWindowInteractor *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->SetSize(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_SetSize_170(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkRenderWindowInteractor *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->SetSize(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkRenderWindowInteractor_GetSize_171(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;
  int     *temp20;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  temp20 = (op)->GetSize();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_SetEventSize_172(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkRenderWindowInteractor *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->SetEventSize(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindowInteractor_SetEventSize_173(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkRenderWindowInteractor *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  op->SetEventSize(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkRenderWindowInteractor_GetEventSize_174(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *op;
  int     *temp20;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  temp20 = (op)->GetEventSize();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkRenderWindowInteractor_FindPokedRenderer_175(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkRenderWindowInteractor *op;
  int      temp0;
  int      temp1;
  vtkRenderer  *temp20;
  jobject tempH;
  temp0 = id0;
  temp1 = id1;

  op = (vtkRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindowInteractor");
  temp20 = (op)->FindPokedRenderer(temp0,temp1);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkRenderer", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkRenderWindowInteractor_VTKInit(JNIEnv *env, jobject obj)
{
  vtkRenderWindowInteractor *aNewOne = vtkRenderWindowInteractor::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkRenderWindowInteractor_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkRenderWindowInteractor_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkRenderWindowInteractor_Typecast);
}
