// java wrapper for vtkAssemblyNode object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAssemblyNode.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAssemblyNode_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAssemblyNode",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAssemblyNode_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAssemblyNode *op;
  const char    *temp20;

  op = (vtkAssemblyNode *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAssemblyNode");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAssemblyNode_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAssemblyNode *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAssemblyNode *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAssemblyNode");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAssemblyNode_SetViewProp_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAssemblyNode *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProp"));

  op = (vtkAssemblyNode *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAssemblyNode");
  op->SetViewProp(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAssemblyNode_GetViewProp_13(JNIEnv *env, jobject obj)
{
  vtkAssemblyNode *op;
  vtkProp  *temp20;
  jobject tempH;

  op = (vtkAssemblyNode *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAssemblyNode");
  temp20 = (op)->GetViewProp();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkProp", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAssemblyNode_SetMatrix_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAssemblyNode *op;
  vtkMatrix4x4  *temp0;
  temp0 = (vtkMatrix4x4 *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkMatrix4x4"));

  op = (vtkAssemblyNode *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAssemblyNode");
  op->SetMatrix(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAssemblyNode_GetMatrix_15(JNIEnv *env, jobject obj)
{
  vtkAssemblyNode *op;
  vtkMatrix4x4  *temp20;
  jobject tempH;

  op = (vtkAssemblyNode *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAssemblyNode");
  temp20 = (op)->GetMatrix();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkMatrix4x4", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAssemblyNode_GetMTime_16(JNIEnv *env, jobject obj)
{
  vtkAssemblyNode *op;
   unsigned long     temp20;

  op = (vtkAssemblyNode *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAssemblyNode");
  temp20 = (op)->GetMTime();
  return temp20;
}

#if !defined(VTK_LEGACY_REMOVE)
extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAssemblyNode_SetProp_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAssemblyNode *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProp"));

  op = (vtkAssemblyNode *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAssemblyNode");
  op->SetProp(temp0);
}
#endif

#if !defined(VTK_LEGACY_REMOVE)
extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAssemblyNode_GetProp_18(JNIEnv *env, jobject obj)
{
  vtkAssemblyNode *op;
  vtkProp  *temp20;
  jobject tempH;

  op = (vtkAssemblyNode *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAssemblyNode");
  temp20 = (op)->GetProp();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkProp", (void *)temp20);
      }
    }
  return tempH;
}
#endif

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkAssemblyNode_VTKInit(JNIEnv *env, jobject obj)
{
  vtkAssemblyNode *aNewOne = vtkAssemblyNode::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkAssemblyNode_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkAssemblyNode_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkAssemblyNode_Typecast);
}
