// java wrapper for vtkByteSwap object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkByteSwap.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkByteSwap_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkByteSwap",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkByteSwap_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkByteSwap *op;
  const char    *temp20;

  op = (vtkByteSwap *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkByteSwap");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkByteSwap_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkByteSwap *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkByteSwap *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkByteSwap");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkByteSwap_VTKInit(JNIEnv *env, jobject obj)
{
  vtkByteSwap *aNewOne = vtkByteSwap::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkByteSwap_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkByteSwap_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkByteSwap_Typecast);
}
