// java wrapper for vtkInstantiator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInstantiator.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInstantiator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInstantiator",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInstantiator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkInstantiator *op;
  const char    *temp20;

  op = (vtkInstantiator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInstantiator");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInstantiator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInstantiator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInstantiator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInstantiator");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkInstantiator_CreateInstance_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInstantiator *op;
  char    *temp0;
  vtkObject  *temp20;
  jobject tempH;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInstantiator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInstantiator");
  temp20 = (op)->CreateInstance(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkObject", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkInstantiator_VTKInit(JNIEnv *env, jobject obj)
{
  vtkInstantiator *aNewOne = vtkInstantiator::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkInstantiator_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkInstantiator_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkInstantiator_Typecast);
}
