// java wrapper for vtkMultiPartExtentTranslator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMultiPartExtentTranslator.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkExtentTranslator_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMultiPartExtentTranslator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMultiPartExtentTranslator",dType)) { return me; }
  if ((res= vtkExtentTranslator_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMultiPartExtentTranslator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMultiPartExtentTranslator *op;
  const char    *temp20;

  op = (vtkMultiPartExtentTranslator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMultiPartExtentTranslator");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiPartExtentTranslator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMultiPartExtentTranslator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMultiPartExtentTranslator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMultiPartExtentTranslator");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkMultiPartExtentTranslator_VTKInit(JNIEnv *env, jobject obj)
{
  vtkMultiPartExtentTranslator *aNewOne = vtkMultiPartExtentTranslator::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkMultiPartExtentTranslator_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkMultiPartExtentTranslator_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkMultiPartExtentTranslator_Typecast);
}
