// java wrapper for vtkOutputWindow object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOutputWindow.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOutputWindow_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOutputWindow",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOutputWindow_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOutputWindow *op;
  const char    *temp20;

  op = (vtkOutputWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOutputWindow");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOutputWindow_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOutputWindow *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOutputWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOutputWindow");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkOutputWindow_GetInstance_12(JNIEnv *env, jobject obj)
{
  vtkOutputWindow *op;
  vtkOutputWindow  *temp20;
  jobject tempH;

  op = (vtkOutputWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOutputWindow");
  temp20 = (op)->GetInstance();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkOutputWindow", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOutputWindow_SetInstance_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOutputWindow *op;
  vtkOutputWindow  *temp0;
  temp0 = (vtkOutputWindow *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkOutputWindow"));

  op = (vtkOutputWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOutputWindow");
  op->SetInstance(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOutputWindow_DisplayText_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOutputWindow *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOutputWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOutputWindow");
  op->DisplayText(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOutputWindow_DisplayErrorText_15(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOutputWindow *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOutputWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOutputWindow");
  op->DisplayErrorText(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOutputWindow_DisplayWarningText_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOutputWindow *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOutputWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOutputWindow");
  op->DisplayWarningText(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOutputWindow_DisplayGenericWarningText_17(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOutputWindow *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOutputWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOutputWindow");
  op->DisplayGenericWarningText(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOutputWindow_DisplayDebugText_18(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOutputWindow *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOutputWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOutputWindow");
  op->DisplayDebugText(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOutputWindow_PromptUserOn_19(JNIEnv *env, jobject obj)
{
  vtkOutputWindow *op;

  op = (vtkOutputWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOutputWindow");
  op->PromptUserOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOutputWindow_PromptUserOff_110(JNIEnv *env, jobject obj)
{
  vtkOutputWindow *op;

  op = (vtkOutputWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOutputWindow");
  op->PromptUserOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOutputWindow_SetPromptUser_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkOutputWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkOutputWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOutputWindow");
  op->SetPromptUser(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkOutputWindow_VTKInit(JNIEnv *env, jobject obj)
{
  vtkOutputWindow *aNewOne = vtkOutputWindow::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkOutputWindow_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkOutputWindow_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkOutputWindow_Typecast);
}
