// java wrapper for vtkActor2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkActor2D.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkProp_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkActor2D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkActor2D",dType)) { return me; }
  if ((res= vtkProp_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkActor2D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkActor2D *op;
  const char    *temp20;

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkActor2D");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkActor2D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkActor2D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkActor2D");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkActor2D_RenderOverlay_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkActor2D *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkViewport"));

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkActor2D");
  temp20 = (op)->RenderOverlay(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkActor2D_RenderOpaqueGeometry_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkActor2D *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkViewport"));

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkActor2D");
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkActor2D_RenderTranslucentGeometry_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkActor2D *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkViewport"));

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkActor2D");
  temp20 = (op)->RenderTranslucentGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkActor2D_SetMapper_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkActor2D *op;
  vtkMapper2D  *temp0;
  temp0 = (vtkMapper2D *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkMapper2D"));

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkActor2D");
  op->SetMapper(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkActor2D_GetMapper_16(JNIEnv *env, jobject obj)
{
  vtkActor2D *op;
  vtkMapper2D  *temp20;
  jobject tempH;

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkActor2D");
  temp20 = (op)->GetMapper();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkMapper2D", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkActor2D_SetLayerNumber_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkActor2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkActor2D");
  op->SetLayerNumber(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkActor2D_GetLayerNumber_18(JNIEnv *env, jobject obj)
{
  vtkActor2D *op;
  int      temp20;

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkActor2D");
  temp20 = (op)->GetLayerNumber();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkActor2D_GetProperty_19(JNIEnv *env, jobject obj)
{
  vtkActor2D *op;
  vtkProperty2D  *temp20;
  jobject tempH;

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkActor2D");
  temp20 = (op)->GetProperty();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkProperty2D", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkActor2D_SetProperty_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkActor2D *op;
  vtkProperty2D  *temp0;
  temp0 = (vtkProperty2D *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProperty2D"));

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkActor2D");
  op->SetProperty(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkActor2D_GetPositionCoordinate_111(JNIEnv *env, jobject obj)
{
  vtkActor2D *op;
  vtkCoordinate  *temp20;
  jobject tempH;

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkActor2D");
  temp20 = (op)->GetPositionCoordinate();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkCoordinate", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkActor2D_SetPosition_112(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkActor2D *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkActor2D");
  op->SetPosition(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkActor2D_SetPosition_113(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkActor2D *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkActor2D");
  op->SetPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkActor2D_GetPosition_114(JNIEnv *env, jobject obj)
{
  vtkActor2D *op;
  double  *temp20;

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkActor2D");
  temp20 = (op)->GetPosition();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkActor2D_SetDisplayPosition_115(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkActor2D *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkActor2D");
  op->SetDisplayPosition(temp0,temp1);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkActor2D_GetPosition2Coordinate_116(JNIEnv *env, jobject obj)
{
  vtkActor2D *op;
  vtkCoordinate  *temp20;
  jobject tempH;

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkActor2D");
  temp20 = (op)->GetPosition2Coordinate();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkCoordinate", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkActor2D_SetPosition2_117(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkActor2D *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkActor2D");
  op->SetPosition2(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkActor2D_SetPosition2_118(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkActor2D *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkActor2D");
  op->SetPosition2(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkActor2D_GetPosition2_119(JNIEnv *env, jobject obj)
{
  vtkActor2D *op;
  double  *temp20;

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkActor2D");
  temp20 = (op)->GetPosition2();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkActor2D_SetWidth_120(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkActor2D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkActor2D");
  op->SetWidth(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkActor2D_GetWidth_121(JNIEnv *env, jobject obj)
{
  vtkActor2D *op;
  double   temp20;

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkActor2D");
  temp20 = (op)->GetWidth();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkActor2D_SetHeight_122(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkActor2D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkActor2D");
  op->SetHeight(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkActor2D_GetHeight_123(JNIEnv *env, jobject obj)
{
  vtkActor2D *op;
  double   temp20;

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkActor2D");
  temp20 = (op)->GetHeight();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkActor2D_GetMTime_124(JNIEnv *env, jobject obj)
{
  vtkActor2D *op;
   unsigned long     temp20;

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkActor2D");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkActor2D_GetActors2D_125(JNIEnv *env, jobject obj,jobject id0)
{
  vtkActor2D *op;
  vtkPropCollection  *temp0;
  temp0 = (vtkPropCollection *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPropCollection"));

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkActor2D");
  op->GetActors2D(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkActor2D_ShallowCopy_126(JNIEnv *env, jobject obj,jobject id0)
{
  vtkActor2D *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProp"));

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkActor2D");
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkActor2D_ReleaseGraphicsResources_127(JNIEnv *env, jobject obj,jobject id0)
{
  vtkActor2D *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkWindow"));

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkActor2D");
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkActor2D_GetActualPositionCoordinate_128(JNIEnv *env, jobject obj)
{
  vtkActor2D *op;
  vtkCoordinate  *temp20;
  jobject tempH;

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkActor2D");
  temp20 = (op)->GetActualPositionCoordinate();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkCoordinate", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkActor2D_GetActualPosition2Coordinate_129(JNIEnv *env, jobject obj)
{
  vtkActor2D *op;
  vtkCoordinate  *temp20;
  jobject tempH;

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkActor2D");
  temp20 = (op)->GetActualPosition2Coordinate();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkCoordinate", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkActor2D_VTKInit(JNIEnv *env, jobject obj)
{
  vtkActor2D *aNewOne = vtkActor2D::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkActor2D_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkActor2D_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkActor2D_Typecast);
}
