// java wrapper for vtkColorTransferFunction object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkColorTransferFunction.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkScalarsToColors_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkColorTransferFunction_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkColorTransferFunction",dType)) { return me; }
  if ((res= vtkScalarsToColors_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkColorTransferFunction_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;
  const char    *temp20;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkColorTransferFunction");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkColorTransferFunction_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkColorTransferFunction *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkColorTransferFunction");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorTransferFunction_DeepCopy_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkColorTransferFunction *op;
  vtkColorTransferFunction  *temp0;
  temp0 = (vtkColorTransferFunction *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkColorTransferFunction"));

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkColorTransferFunction");
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkColorTransferFunction_GetSize_13(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;
  int      temp20;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkColorTransferFunction");
  temp20 = (op)->GetSize();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkColorTransferFunction_AddRGBPoint_14(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkColorTransferFunction *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkColorTransferFunction");
  temp20 = (op)->AddRGBPoint(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkColorTransferFunction_AddHSVPoint_15(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkColorTransferFunction *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkColorTransferFunction");
  temp20 = (op)->AddHSVPoint(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkColorTransferFunction_RemovePoint_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkColorTransferFunction *op;
  double   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkColorTransferFunction");
  temp20 = (op)->RemovePoint(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorTransferFunction_AddRGBSegment_17(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5,jdouble id6,jdouble id7)
{
  vtkColorTransferFunction *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  double   temp7;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;
  temp6 = id6;
  temp7 = id7;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkColorTransferFunction");
  op->AddRGBSegment(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorTransferFunction_AddHSVSegment_18(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5,jdouble id6,jdouble id7)
{
  vtkColorTransferFunction *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  double   temp7;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;
  temp6 = id6;
  temp7 = id7;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkColorTransferFunction");
  op->AddHSVSegment(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorTransferFunction_RemoveAllPoints_19(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkColorTransferFunction");
  op->RemoveAllPoints();
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkColorTransferFunction_GetColor_110(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkColorTransferFunction *op;
  double   temp0;
  double  *temp20;
  temp0 = id0;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkColorTransferFunction");
  temp20 = (op)->GetColor(temp0);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorTransferFunction_GetColor_111(JNIEnv *env, jobject obj,jdouble id0,jdoubleArray id1)
{
  vtkColorTransferFunction *op;
  double   temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkColorTransferFunction");
  op->GetColor(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkColorTransferFunction_GetRedValue_112(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkColorTransferFunction *op;
  double   temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkColorTransferFunction");
  temp20 = (op)->GetRedValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkColorTransferFunction_GetGreenValue_113(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkColorTransferFunction *op;
  double   temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkColorTransferFunction");
  temp20 = (op)->GetGreenValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkColorTransferFunction_GetBlueValue_114(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkColorTransferFunction *op;
  double   temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkColorTransferFunction");
  temp20 = (op)->GetBlueValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkColorTransferFunction_GetRange_115(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;
  double  *temp20;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkColorTransferFunction");
  temp20 = (op)->GetRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkColorTransferFunction_AdjustRange_116(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkColorTransferFunction *op;
  double temp0[2];
  void *tempArray0;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkColorTransferFunction");
  temp20 = (op)->AdjustRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorTransferFunction_SetClamping_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkColorTransferFunction *op;
  int      temp0;
  temp0 = id0;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkColorTransferFunction");
  op->SetClamping(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkColorTransferFunction_GetClampingMinValue_118(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;
  int      temp20;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkColorTransferFunction");
  temp20 = (op)->GetClampingMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkColorTransferFunction_GetClampingMaxValue_119(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;
  int      temp20;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkColorTransferFunction");
  temp20 = (op)->GetClampingMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkColorTransferFunction_GetClamping_120(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;
  int      temp20;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkColorTransferFunction");
  temp20 = (op)->GetClamping();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorTransferFunction_ClampingOn_121(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkColorTransferFunction");
  op->ClampingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorTransferFunction_ClampingOff_122(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkColorTransferFunction");
  op->ClampingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorTransferFunction_SetColorSpace_123(JNIEnv *env, jobject obj,jint id0)
{
  vtkColorTransferFunction *op;
  int      temp0;
  temp0 = id0;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkColorTransferFunction");
  op->SetColorSpace(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkColorTransferFunction_GetColorSpaceMinValue_124(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;
  int      temp20;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkColorTransferFunction");
  temp20 = (op)->GetColorSpaceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkColorTransferFunction_GetColorSpaceMaxValue_125(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;
  int      temp20;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkColorTransferFunction");
  temp20 = (op)->GetColorSpaceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorTransferFunction_SetColorSpaceToRGB_126(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkColorTransferFunction");
  op->SetColorSpaceToRGB();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorTransferFunction_SetColorSpaceToHSV_127(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkColorTransferFunction");
  op->SetColorSpaceToHSV();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkColorTransferFunction_GetColorSpace_128(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;
  int      temp20;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkColorTransferFunction");
  temp20 = (op)->GetColorSpace();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorTransferFunction_SetHSVWrap_129(JNIEnv *env, jobject obj,jint id0)
{
  vtkColorTransferFunction *op;
  int      temp0;
  temp0 = id0;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkColorTransferFunction");
  op->SetHSVWrap(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkColorTransferFunction_GetHSVWrap_130(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;
  int      temp20;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkColorTransferFunction");
  temp20 = (op)->GetHSVWrap();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorTransferFunction_HSVWrapOn_131(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkColorTransferFunction");
  op->HSVWrapOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorTransferFunction_HSVWrapOff_132(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkColorTransferFunction");
  op->HSVWrapOff();
}

#if !defined(VTK_LEGACY_REMOVE)
extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorTransferFunction_SetColorSpaceToHSVNoWrap_133(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkColorTransferFunction");
  op->SetColorSpaceToHSVNoWrap();
}
#endif

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkColorTransferFunction_VTKInit(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *aNewOne = vtkColorTransferFunction::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkColorTransferFunction_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkColorTransferFunction_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkColorTransferFunction_Typecast);
}
