// java wrapper for vtkCompositeDataPipeline object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCompositeDataPipeline.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkStreamingDemandDrivenPipeline_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCompositeDataPipeline_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCompositeDataPipeline",dType)) { return me; }
  if ((res= vtkStreamingDemandDrivenPipeline_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCompositeDataPipeline_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCompositeDataPipeline *op;
  const char    *temp20;

  op = (vtkCompositeDataPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCompositeDataPipeline");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositeDataPipeline_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCompositeDataPipeline *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCompositeDataPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCompositeDataPipeline");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCompositeDataPipeline_GetCompositeOutputData_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkCompositeDataPipeline *op;
  int      temp0;
  vtkDataObject  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkCompositeDataPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCompositeDataPipeline");
  temp20 = (op)->GetCompositeOutputData(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataObject", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCompositeDataPipeline_BEGIN_LOOP_13(JNIEnv *env, jobject obj)
{
  vtkCompositeDataPipeline *op;
  vtkInformationIntegerKey  *temp20;
  jobject tempH;

  op = (vtkCompositeDataPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCompositeDataPipeline");
  temp20 = (op)->BEGIN_LOOP();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationIntegerKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCompositeDataPipeline_END_LOOP_14(JNIEnv *env, jobject obj)
{
  vtkCompositeDataPipeline *op;
  vtkInformationIntegerKey  *temp20;
  jobject tempH;

  op = (vtkCompositeDataPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCompositeDataPipeline");
  temp20 = (op)->END_LOOP();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationIntegerKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCompositeDataPipeline_COMPOSITE_DATA_TYPE_NAME_15(JNIEnv *env, jobject obj)
{
  vtkCompositeDataPipeline *op;
  vtkInformationStringKey  *temp20;
  jobject tempH;

  op = (vtkCompositeDataPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCompositeDataPipeline");
  temp20 = (op)->COMPOSITE_DATA_TYPE_NAME();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationStringKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCompositeDataPipeline_COMPOSITE_DATA_INFORMATION_16(JNIEnv *env, jobject obj)
{
  vtkCompositeDataPipeline *op;
  vtkInformationObjectBaseKey  *temp20;
  jobject tempH;

  op = (vtkCompositeDataPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCompositeDataPipeline");
  temp20 = (op)->COMPOSITE_DATA_INFORMATION();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationObjectBaseKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCompositeDataPipeline_MARKED_FOR_UPDATE_17(JNIEnv *env, jobject obj)
{
  vtkCompositeDataPipeline *op;
  vtkInformationIntegerKey  *temp20;
  jobject tempH;

  op = (vtkCompositeDataPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCompositeDataPipeline");
  temp20 = (op)->MARKED_FOR_UPDATE();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationIntegerKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCompositeDataPipeline_INPUT_REQUIRED_COMPOSITE_DATA_TYPE_18(JNIEnv *env, jobject obj)
{
  vtkCompositeDataPipeline *op;
  vtkInformationStringKey  *temp20;
  jobject tempH;

  op = (vtkCompositeDataPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCompositeDataPipeline");
  temp20 = (op)->INPUT_REQUIRED_COMPOSITE_DATA_TYPE();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationStringKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCompositeDataPipeline_UPDATE_BLOCKS_19(JNIEnv *env, jobject obj)
{
  vtkCompositeDataPipeline *op;
  vtkInformationObjectBaseKey  *temp20;
  jobject tempH;

  op = (vtkCompositeDataPipeline *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCompositeDataPipeline");
  temp20 = (op)->UPDATE_BLOCKS();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationObjectBaseKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkCompositeDataPipeline_VTKInit(JNIEnv *env, jobject obj)
{
  vtkCompositeDataPipeline *aNewOne = vtkCompositeDataPipeline::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkCompositeDataPipeline_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkCompositeDataPipeline_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkCompositeDataPipeline_Typecast);
}
