// java wrapper for vtkDataSetToDataSetFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataSetToDataSetFilter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDataSetSource_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDataSetToDataSetFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDataSetToDataSetFilter",dType)) { return me; }
  if ((res= vtkDataSetSource_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataSetToDataSetFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDataSetToDataSetFilter *op;
  const char    *temp20;

  op = (vtkDataSetToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetToDataSetFilter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetToDataSetFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetToDataSetFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetToDataSetFilter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetToDataSetFilter_SetInput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSetToDataSetFilter *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));

  op = (vtkDataSetToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetToDataSetFilter");
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSetToDataSetFilter_GetOutput_13(JNIEnv *env, jobject obj)
{
  vtkDataSetToDataSetFilter *op;
  vtkDataSet  *temp20;
  jobject tempH;

  op = (vtkDataSetToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetToDataSetFilter");
  temp20 = (op)->GetOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSetToDataSetFilter_GetOutput_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSetToDataSetFilter *op;
  int      temp0;
  vtkDataSet  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkDataSetToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetToDataSetFilter");
  temp20 = (op)->GetOutput(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSetToDataSetFilter_GetPolyDataOutput_15(JNIEnv *env, jobject obj)
{
  vtkDataSetToDataSetFilter *op;
  vtkPolyData  *temp20;
  jobject tempH;

  op = (vtkDataSetToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetToDataSetFilter");
  temp20 = (op)->GetPolyDataOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPolyData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSetToDataSetFilter_GetStructuredPointsOutput_16(JNIEnv *env, jobject obj)
{
  vtkDataSetToDataSetFilter *op;
  vtkStructuredPoints  *temp20;
  jobject tempH;

  op = (vtkDataSetToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetToDataSetFilter");
  temp20 = (op)->GetStructuredPointsOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkStructuredPoints", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSetToDataSetFilter_GetStructuredGridOutput_17(JNIEnv *env, jobject obj)
{
  vtkDataSetToDataSetFilter *op;
  vtkStructuredGrid  *temp20;
  jobject tempH;

  op = (vtkDataSetToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetToDataSetFilter");
  temp20 = (op)->GetStructuredGridOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkStructuredGrid", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSetToDataSetFilter_GetUnstructuredGridOutput_18(JNIEnv *env, jobject obj)
{
  vtkDataSetToDataSetFilter *op;
  vtkUnstructuredGrid  *temp20;
  jobject tempH;

  op = (vtkDataSetToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetToDataSetFilter");
  temp20 = (op)->GetUnstructuredGridOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkUnstructuredGrid", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSetToDataSetFilter_GetRectilinearGridOutput_19(JNIEnv *env, jobject obj)
{
  vtkDataSetToDataSetFilter *op;
  vtkRectilinearGrid  *temp20;
  jobject tempH;

  op = (vtkDataSetToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetToDataSetFilter");
  temp20 = (op)->GetRectilinearGridOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkRectilinearGrid", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSetToDataSetFilter_GetInput_110(JNIEnv *env, jobject obj)
{
  vtkDataSetToDataSetFilter *op;
  vtkDataSet  *temp20;
  jobject tempH;

  op = (vtkDataSetToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetToDataSetFilter");
  temp20 = (op)->GetInput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetToDataSetFilter_ComputeInputUpdateExtents_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSetToDataSetFilter *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkDataSetToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetToDataSetFilter");
  op->ComputeInputUpdateExtents(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDataSetToDataSetFilter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDataSetToDataSetFilter_Typecast);
}
