// java wrapper for vtkImplicitVolume object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImplicitVolume.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkImplicitFunction_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImplicitVolume_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImplicitVolume",dType)) { return me; }
  if ((res= vtkImplicitFunction_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImplicitVolume_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImplicitVolume *op;
  const char    *temp20;

  op = (vtkImplicitVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitVolume");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitVolume_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImplicitVolume *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImplicitVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitVolume");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitVolume_GetMTime_12(JNIEnv *env, jobject obj)
{
  vtkImplicitVolume *op;
   unsigned long     temp20;

  op = (vtkImplicitVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitVolume");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImplicitVolume_EvaluateFunction_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImplicitVolume *op;
  double temp0[3];
  void *tempArray0;
  double   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImplicitVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitVolume");
  temp20 = (op)->EvaluateFunction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImplicitVolume_EvaluateFunction_14(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImplicitVolume *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImplicitVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitVolume");
  temp20 = (op)->EvaluateFunction(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitVolume_EvaluateGradient_15(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkImplicitVolume *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkImplicitVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitVolume");
  op->EvaluateGradient(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitVolume_SetVolume_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImplicitVolume *op;
  vtkImageData  *temp0;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkImageData"));

  op = (vtkImplicitVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitVolume");
  op->SetVolume(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkImplicitVolume_GetVolume_17(JNIEnv *env, jobject obj)
{
  vtkImplicitVolume *op;
  vtkImageData  *temp20;
  jobject tempH;

  op = (vtkImplicitVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitVolume");
  temp20 = (op)->GetVolume();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkImageData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitVolume_SetOutValue_18(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImplicitVolume *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImplicitVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitVolume");
  op->SetOutValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImplicitVolume_GetOutValue_19(JNIEnv *env, jobject obj)
{
  vtkImplicitVolume *op;
  double   temp20;

  op = (vtkImplicitVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitVolume");
  temp20 = (op)->GetOutValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitVolume_SetOutGradient_110(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImplicitVolume *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImplicitVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitVolume");
  op->SetOutGradient(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitVolume_SetOutGradient_111(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImplicitVolume *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImplicitVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitVolume");
  op->SetOutGradient(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImplicitVolume_GetOutGradient_112(JNIEnv *env, jobject obj)
{
  vtkImplicitVolume *op;
  double  *temp20;

  op = (vtkImplicitVolume *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitVolume");
  temp20 = (op)->GetOutGradient();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImplicitVolume_VTKInit(JNIEnv *env, jobject obj)
{
  vtkImplicitVolume *aNewOne = vtkImplicitVolume::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImplicitVolume_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImplicitVolume_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImplicitVolume_Typecast);
}
