// java wrapper for vtkInformationStringKey object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInformationStringKey.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkInformationKey_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInformationStringKey_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInformationStringKey",dType)) { return me; }
  if ((res= vtkInformationKey_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInformationStringKey_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkInformationStringKey *op;
  const char    *temp20;

  op = (vtkInformationStringKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationStringKey");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformationStringKey_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInformationStringKey *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInformationStringKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationStringKey");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationStringKey_Set_12(JNIEnv *env, jobject obj,jobject id0,jstring id1)
{
  vtkInformationStringKey *op;
  vtkInformation  *temp0;
  char    *temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkInformationStringKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationStringKey");
  op->Set(temp0,temp1);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInformationStringKey_Get_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformationStringKey *op;
  vtkInformation  *temp0;
  const char    *temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));

  op = (vtkInformationStringKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationStringKey");
  temp20 = (op)->Get(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformationStringKey_Has_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformationStringKey *op;
  vtkInformation  *temp0;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));

  op = (vtkInformationStringKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationStringKey");
  temp20 = (op)->Has(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationStringKey_ShallowCopy_15(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformationStringKey *op;
  vtkInformation  *temp0;
  vtkInformation  *temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkInformation"));

  op = (vtkInformationStringKey *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInformationStringKey");
  op->ShallowCopy(temp0,temp1);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkInformationStringKey_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkInformationStringKey_Typecast);
}
