// java wrapper for vtkSimpleCellTessellator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSimpleCellTessellator.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkGenericCellTessellator_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSimpleCellTessellator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSimpleCellTessellator",dType)) { return me; }
  if ((res= vtkGenericCellTessellator_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSimpleCellTessellator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSimpleCellTessellator *op;
  const char    *temp20;

  op = (vtkSimpleCellTessellator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSimpleCellTessellator");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSimpleCellTessellator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSimpleCellTessellator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSimpleCellTessellator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSimpleCellTessellator");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkSimpleCellTessellator_GetGenericCell_12(JNIEnv *env, jobject obj)
{
  vtkSimpleCellTessellator *op;
  vtkGenericAdaptorCell  *temp20;
  jobject tempH;

  op = (vtkSimpleCellTessellator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSimpleCellTessellator");
  temp20 = (op)->GetGenericCell();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkGenericAdaptorCell", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSimpleCellTessellator_TessellateFace_13(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2,jobject id3,jobject id4,jobject id5)
{
  vtkSimpleCellTessellator *op;
  vtkGenericAdaptorCell  *temp0;
  vtkGenericAttributeCollection  *temp1;
  vtkIdType   temp2;
  vtkDoubleArray  *temp3;
  vtkCellArray  *temp4;
  vtkPointData  *temp5;
  temp0 = (vtkGenericAdaptorCell *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkGenericAdaptorCell"));
  temp1 = (vtkGenericAttributeCollection *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkGenericAttributeCollection"));
  temp2 = id2;
  temp3 = (vtkDoubleArray *)(vtkJavaGetPointerFromObject(env,id3,(char *) "vtkDoubleArray"));
  temp4 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id4,(char *) "vtkCellArray"));
  temp5 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id5,(char *) "vtkPointData"));

  op = (vtkSimpleCellTessellator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSimpleCellTessellator");
  op->TessellateFace(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSimpleCellTessellator_Tessellate_14(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2,jobject id3,jobject id4)
{
  vtkSimpleCellTessellator *op;
  vtkGenericAdaptorCell  *temp0;
  vtkGenericAttributeCollection  *temp1;
  vtkDoubleArray  *temp2;
  vtkCellArray  *temp3;
  vtkPointData  *temp4;
  temp0 = (vtkGenericAdaptorCell *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkGenericAdaptorCell"));
  temp1 = (vtkGenericAttributeCollection *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkGenericAttributeCollection"));
  temp2 = (vtkDoubleArray *)(vtkJavaGetPointerFromObject(env,id2,(char *) "vtkDoubleArray"));
  temp3 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id3,(char *) "vtkCellArray"));
  temp4 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id4,(char *) "vtkPointData"));

  op = (vtkSimpleCellTessellator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSimpleCellTessellator");
  op->Tessellate(temp0,temp1,temp2,temp3,temp4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSimpleCellTessellator_Triangulate_15(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2,jobject id3,jobject id4)
{
  vtkSimpleCellTessellator *op;
  vtkGenericAdaptorCell  *temp0;
  vtkGenericAttributeCollection  *temp1;
  vtkDoubleArray  *temp2;
  vtkCellArray  *temp3;
  vtkPointData  *temp4;
  temp0 = (vtkGenericAdaptorCell *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkGenericAdaptorCell"));
  temp1 = (vtkGenericAttributeCollection *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkGenericAttributeCollection"));
  temp2 = (vtkDoubleArray *)(vtkJavaGetPointerFromObject(env,id2,(char *) "vtkDoubleArray"));
  temp3 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id3,(char *) "vtkCellArray"));
  temp4 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id4,(char *) "vtkPointData"));

  op = (vtkSimpleCellTessellator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSimpleCellTessellator");
  op->Triangulate(temp0,temp1,temp2,temp3,temp4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSimpleCellTessellator_Reset_16(JNIEnv *env, jobject obj)
{
  vtkSimpleCellTessellator *op;

  op = (vtkSimpleCellTessellator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSimpleCellTessellator");
  op->Reset();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSimpleCellTessellator_Initialize_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSimpleCellTessellator *op;
  vtkGenericDataSet  *temp0;
  temp0 = (vtkGenericDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkGenericDataSet"));

  op = (vtkSimpleCellTessellator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSimpleCellTessellator");
  op->Initialize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSimpleCellTessellator_GetFixedSubdivisions_18(JNIEnv *env, jobject obj)
{
  vtkSimpleCellTessellator *op;
  int      temp20;

  op = (vtkSimpleCellTessellator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSimpleCellTessellator");
  temp20 = (op)->GetFixedSubdivisions();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSimpleCellTessellator_GetMaxSubdivisionLevel_19(JNIEnv *env, jobject obj)
{
  vtkSimpleCellTessellator *op;
  int      temp20;

  op = (vtkSimpleCellTessellator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSimpleCellTessellator");
  temp20 = (op)->GetMaxSubdivisionLevel();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSimpleCellTessellator_GetMaxAdaptiveSubdivisions_110(JNIEnv *env, jobject obj)
{
  vtkSimpleCellTessellator *op;
  int      temp20;

  op = (vtkSimpleCellTessellator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSimpleCellTessellator");
  temp20 = (op)->GetMaxAdaptiveSubdivisions();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSimpleCellTessellator_SetFixedSubdivisions_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkSimpleCellTessellator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSimpleCellTessellator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSimpleCellTessellator");
  op->SetFixedSubdivisions(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSimpleCellTessellator_SetMaxSubdivisionLevel_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkSimpleCellTessellator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSimpleCellTessellator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSimpleCellTessellator");
  op->SetMaxSubdivisionLevel(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSimpleCellTessellator_SetSubdivisionLevels_113(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkSimpleCellTessellator *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkSimpleCellTessellator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSimpleCellTessellator");
  op->SetSubdivisionLevels(temp0,temp1);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkSimpleCellTessellator_VTKInit(JNIEnv *env, jobject obj)
{
  vtkSimpleCellTessellator *aNewOne = vtkSimpleCellTessellator::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkSimpleCellTessellator_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkSimpleCellTessellator_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkSimpleCellTessellator_Typecast);
}
