// java wrapper for vtkUniformGrid object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkUniformGrid.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkImageData_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkUniformGrid_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkUniformGrid",dType)) { return me; }
  if ((res= vtkImageData_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkUniformGrid_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkUniformGrid *op;
  const char    *temp20;

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUniformGrid");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUniformGrid_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUniformGrid *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUniformGrid");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUniformGrid_CopyStructure_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkUniformGrid *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUniformGrid");
  op->CopyStructure(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUniformGrid_GetDataObjectType_13(JNIEnv *env, jobject obj)
{
  vtkUniformGrid *op;
  int      temp20;

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUniformGrid");
  temp20 = (op)->GetDataObjectType();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkUniformGrid_GetCell_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkUniformGrid *op;
  vtkIdType   temp0;
  vtkCell  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUniformGrid");
  temp20 = (op)->GetCell(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkCell", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUniformGrid_GetCell_15(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkUniformGrid *op;
  vtkIdType   temp0;
  vtkGenericCell  *temp1;
  temp0 = id0;
  temp1 = (vtkGenericCell *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkGenericCell"));

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUniformGrid");
  op->GetCell(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUniformGrid_GetCellType_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkUniformGrid *op;
  vtkIdType   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUniformGrid");
  temp20 = (op)->GetCellType(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUniformGrid_GetCellPoints_17(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkUniformGrid *op;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkIdList"));

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUniformGrid");
  op->GetCellPoints(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUniformGrid_GetPointCells_18(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkUniformGrid *op;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkIdList"));

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUniformGrid");
  op->GetPointCells(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUniformGrid_Initialize_19(JNIEnv *env, jobject obj)
{
  vtkUniformGrid *op;

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUniformGrid");
  op->Initialize();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUniformGrid_GetMaxCellSize_110(JNIEnv *env, jobject obj)
{
  vtkUniformGrid *op;
  int      temp20;

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUniformGrid");
  temp20 = (op)->GetMaxCellSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUniformGrid_GetScalarRange_111(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkUniformGrid *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUniformGrid");
  op->GetScalarRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUniformGrid_ShallowCopy_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkUniformGrid *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUniformGrid");
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUniformGrid_DeepCopy_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkUniformGrid *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUniformGrid");
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUniformGrid_BlankPoint_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkUniformGrid *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUniformGrid");
  op->BlankPoint(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUniformGrid_UnBlankPoint_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkUniformGrid *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUniformGrid");
  op->UnBlankPoint(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUniformGrid_BlankCell_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkUniformGrid *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUniformGrid");
  op->BlankCell(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUniformGrid_UnBlankCell_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkUniformGrid *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUniformGrid");
  op->UnBlankCell(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkUniformGrid_GetPointVisibilityArray_118(JNIEnv *env, jobject obj)
{
  vtkUniformGrid *op;
  vtkUnsignedCharArray  *temp20;
  jobject tempH;

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUniformGrid");
  temp20 = (op)->GetPointVisibilityArray();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkUnsignedCharArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUniformGrid_SetPointVisibilityArray_119(JNIEnv *env, jobject obj,jobject id0)
{
  vtkUniformGrid *op;
  vtkUnsignedCharArray  *temp0;
  temp0 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkUnsignedCharArray"));

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUniformGrid");
  op->SetPointVisibilityArray(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkUniformGrid_GetCellVisibilityArray_120(JNIEnv *env, jobject obj)
{
  vtkUniformGrid *op;
  vtkUnsignedCharArray  *temp20;
  jobject tempH;

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUniformGrid");
  temp20 = (op)->GetCellVisibilityArray();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkUnsignedCharArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUniformGrid_SetCellVisibilityArray_121(JNIEnv *env, jobject obj,jobject id0)
{
  vtkUniformGrid *op;
  vtkUnsignedCharArray  *temp0;
  temp0 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkUnsignedCharArray"));

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUniformGrid");
  op->SetCellVisibilityArray(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUniformGrid_IsPointVisible_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkUniformGrid *op;
  vtkIdType   temp0;
   unsigned char     temp20;
  temp0 = id0;

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUniformGrid");
  temp20 = (op)->IsPointVisible(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUniformGrid_IsCellVisible_123(JNIEnv *env, jobject obj,jint id0)
{
  vtkUniformGrid *op;
  vtkIdType   temp0;
   unsigned char     temp20;
  temp0 = id0;

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUniformGrid");
  temp20 = (op)->IsCellVisible(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUniformGrid_GetPointBlanking_124(JNIEnv *env, jobject obj)
{
  vtkUniformGrid *op;
   unsigned char     temp20;

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUniformGrid");
  temp20 = (op)->GetPointBlanking();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUniformGrid_GetCellBlanking_125(JNIEnv *env, jobject obj)
{
  vtkUniformGrid *op;
   unsigned char     temp20;

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUniformGrid");
  temp20 = (op)->GetCellBlanking();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkUniformGrid_NewImageDataCopy_126(JNIEnv *env, jobject obj)
{
  vtkUniformGrid *op;
  vtkImageData  *temp20;
  jobject tempH;

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUniformGrid");
  temp20 = (op)->NewImageDataCopy();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkImageData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkUniformGrid_VTKInit(JNIEnv *env, jobject obj)
{
  vtkUniformGrid *aNewOne = vtkUniformGrid::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkUniformGrid_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkUniformGrid_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkUniformGrid_Typecast);
}
