// java wrapper for vtkArrowSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkArrowSource.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkArrowSource_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkArrowSource",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkArrowSource_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkArrowSource *op;
  const char    *temp20;

  op = (vtkArrowSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrowSource");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArrowSource_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkArrowSource *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkArrowSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrowSource");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrowSource_SetTipLength_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkArrowSource *op;
  double   temp0;
  temp0 = id0;

  op = (vtkArrowSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrowSource");
  op->SetTipLength(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkArrowSource_GetTipLengthMinValue_13(JNIEnv *env, jobject obj)
{
  vtkArrowSource *op;
  double   temp20;

  op = (vtkArrowSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrowSource");
  temp20 = (op)->GetTipLengthMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkArrowSource_GetTipLengthMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkArrowSource *op;
  double   temp20;

  op = (vtkArrowSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrowSource");
  temp20 = (op)->GetTipLengthMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkArrowSource_GetTipLength_15(JNIEnv *env, jobject obj)
{
  vtkArrowSource *op;
  double   temp20;

  op = (vtkArrowSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrowSource");
  temp20 = (op)->GetTipLength();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrowSource_SetTipRadius_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkArrowSource *op;
  double   temp0;
  temp0 = id0;

  op = (vtkArrowSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrowSource");
  op->SetTipRadius(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkArrowSource_GetTipRadiusMinValue_17(JNIEnv *env, jobject obj)
{
  vtkArrowSource *op;
  double   temp20;

  op = (vtkArrowSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrowSource");
  temp20 = (op)->GetTipRadiusMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkArrowSource_GetTipRadiusMaxValue_18(JNIEnv *env, jobject obj)
{
  vtkArrowSource *op;
  double   temp20;

  op = (vtkArrowSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrowSource");
  temp20 = (op)->GetTipRadiusMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkArrowSource_GetTipRadius_19(JNIEnv *env, jobject obj)
{
  vtkArrowSource *op;
  double   temp20;

  op = (vtkArrowSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrowSource");
  temp20 = (op)->GetTipRadius();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrowSource_SetTipResolution_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkArrowSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkArrowSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrowSource");
  op->SetTipResolution(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArrowSource_GetTipResolutionMinValue_111(JNIEnv *env, jobject obj)
{
  vtkArrowSource *op;
  int      temp20;

  op = (vtkArrowSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrowSource");
  temp20 = (op)->GetTipResolutionMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArrowSource_GetTipResolutionMaxValue_112(JNIEnv *env, jobject obj)
{
  vtkArrowSource *op;
  int      temp20;

  op = (vtkArrowSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrowSource");
  temp20 = (op)->GetTipResolutionMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArrowSource_GetTipResolution_113(JNIEnv *env, jobject obj)
{
  vtkArrowSource *op;
  int      temp20;

  op = (vtkArrowSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrowSource");
  temp20 = (op)->GetTipResolution();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrowSource_SetShaftRadius_114(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkArrowSource *op;
  double   temp0;
  temp0 = id0;

  op = (vtkArrowSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrowSource");
  op->SetShaftRadius(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkArrowSource_GetShaftRadiusMinValue_115(JNIEnv *env, jobject obj)
{
  vtkArrowSource *op;
  double   temp20;

  op = (vtkArrowSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrowSource");
  temp20 = (op)->GetShaftRadiusMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkArrowSource_GetShaftRadiusMaxValue_116(JNIEnv *env, jobject obj)
{
  vtkArrowSource *op;
  double   temp20;

  op = (vtkArrowSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrowSource");
  temp20 = (op)->GetShaftRadiusMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkArrowSource_GetShaftRadius_117(JNIEnv *env, jobject obj)
{
  vtkArrowSource *op;
  double   temp20;

  op = (vtkArrowSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrowSource");
  temp20 = (op)->GetShaftRadius();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrowSource_SetShaftResolution_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkArrowSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkArrowSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrowSource");
  op->SetShaftResolution(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArrowSource_GetShaftResolutionMinValue_119(JNIEnv *env, jobject obj)
{
  vtkArrowSource *op;
  int      temp20;

  op = (vtkArrowSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrowSource");
  temp20 = (op)->GetShaftResolutionMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArrowSource_GetShaftResolutionMaxValue_120(JNIEnv *env, jobject obj)
{
  vtkArrowSource *op;
  int      temp20;

  op = (vtkArrowSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrowSource");
  temp20 = (op)->GetShaftResolutionMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArrowSource_GetShaftResolution_121(JNIEnv *env, jobject obj)
{
  vtkArrowSource *op;
  int      temp20;

  op = (vtkArrowSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArrowSource");
  temp20 = (op)->GetShaftResolution();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkArrowSource_VTKInit(JNIEnv *env, jobject obj)
{
  vtkArrowSource *aNewOne = vtkArrowSource::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkArrowSource_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkArrowSource_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkArrowSource_Typecast);
}
