// java wrapper for vtkClipDataSet object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkClipDataSet.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkUnstructuredGridAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkClipDataSet_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkClipDataSet",dType)) { return me; }
  if ((res= vtkUnstructuredGridAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkClipDataSet_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkClipDataSet *op;
  const char    *temp20;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipDataSet");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClipDataSet_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkClipDataSet *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipDataSet");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipDataSet_SetValue_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkClipDataSet *op;
  double   temp0;
  temp0 = id0;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipDataSet");
  op->SetValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkClipDataSet_GetValue_13(JNIEnv *env, jobject obj)
{
  vtkClipDataSet *op;
  double   temp20;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipDataSet");
  temp20 = (op)->GetValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipDataSet_SetInsideOut_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkClipDataSet *op;
  int      temp0;
  temp0 = id0;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipDataSet");
  op->SetInsideOut(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClipDataSet_GetInsideOut_15(JNIEnv *env, jobject obj)
{
  vtkClipDataSet *op;
  int      temp20;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipDataSet");
  temp20 = (op)->GetInsideOut();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipDataSet_InsideOutOn_16(JNIEnv *env, jobject obj)
{
  vtkClipDataSet *op;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipDataSet");
  op->InsideOutOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipDataSet_InsideOutOff_17(JNIEnv *env, jobject obj)
{
  vtkClipDataSet *op;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipDataSet");
  op->InsideOutOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipDataSet_SetClipFunction_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkClipDataSet *op;
  vtkImplicitFunction  *temp0;
  temp0 = (vtkImplicitFunction *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkImplicitFunction"));

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipDataSet");
  op->SetClipFunction(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkClipDataSet_GetClipFunction_19(JNIEnv *env, jobject obj)
{
  vtkClipDataSet *op;
  vtkImplicitFunction  *temp20;
  jobject tempH;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipDataSet");
  temp20 = (op)->GetClipFunction();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkImplicitFunction", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipDataSet_SetGenerateClipScalars_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkClipDataSet *op;
  int      temp0;
  temp0 = id0;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipDataSet");
  op->SetGenerateClipScalars(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClipDataSet_GetGenerateClipScalars_111(JNIEnv *env, jobject obj)
{
  vtkClipDataSet *op;
  int      temp20;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipDataSet");
  temp20 = (op)->GetGenerateClipScalars();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipDataSet_GenerateClipScalarsOn_112(JNIEnv *env, jobject obj)
{
  vtkClipDataSet *op;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipDataSet");
  op->GenerateClipScalarsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipDataSet_GenerateClipScalarsOff_113(JNIEnv *env, jobject obj)
{
  vtkClipDataSet *op;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipDataSet");
  op->GenerateClipScalarsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipDataSet_SetGenerateClippedOutput_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkClipDataSet *op;
  int      temp0;
  temp0 = id0;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipDataSet");
  op->SetGenerateClippedOutput(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClipDataSet_GetGenerateClippedOutput_115(JNIEnv *env, jobject obj)
{
  vtkClipDataSet *op;
  int      temp20;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipDataSet");
  temp20 = (op)->GetGenerateClippedOutput();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipDataSet_GenerateClippedOutputOn_116(JNIEnv *env, jobject obj)
{
  vtkClipDataSet *op;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipDataSet");
  op->GenerateClippedOutputOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipDataSet_GenerateClippedOutputOff_117(JNIEnv *env, jobject obj)
{
  vtkClipDataSet *op;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipDataSet");
  op->GenerateClippedOutputOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipDataSet_SetMergeTolerance_118(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkClipDataSet *op;
  double   temp0;
  temp0 = id0;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipDataSet");
  op->SetMergeTolerance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkClipDataSet_GetMergeToleranceMinValue_119(JNIEnv *env, jobject obj)
{
  vtkClipDataSet *op;
  double   temp20;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipDataSet");
  temp20 = (op)->GetMergeToleranceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkClipDataSet_GetMergeToleranceMaxValue_120(JNIEnv *env, jobject obj)
{
  vtkClipDataSet *op;
  double   temp20;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipDataSet");
  temp20 = (op)->GetMergeToleranceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkClipDataSet_GetMergeTolerance_121(JNIEnv *env, jobject obj)
{
  vtkClipDataSet *op;
  double   temp20;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipDataSet");
  temp20 = (op)->GetMergeTolerance();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkClipDataSet_GetClippedOutput_122(JNIEnv *env, jobject obj)
{
  vtkClipDataSet *op;
  vtkUnstructuredGrid  *temp20;
  jobject tempH;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipDataSet");
  temp20 = (op)->GetClippedOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkUnstructuredGrid", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipDataSet_SetLocator_123(JNIEnv *env, jobject obj,jobject id0)
{
  vtkClipDataSet *op;
  vtkPointLocator  *temp0;
  temp0 = (vtkPointLocator *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPointLocator"));

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipDataSet");
  op->SetLocator(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkClipDataSet_GetLocator_124(JNIEnv *env, jobject obj)
{
  vtkClipDataSet *op;
  vtkPointLocator  *temp20;
  jobject tempH;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipDataSet");
  temp20 = (op)->GetLocator();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPointLocator", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipDataSet_CreateDefaultLocator_125(JNIEnv *env, jobject obj)
{
  vtkClipDataSet *op;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipDataSet");
  op->CreateDefaultLocator();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClipDataSet_GetMTime_126(JNIEnv *env, jobject obj)
{
  vtkClipDataSet *op;
   unsigned long     temp20;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkClipDataSet");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkClipDataSet_VTKInit(JNIEnv *env, jobject obj)
{
  vtkClipDataSet *aNewOne = vtkClipDataSet::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkClipDataSet_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkClipDataSet_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkClipDataSet_Typecast);
}
