// java wrapper for vtkDataSetToDataObjectFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataSetToDataObjectFilter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDataObjectAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDataSetToDataObjectFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDataSetToDataObjectFilter",dType)) { return me; }
  if ((res= vtkDataObjectAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataSetToDataObjectFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDataSetToDataObjectFilter *op;
  const char    *temp20;

  op = (vtkDataSetToDataObjectFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetToDataObjectFilter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetToDataObjectFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetToDataObjectFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetToDataObjectFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetToDataObjectFilter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetToDataObjectFilter_SetGeometry_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSetToDataObjectFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataSetToDataObjectFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetToDataObjectFilter");
  op->SetGeometry(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetToDataObjectFilter_GetGeometry_13(JNIEnv *env, jobject obj)
{
  vtkDataSetToDataObjectFilter *op;
  int      temp20;

  op = (vtkDataSetToDataObjectFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetToDataObjectFilter");
  temp20 = (op)->GetGeometry();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetToDataObjectFilter_GeometryOn_14(JNIEnv *env, jobject obj)
{
  vtkDataSetToDataObjectFilter *op;

  op = (vtkDataSetToDataObjectFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetToDataObjectFilter");
  op->GeometryOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetToDataObjectFilter_GeometryOff_15(JNIEnv *env, jobject obj)
{
  vtkDataSetToDataObjectFilter *op;

  op = (vtkDataSetToDataObjectFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetToDataObjectFilter");
  op->GeometryOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetToDataObjectFilter_SetTopology_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSetToDataObjectFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataSetToDataObjectFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetToDataObjectFilter");
  op->SetTopology(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetToDataObjectFilter_GetTopology_17(JNIEnv *env, jobject obj)
{
  vtkDataSetToDataObjectFilter *op;
  int      temp20;

  op = (vtkDataSetToDataObjectFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetToDataObjectFilter");
  temp20 = (op)->GetTopology();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetToDataObjectFilter_TopologyOn_18(JNIEnv *env, jobject obj)
{
  vtkDataSetToDataObjectFilter *op;

  op = (vtkDataSetToDataObjectFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetToDataObjectFilter");
  op->TopologyOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetToDataObjectFilter_TopologyOff_19(JNIEnv *env, jobject obj)
{
  vtkDataSetToDataObjectFilter *op;

  op = (vtkDataSetToDataObjectFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetToDataObjectFilter");
  op->TopologyOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetToDataObjectFilter_SetFieldData_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSetToDataObjectFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataSetToDataObjectFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetToDataObjectFilter");
  op->SetFieldData(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetToDataObjectFilter_GetFieldData_111(JNIEnv *env, jobject obj)
{
  vtkDataSetToDataObjectFilter *op;
  int      temp20;

  op = (vtkDataSetToDataObjectFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetToDataObjectFilter");
  temp20 = (op)->GetFieldData();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetToDataObjectFilter_FieldDataOn_112(JNIEnv *env, jobject obj)
{
  vtkDataSetToDataObjectFilter *op;

  op = (vtkDataSetToDataObjectFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetToDataObjectFilter");
  op->FieldDataOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetToDataObjectFilter_FieldDataOff_113(JNIEnv *env, jobject obj)
{
  vtkDataSetToDataObjectFilter *op;

  op = (vtkDataSetToDataObjectFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetToDataObjectFilter");
  op->FieldDataOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetToDataObjectFilter_SetPointData_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSetToDataObjectFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataSetToDataObjectFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetToDataObjectFilter");
  op->SetPointData(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetToDataObjectFilter_GetPointData_115(JNIEnv *env, jobject obj)
{
  vtkDataSetToDataObjectFilter *op;
  int      temp20;

  op = (vtkDataSetToDataObjectFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetToDataObjectFilter");
  temp20 = (op)->GetPointData();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetToDataObjectFilter_PointDataOn_116(JNIEnv *env, jobject obj)
{
  vtkDataSetToDataObjectFilter *op;

  op = (vtkDataSetToDataObjectFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetToDataObjectFilter");
  op->PointDataOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetToDataObjectFilter_PointDataOff_117(JNIEnv *env, jobject obj)
{
  vtkDataSetToDataObjectFilter *op;

  op = (vtkDataSetToDataObjectFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetToDataObjectFilter");
  op->PointDataOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetToDataObjectFilter_SetCellData_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSetToDataObjectFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataSetToDataObjectFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetToDataObjectFilter");
  op->SetCellData(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetToDataObjectFilter_GetCellData_119(JNIEnv *env, jobject obj)
{
  vtkDataSetToDataObjectFilter *op;
  int      temp20;

  op = (vtkDataSetToDataObjectFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetToDataObjectFilter");
  temp20 = (op)->GetCellData();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetToDataObjectFilter_CellDataOn_120(JNIEnv *env, jobject obj)
{
  vtkDataSetToDataObjectFilter *op;

  op = (vtkDataSetToDataObjectFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetToDataObjectFilter");
  op->CellDataOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetToDataObjectFilter_CellDataOff_121(JNIEnv *env, jobject obj)
{
  vtkDataSetToDataObjectFilter *op;

  op = (vtkDataSetToDataObjectFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetToDataObjectFilter");
  op->CellDataOff();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDataSetToDataObjectFilter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkDataSetToDataObjectFilter *aNewOne = vtkDataSetToDataObjectFilter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDataSetToDataObjectFilter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDataSetToDataObjectFilter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDataSetToDataObjectFilter_Typecast);
}
