// java wrapper for vtkDiscreteMarchingCubes object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDiscreteMarchingCubes.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkMarchingCubes_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDiscreteMarchingCubes_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDiscreteMarchingCubes",dType)) { return me; }
  if ((res= vtkMarchingCubes_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDiscreteMarchingCubes_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDiscreteMarchingCubes *op;
  const char    *temp20;

  op = (vtkDiscreteMarchingCubes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDiscreteMarchingCubes");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDiscreteMarchingCubes_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDiscreteMarchingCubes *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDiscreteMarchingCubes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDiscreteMarchingCubes");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDiscreteMarchingCubes_VTKInit(JNIEnv *env, jobject obj)
{
  vtkDiscreteMarchingCubes *aNewOne = vtkDiscreteMarchingCubes::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDiscreteMarchingCubes_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDiscreteMarchingCubes_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDiscreteMarchingCubes_Typecast);
}
