// java wrapper for vtkOBBDicer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOBBDicer.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDicer_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOBBDicer_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOBBDicer",dType)) { return me; }
  if ((res= vtkDicer_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOBBDicer_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOBBDicer *op;
  const char    *temp20;

  op = (vtkOBBDicer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOBBDicer");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOBBDicer_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOBBDicer *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOBBDicer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOBBDicer");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkOBBDicer_VTKInit(JNIEnv *env, jobject obj)
{
  vtkOBBDicer *aNewOne = vtkOBBDicer::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkOBBDicer_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkOBBDicer_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkOBBDicer_Typecast);
}
