// java wrapper for vtkSliceCubes object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSliceCubes.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSliceCubes_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSliceCubes",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSliceCubes_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSliceCubes *op;
  const char    *temp20;

  op = (vtkSliceCubes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSliceCubes");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSliceCubes_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSliceCubes *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSliceCubes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSliceCubes");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSliceCubes_Write_12(JNIEnv *env, jobject obj)
{
  vtkSliceCubes *op;

  op = (vtkSliceCubes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSliceCubes");
  op->Write();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSliceCubes_Update_13(JNIEnv *env, jobject obj)
{
  vtkSliceCubes *op;

  op = (vtkSliceCubes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSliceCubes");
  op->Update();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSliceCubes_SetReader_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSliceCubes *op;
  vtkVolumeReader  *temp0;
  temp0 = (vtkVolumeReader *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkVolumeReader"));

  op = (vtkSliceCubes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSliceCubes");
  op->SetReader(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkSliceCubes_GetReader_15(JNIEnv *env, jobject obj)
{
  vtkSliceCubes *op;
  vtkVolumeReader  *temp20;
  jobject tempH;

  op = (vtkSliceCubes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSliceCubes");
  temp20 = (op)->GetReader();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkVolumeReader", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSliceCubes_SetFileName_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSliceCubes *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSliceCubes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSliceCubes");
  op->SetFileName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSliceCubes_GetFileName_17(JNIEnv *env, jobject obj)
{
  vtkSliceCubes *op;
  char    *temp20;

  op = (vtkSliceCubes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSliceCubes");
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSliceCubes_SetValue_18(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSliceCubes *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSliceCubes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSliceCubes");
  op->SetValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSliceCubes_GetValue_19(JNIEnv *env, jobject obj)
{
  vtkSliceCubes *op;
  double   temp20;

  op = (vtkSliceCubes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSliceCubes");
  temp20 = (op)->GetValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSliceCubes_SetLimitsFileName_110(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSliceCubes *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSliceCubes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSliceCubes");
  op->SetLimitsFileName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSliceCubes_GetLimitsFileName_111(JNIEnv *env, jobject obj)
{
  vtkSliceCubes *op;
  char    *temp20;

  op = (vtkSliceCubes *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSliceCubes");
  temp20 = (op)->GetLimitsFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkSliceCubes_VTKInit(JNIEnv *env, jobject obj)
{
  vtkSliceCubes *aNewOne = vtkSliceCubes::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkSliceCubes_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkSliceCubes_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkSliceCubes_Typecast);
}
