// java wrapper for vtkStripper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStripper.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkStripper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkStripper",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkStripper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkStripper *op;
  const char    *temp20;

  op = (vtkStripper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStripper");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStripper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkStripper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkStripper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStripper");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStripper_SetMaximumLength_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkStripper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkStripper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStripper");
  op->SetMaximumLength(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStripper_GetMaximumLengthMinValue_13(JNIEnv *env, jobject obj)
{
  vtkStripper *op;
  int      temp20;

  op = (vtkStripper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStripper");
  temp20 = (op)->GetMaximumLengthMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStripper_GetMaximumLengthMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkStripper *op;
  int      temp20;

  op = (vtkStripper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStripper");
  temp20 = (op)->GetMaximumLengthMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStripper_GetMaximumLength_15(JNIEnv *env, jobject obj)
{
  vtkStripper *op;
  int      temp20;

  op = (vtkStripper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStripper");
  temp20 = (op)->GetMaximumLength();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStripper_PassCellDataAsFieldDataOn_16(JNIEnv *env, jobject obj)
{
  vtkStripper *op;

  op = (vtkStripper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStripper");
  op->PassCellDataAsFieldDataOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStripper_PassCellDataAsFieldDataOff_17(JNIEnv *env, jobject obj)
{
  vtkStripper *op;

  op = (vtkStripper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStripper");
  op->PassCellDataAsFieldDataOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStripper_SetPassCellDataAsFieldData_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkStripper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkStripper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStripper");
  op->SetPassCellDataAsFieldData(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStripper_GetPassCellDataAsFieldData_19(JNIEnv *env, jobject obj)
{
  vtkStripper *op;
  int      temp20;

  op = (vtkStripper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkStripper");
  temp20 = (op)->GetPassCellDataAsFieldData();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkStripper_VTKInit(JNIEnv *env, jobject obj)
{
  vtkStripper *aNewOne = vtkStripper::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkStripper_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkStripper_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkStripper_Typecast);
}
