// java wrapper for vtkSynchronizedTemplatesCutter3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSynchronizedTemplatesCutter3D.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkSynchronizedTemplates3D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSynchronizedTemplatesCutter3D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSynchronizedTemplatesCutter3D",dType)) { return me; }
  if ((res= vtkSynchronizedTemplates3D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSynchronizedTemplatesCutter3D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSynchronizedTemplatesCutter3D *op;
  const char    *temp20;

  op = (vtkSynchronizedTemplatesCutter3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSynchronizedTemplatesCutter3D");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSynchronizedTemplatesCutter3D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSynchronizedTemplatesCutter3D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSynchronizedTemplatesCutter3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSynchronizedTemplatesCutter3D");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSynchronizedTemplatesCutter3D_SetCutFunction_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSynchronizedTemplatesCutter3D *op;
  vtkImplicitFunction  *temp0;
  temp0 = (vtkImplicitFunction *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkImplicitFunction"));

  op = (vtkSynchronizedTemplatesCutter3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSynchronizedTemplatesCutter3D");
  op->SetCutFunction(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkSynchronizedTemplatesCutter3D_GetCutFunction_13(JNIEnv *env, jobject obj)
{
  vtkSynchronizedTemplatesCutter3D *op;
  vtkImplicitFunction  *temp20;
  jobject tempH;

  op = (vtkSynchronizedTemplatesCutter3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSynchronizedTemplatesCutter3D");
  temp20 = (op)->GetCutFunction();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkImplicitFunction", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkSynchronizedTemplatesCutter3D_VTKInit(JNIEnv *env, jobject obj)
{
  vtkSynchronizedTemplatesCutter3D *aNewOne = vtkSynchronizedTemplatesCutter3D::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkSynchronizedTemplatesCutter3D_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkSynchronizedTemplatesCutter3D_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkSynchronizedTemplatesCutter3D_Typecast);
}
