// java wrapper for vtkVisibilitySort object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVisibilitySort.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkVisibilitySort_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkVisibilitySort",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVisibilitySort_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkVisibilitySort *op;
  const char    *temp20;

  op = (vtkVisibilitySort *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVisibilitySort");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVisibilitySort_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVisibilitySort *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVisibilitySort *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVisibilitySort");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVisibilitySort_InitTraversal_12(JNIEnv *env, jobject obj)
{
  vtkVisibilitySort *op;

  op = (vtkVisibilitySort *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVisibilitySort");
  op->InitTraversal();
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkVisibilitySort_GetNextCells_13(JNIEnv *env, jobject obj)
{
  vtkVisibilitySort *op;
  vtkIdTypeArray  *temp20;
  jobject tempH;

  op = (vtkVisibilitySort *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVisibilitySort");
  temp20 = (op)->GetNextCells();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkIdTypeArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVisibilitySort_SetMaxCellsReturned_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkVisibilitySort *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVisibilitySort *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVisibilitySort");
  op->SetMaxCellsReturned(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVisibilitySort_GetMaxCellsReturnedMinValue_15(JNIEnv *env, jobject obj)
{
  vtkVisibilitySort *op;
  int      temp20;

  op = (vtkVisibilitySort *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVisibilitySort");
  temp20 = (op)->GetMaxCellsReturnedMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVisibilitySort_GetMaxCellsReturnedMaxValue_16(JNIEnv *env, jobject obj)
{
  vtkVisibilitySort *op;
  int      temp20;

  op = (vtkVisibilitySort *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVisibilitySort");
  temp20 = (op)->GetMaxCellsReturnedMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVisibilitySort_GetMaxCellsReturned_17(JNIEnv *env, jobject obj)
{
  vtkVisibilitySort *op;
  int      temp20;

  op = (vtkVisibilitySort *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVisibilitySort");
  temp20 = (op)->GetMaxCellsReturned();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVisibilitySort_SetModelTransform_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkVisibilitySort *op;
  vtkMatrix4x4  *temp0;
  temp0 = (vtkMatrix4x4 *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkMatrix4x4"));

  op = (vtkVisibilitySort *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVisibilitySort");
  op->SetModelTransform(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkVisibilitySort_GetModelTransform_19(JNIEnv *env, jobject obj)
{
  vtkVisibilitySort *op;
  vtkMatrix4x4  *temp20;
  jobject tempH;

  op = (vtkVisibilitySort *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVisibilitySort");
  temp20 = (op)->GetModelTransform();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkMatrix4x4", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkVisibilitySort_GetInverseModelTransform_110(JNIEnv *env, jobject obj)
{
  vtkVisibilitySort *op;
  vtkMatrix4x4  *temp20;
  jobject tempH;

  op = (vtkVisibilitySort *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVisibilitySort");
  temp20 = (op)->GetInverseModelTransform();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkMatrix4x4", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVisibilitySort_SetCamera_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkVisibilitySort *op;
  vtkCamera  *temp0;
  temp0 = (vtkCamera *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCamera"));

  op = (vtkVisibilitySort *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVisibilitySort");
  op->SetCamera(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkVisibilitySort_GetCamera_112(JNIEnv *env, jobject obj)
{
  vtkVisibilitySort *op;
  vtkCamera  *temp20;
  jobject tempH;

  op = (vtkVisibilitySort *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVisibilitySort");
  temp20 = (op)->GetCamera();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkCamera", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVisibilitySort_SetInput_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkVisibilitySort *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));

  op = (vtkVisibilitySort *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVisibilitySort");
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkVisibilitySort_GetInput_114(JNIEnv *env, jobject obj)
{
  vtkVisibilitySort *op;
  vtkDataSet  *temp20;
  jobject tempH;

  op = (vtkVisibilitySort *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVisibilitySort");
  temp20 = (op)->GetInput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVisibilitySort_GetDirection_115(JNIEnv *env, jobject obj)
{
  vtkVisibilitySort *op;
  int      temp20;

  op = (vtkVisibilitySort *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVisibilitySort");
  temp20 = (op)->GetDirection();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVisibilitySort_SetDirection_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkVisibilitySort *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVisibilitySort *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVisibilitySort");
  op->SetDirection(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVisibilitySort_SetDirectionToBackToFront_117(JNIEnv *env, jobject obj)
{
  vtkVisibilitySort *op;

  op = (vtkVisibilitySort *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVisibilitySort");
  op->SetDirectionToBackToFront();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVisibilitySort_SetDirectionToFrontToBack_118(JNIEnv *env, jobject obj)
{
  vtkVisibilitySort *op;

  op = (vtkVisibilitySort *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVisibilitySort");
  op->SetDirectionToFrontToBack();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVisibilitySort_Register_119(JNIEnv *env, jobject obj,jobject id0)
{
  vtkVisibilitySort *op;
  vtkObjectBase  *temp0;
  temp0 = (vtkObjectBase *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkObjectBase"));

  op = (vtkVisibilitySort *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVisibilitySort");
  op->Register(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVisibilitySort_UnRegister_120(JNIEnv *env, jobject obj,jobject id0)
{
  vtkVisibilitySort *op;
  vtkObjectBase  *temp0;
  temp0 = (vtkObjectBase *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkObjectBase"));

  op = (vtkVisibilitySort *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkVisibilitySort");
  op->UnRegister(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkVisibilitySort_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkVisibilitySort_Typecast);
}
