// java wrapper for vtkArcPlotter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkArcPlotter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkArcPlotter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkArcPlotter",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkArcPlotter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkArcPlotter *op;
  const char    *temp20;

  op = (vtkArcPlotter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArcPlotter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArcPlotter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkArcPlotter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkArcPlotter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArcPlotter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArcPlotter_SetCamera_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkArcPlotter *op;
  vtkCamera  *temp0;
  temp0 = (vtkCamera *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCamera"));

  op = (vtkArcPlotter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArcPlotter");
  op->SetCamera(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkArcPlotter_GetCamera_13(JNIEnv *env, jobject obj)
{
  vtkArcPlotter *op;
  vtkCamera  *temp20;
  jobject tempH;

  op = (vtkArcPlotter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArcPlotter");
  temp20 = (op)->GetCamera();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkCamera", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArcPlotter_SetPlotMode_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkArcPlotter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkArcPlotter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArcPlotter");
  op->SetPlotMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArcPlotter_GetPlotMode_15(JNIEnv *env, jobject obj)
{
  vtkArcPlotter *op;
  int      temp20;

  op = (vtkArcPlotter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArcPlotter");
  temp20 = (op)->GetPlotMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArcPlotter_SetPlotModeToPlotScalars_16(JNIEnv *env, jobject obj)
{
  vtkArcPlotter *op;

  op = (vtkArcPlotter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArcPlotter");
  op->SetPlotModeToPlotScalars();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArcPlotter_SetPlotModeToPlotVectors_17(JNIEnv *env, jobject obj)
{
  vtkArcPlotter *op;

  op = (vtkArcPlotter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArcPlotter");
  op->SetPlotModeToPlotVectors();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArcPlotter_SetPlotModeToPlotNormals_18(JNIEnv *env, jobject obj)
{
  vtkArcPlotter *op;

  op = (vtkArcPlotter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArcPlotter");
  op->SetPlotModeToPlotNormals();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArcPlotter_SetPlotModeToPlotTCoords_19(JNIEnv *env, jobject obj)
{
  vtkArcPlotter *op;

  op = (vtkArcPlotter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArcPlotter");
  op->SetPlotModeToPlotTCoords();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArcPlotter_SetPlotModeToPlotTensors_110(JNIEnv *env, jobject obj)
{
  vtkArcPlotter *op;

  op = (vtkArcPlotter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArcPlotter");
  op->SetPlotModeToPlotTensors();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArcPlotter_SetPlotModeToPlotFieldData_111(JNIEnv *env, jobject obj)
{
  vtkArcPlotter *op;

  op = (vtkArcPlotter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArcPlotter");
  op->SetPlotModeToPlotFieldData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArcPlotter_SetPlotComponent_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkArcPlotter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkArcPlotter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArcPlotter");
  op->SetPlotComponent(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArcPlotter_GetPlotComponent_113(JNIEnv *env, jobject obj)
{
  vtkArcPlotter *op;
  int      temp20;

  op = (vtkArcPlotter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArcPlotter");
  temp20 = (op)->GetPlotComponent();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArcPlotter_SetRadius_114(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkArcPlotter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkArcPlotter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArcPlotter");
  op->SetRadius(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkArcPlotter_GetRadiusMinValue_115(JNIEnv *env, jobject obj)
{
  vtkArcPlotter *op;
  double   temp20;

  op = (vtkArcPlotter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArcPlotter");
  temp20 = (op)->GetRadiusMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkArcPlotter_GetRadiusMaxValue_116(JNIEnv *env, jobject obj)
{
  vtkArcPlotter *op;
  double   temp20;

  op = (vtkArcPlotter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArcPlotter");
  temp20 = (op)->GetRadiusMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkArcPlotter_GetRadius_117(JNIEnv *env, jobject obj)
{
  vtkArcPlotter *op;
  double   temp20;

  op = (vtkArcPlotter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArcPlotter");
  temp20 = (op)->GetRadius();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArcPlotter_SetHeight_118(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkArcPlotter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkArcPlotter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArcPlotter");
  op->SetHeight(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkArcPlotter_GetHeightMinValue_119(JNIEnv *env, jobject obj)
{
  vtkArcPlotter *op;
  double   temp20;

  op = (vtkArcPlotter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArcPlotter");
  temp20 = (op)->GetHeightMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkArcPlotter_GetHeightMaxValue_120(JNIEnv *env, jobject obj)
{
  vtkArcPlotter *op;
  double   temp20;

  op = (vtkArcPlotter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArcPlotter");
  temp20 = (op)->GetHeightMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkArcPlotter_GetHeight_121(JNIEnv *env, jobject obj)
{
  vtkArcPlotter *op;
  double   temp20;

  op = (vtkArcPlotter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArcPlotter");
  temp20 = (op)->GetHeight();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArcPlotter_SetOffset_122(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkArcPlotter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkArcPlotter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArcPlotter");
  op->SetOffset(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkArcPlotter_GetOffsetMinValue_123(JNIEnv *env, jobject obj)
{
  vtkArcPlotter *op;
  double   temp20;

  op = (vtkArcPlotter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArcPlotter");
  temp20 = (op)->GetOffsetMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkArcPlotter_GetOffsetMaxValue_124(JNIEnv *env, jobject obj)
{
  vtkArcPlotter *op;
  double   temp20;

  op = (vtkArcPlotter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArcPlotter");
  temp20 = (op)->GetOffsetMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkArcPlotter_GetOffset_125(JNIEnv *env, jobject obj)
{
  vtkArcPlotter *op;
  double   temp20;

  op = (vtkArcPlotter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArcPlotter");
  temp20 = (op)->GetOffset();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArcPlotter_SetUseDefaultNormal_126(JNIEnv *env, jobject obj,jint id0)
{
  vtkArcPlotter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkArcPlotter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArcPlotter");
  op->SetUseDefaultNormal(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArcPlotter_GetUseDefaultNormal_127(JNIEnv *env, jobject obj)
{
  vtkArcPlotter *op;
  int      temp20;

  op = (vtkArcPlotter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArcPlotter");
  temp20 = (op)->GetUseDefaultNormal();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArcPlotter_UseDefaultNormalOn_128(JNIEnv *env, jobject obj)
{
  vtkArcPlotter *op;

  op = (vtkArcPlotter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArcPlotter");
  op->UseDefaultNormalOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArcPlotter_UseDefaultNormalOff_129(JNIEnv *env, jobject obj)
{
  vtkArcPlotter *op;

  op = (vtkArcPlotter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArcPlotter");
  op->UseDefaultNormalOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArcPlotter_SetDefaultNormal_130(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkArcPlotter *op;
  float    temp0;
  float    temp1;
  float    temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkArcPlotter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArcPlotter");
  op->SetDefaultNormal(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArcPlotter_SetDefaultNormal_131(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkArcPlotter *op;
  float  temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkArcPlotter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArcPlotter");
  op->SetDefaultNormal(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkArcPlotter_GetDefaultNormal_132(JNIEnv *env, jobject obj)
{
  vtkArcPlotter *op;
  float   *temp20;

  op = (vtkArcPlotter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArcPlotter");
  temp20 = (op)->GetDefaultNormal();
    return vtkJavaMakeJArrayOfDoubleFromFloat(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArcPlotter_SetFieldDataArray_133(JNIEnv *env, jobject obj,jint id0)
{
  vtkArcPlotter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkArcPlotter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArcPlotter");
  op->SetFieldDataArray(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArcPlotter_GetFieldDataArrayMinValue_134(JNIEnv *env, jobject obj)
{
  vtkArcPlotter *op;
  int      temp20;

  op = (vtkArcPlotter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArcPlotter");
  temp20 = (op)->GetFieldDataArrayMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArcPlotter_GetFieldDataArrayMaxValue_135(JNIEnv *env, jobject obj)
{
  vtkArcPlotter *op;
  int      temp20;

  op = (vtkArcPlotter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArcPlotter");
  temp20 = (op)->GetFieldDataArrayMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArcPlotter_GetFieldDataArray_136(JNIEnv *env, jobject obj)
{
  vtkArcPlotter *op;
  int      temp20;

  op = (vtkArcPlotter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArcPlotter");
  temp20 = (op)->GetFieldDataArray();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArcPlotter_GetMTime_137(JNIEnv *env, jobject obj)
{
  vtkArcPlotter *op;
   unsigned long     temp20;

  op = (vtkArcPlotter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkArcPlotter");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkArcPlotter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkArcPlotter *aNewOne = vtkArcPlotter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkArcPlotter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkArcPlotter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkArcPlotter_Typecast);
}
