// java wrapper for vtkExodusReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExodusReader.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkUnstructuredGridAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkExodusReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkExodusReader",dType)) { return me; }
  if ((res= vtkUnstructuredGridAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExodusReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;
  const char    *temp20;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExodusReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_SetFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExodusReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->SetFileName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExodusReader_GetFileName_13(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;
  char    *temp20;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_SetXMLFileName_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExodusReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->SetXMLFileName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExodusReader_GetXMLFileName_15(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;
  char    *temp20;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetXMLFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_SetTimeStep_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->SetTimeStep(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetTimeStep_17(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;
  int      temp20;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetTimeStep();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_SetGenerateBlockIdCellArray_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->SetGenerateBlockIdCellArray(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetGenerateBlockIdCellArray_19(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;
  int      temp20;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetGenerateBlockIdCellArray();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_GenerateBlockIdCellArrayOn_110(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->GenerateBlockIdCellArrayOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_GenerateBlockIdCellArrayOff_111(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->GenerateBlockIdCellArrayOff();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExodusReader_GetBlockIdArrayName_112(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;
  const char    *temp20;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetBlockIdArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_SetGenerateGlobalElementIdArray_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->SetGenerateGlobalElementIdArray(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetGenerateGlobalElementIdArray_114(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;
  int      temp20;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetGenerateGlobalElementIdArray();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_GenerateGlobalElementIdArrayOn_115(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->GenerateGlobalElementIdArrayOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_GenerateGlobalElementIdArrayOff_116(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->GenerateGlobalElementIdArrayOff();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExodusReader_GetGlobalElementIdArrayName_117(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;
  const char    *temp20;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetGlobalElementIdArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetGlobalElementID_118(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkExodusReader *op;
  vtkDataSet  *temp0;
  int      temp1;
  int      temp20;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));
  temp1 = id1;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetGlobalElementID(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetGlobalElementID_119(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkExodusReader *op;
  vtkDataSet  *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));
  temp1 = id1;
  temp2 = id2;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetGlobalElementID(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_SetGenerateGlobalNodeIdArray_120(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->SetGenerateGlobalNodeIdArray(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetGenerateGlobalNodeIdArray_121(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;
  int      temp20;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetGenerateGlobalNodeIdArray();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_GenerateGlobalNodeIdArrayOn_122(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->GenerateGlobalNodeIdArrayOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_GenerateGlobalNodeIdArrayOff_123(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->GenerateGlobalNodeIdArrayOff();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExodusReader_GetGlobalNodeIdArrayName_124(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;
  const char    *temp20;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetGlobalNodeIdArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetGlobalNodeID_125(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkExodusReader *op;
  vtkDataSet  *temp0;
  int      temp1;
  int      temp20;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));
  temp1 = id1;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetGlobalNodeID(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetGlobalNodeID_126(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkExodusReader *op;
  vtkDataSet  *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));
  temp1 = id1;
  temp2 = id2;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetGlobalNodeID(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_SetApplyDisplacements_127(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->SetApplyDisplacements(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetApplyDisplacements_128(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;
  int      temp20;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetApplyDisplacements();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_ApplyDisplacementsOn_129(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->ApplyDisplacementsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_ApplyDisplacementsOff_130(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->ApplyDisplacementsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_SetDisplacementMagnitude_131(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkExodusReader *op;
  float    temp0;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->SetDisplacementMagnitude(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkExodusReader_GetDisplacementMagnitude_132(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;
  float    temp20;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetDisplacementMagnitude();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExodusReader_GetTitle_133(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;
  char    *temp20;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetTitle();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetDimensionality_134(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;
  int      temp20;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetDimensionality();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetNumberOfTimeSteps_135(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;
  int      temp20;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetNumberOfTimeSteps();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetNumberOfElements_136(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;
  int      temp20;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetNumberOfElements();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetNumberOfNodeSets_137(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;
  int      temp20;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetNumberOfNodeSets();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetNumberOfSideSets_138(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;
  int      temp20;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetNumberOfSideSets();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetNumberOfBlocks_139(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;
  int      temp20;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetNumberOfBlocks();
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkExodusReader_GetTimeStepRange_140(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;
  int     *temp20;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetTimeStepRange();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_SetTimeStepRange_141(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkExodusReader *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->SetTimeStepRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_SetTimeStepRange_142(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkExodusReader *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->SetTimeStepRange(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetNumberOfNodes_143(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;
  int      temp20;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetNumberOfNodes();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetNumberOfElementsInBlock_144(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusReader *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetNumberOfElementsInBlock(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetBlockId_145(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusReader *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetBlockId(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetNumberOfPointArrays_146(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;
  int      temp20;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetNumberOfPointArrays();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExodusReader_GetPointArrayName_147(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusReader *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetPointArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetPointArrayID_148(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExodusReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetPointArrayID(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetPointArrayNumberOfComponents_149(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusReader *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetPointArrayNumberOfComponents(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_SetPointArrayStatus_150(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkExodusReader *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->SetPointArrayStatus(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_SetPointArrayStatus_151(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkExodusReader *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->SetPointArrayStatus(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetPointArrayStatus_152(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusReader *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetPointArrayStatus(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetPointArrayStatus_153(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExodusReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetPointArrayStatus(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetNumberOfCellArrays_154(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;
  int      temp20;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetNumberOfCellArrays();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExodusReader_GetCellArrayName_155(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusReader *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetCellArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetCellArrayID_156(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExodusReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetCellArrayID(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetCellArrayNumberOfComponents_157(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusReader *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetCellArrayNumberOfComponents(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_SetCellArrayStatus_158(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkExodusReader *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->SetCellArrayStatus(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_SetCellArrayStatus_159(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkExodusReader *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->SetCellArrayStatus(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetCellArrayStatus_160(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusReader *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetCellArrayStatus(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetCellArrayStatus_161(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExodusReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetCellArrayStatus(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetNumberOfBlockArrays_162(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;
  int      temp20;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetNumberOfBlockArrays();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExodusReader_GetBlockArrayName_163(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusReader *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetBlockArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetBlockArrayID_164(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExodusReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetBlockArrayID(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_SetBlockArrayStatus_165(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkExodusReader *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->SetBlockArrayStatus(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_SetBlockArrayStatus_166(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkExodusReader *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->SetBlockArrayStatus(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetBlockArrayStatus_167(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusReader *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetBlockArrayStatus(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetBlockArrayStatus_168(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExodusReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetBlockArrayStatus(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetNumberOfNodeSetArrays_169(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;
  int      temp20;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetNumberOfNodeSetArrays();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetNodeSetArrayStatus_170(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusReader *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetNodeSetArrayStatus(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetNodeSetArrayStatus_171(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExodusReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetNodeSetArrayStatus(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_SetNodeSetArrayStatus_172(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkExodusReader *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->SetNodeSetArrayStatus(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_SetNodeSetArrayStatus_173(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkExodusReader *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->SetNodeSetArrayStatus(temp0,temp1);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExodusReader_GetNodeSetArrayName_174(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusReader *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetNodeSetArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetNumberOfSideSetArrays_175(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;
  int      temp20;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetNumberOfSideSetArrays();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetSideSetArrayStatus_176(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusReader *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetSideSetArrayStatus(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetSideSetArrayStatus_177(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExodusReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetSideSetArrayStatus(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_SetSideSetArrayStatus_178(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkExodusReader *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->SetSideSetArrayStatus(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_SetSideSetArrayStatus_179(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkExodusReader *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->SetSideSetArrayStatus(temp0,temp1);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExodusReader_GetSideSetArrayName_180(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusReader *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetSideSetArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetNumberOfPartArrays_181(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;
  int      temp20;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetNumberOfPartArrays();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExodusReader_GetPartArrayName_182(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusReader *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetPartArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetPartArrayID_183(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExodusReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetPartArrayID(temp0);
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExodusReader_GetPartBlockInfo_184(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusReader *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetPartBlockInfo(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_SetPartArrayStatus_185(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkExodusReader *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->SetPartArrayStatus(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_SetPartArrayStatus_186(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkExodusReader *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->SetPartArrayStatus(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetPartArrayStatus_187(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusReader *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetPartArrayStatus(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetPartArrayStatus_188(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExodusReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetPartArrayStatus(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetNumberOfMaterialArrays_189(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;
  int      temp20;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetNumberOfMaterialArrays();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExodusReader_GetMaterialArrayName_190(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusReader *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetMaterialArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetMaterialArrayID_191(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExodusReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetMaterialArrayID(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_SetMaterialArrayStatus_192(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkExodusReader *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->SetMaterialArrayStatus(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_SetMaterialArrayStatus_193(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkExodusReader *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->SetMaterialArrayStatus(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetMaterialArrayStatus_194(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusReader *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetMaterialArrayStatus(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetMaterialArrayStatus_195(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExodusReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetMaterialArrayStatus(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetNumberOfAssemblyArrays_196(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;
  int      temp20;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetNumberOfAssemblyArrays();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExodusReader_GetAssemblyArrayName_197(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusReader *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetAssemblyArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetAssemblyArrayID_198(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExodusReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetAssemblyArrayID(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_SetAssemblyArrayStatus_199(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkExodusReader *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->SetAssemblyArrayStatus(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_SetAssemblyArrayStatus_1100(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkExodusReader *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->SetAssemblyArrayStatus(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetAssemblyArrayStatus_1101(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusReader *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetAssemblyArrayStatus(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetAssemblyArrayStatus_1102(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExodusReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetAssemblyArrayStatus(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetNumberOfHierarchyArrays_1103(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;
  int      temp20;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetNumberOfHierarchyArrays();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExodusReader_GetHierarchyArrayName_1104(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusReader *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetHierarchyArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_SetHierarchyArrayStatus_1105(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkExodusReader *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->SetHierarchyArrayStatus(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_SetHierarchyArrayStatus_1106(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkExodusReader *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->SetHierarchyArrayStatus(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetHierarchyArrayStatus_1107(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusReader *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetHierarchyArrayStatus(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetHierarchyArrayStatus_1108(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExodusReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetHierarchyArrayStatus(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetDisplayType_1109(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;
  int      temp20;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetDisplayType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_SetDisplayType_1110(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->SetDisplayType(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_ExodusModelMetadataOn_1111(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->ExodusModelMetadataOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_ExodusModelMetadataOff_1112(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->ExodusModelMetadataOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_SetExodusModelMetadata_1113(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->SetExodusModelMetadata(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetExodusModelMetadata_1114(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;
  int      temp20;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetExodusModelMetadata();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkExodusReader_GetExodusModel_1115(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;
  vtkExodusModel  *temp20;
  jobject tempH;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetExodusModel();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkExodusModel", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_SetPackExodusModelOntoOutput_1116(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->SetPackExodusModelOntoOutput(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetPackExodusModelOntoOutput_1117(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;
  int      temp20;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetPackExodusModelOntoOutput();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_PackExodusModelOntoOutputOn_1118(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->PackExodusModelOntoOutputOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_PackExodusModelOntoOutputOff_1119(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->PackExodusModelOntoOutputOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_IsValidVariable_1120(JNIEnv *env, jobject obj,jstring id0,jstring id1)
{
  vtkExodusReader *op;
  char    *temp0;
  char    *temp1;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->IsValidVariable(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetVariableID_1121(JNIEnv *env, jobject obj,jstring id0,jstring id1)
{
  vtkExodusReader *op;
  char    *temp0;
  char    *temp1;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetVariableID(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_SetAllAssemblyArrayStatus_1122(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->SetAllAssemblyArrayStatus(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_SetAllBlockArrayStatus_1123(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->SetAllBlockArrayStatus(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_SetAllCellArrayStatus_1124(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->SetAllCellArrayStatus(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_SetAllHierarchyArrayStatus_1125(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->SetAllHierarchyArrayStatus(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_SetAllMaterialArrayStatus_1126(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->SetAllMaterialArrayStatus(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_SetAllPartArrayStatus_1127(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->SetAllPartArrayStatus(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_SetAllPointArrayStatus_1128(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->SetAllPointArrayStatus(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_SetArrayStatus_1129(JNIEnv *env, jobject obj,jstring id0,jstring id1,jint id2)
{
  vtkExodusReader *op;
  char    *temp0;
  char    *temp1;
  int      temp2;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = id2;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->SetArrayStatus(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetArrayStatus_1130(JNIEnv *env, jobject obj,jstring id0,jstring id1)
{
  vtkExodusReader *op;
  char    *temp0;
  char    *temp1;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetArrayStatus(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_StringsEqual_1131(JNIEnv *env, jobject obj,jstring id0,jstring id1)
{
  vtkExodusReader *op;
  char    *temp0;
  char    *temp1;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->StringsEqual(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_StringUppercase_1132(JNIEnv *env, jobject obj,jstring id0,jstring id1)
{
  vtkExodusReader *op;
  char    *temp0;
  char    *temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->StringUppercase(temp0,temp1);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExodusReader_StrDupWithNew_1133(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExodusReader *op;
  char    *temp0;
  char    *temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->StrDupWithNew(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetTimeSeriesData_1134(JNIEnv *env, jobject obj,jint id0,jstring id1,jstring id2,jobject id3)
{
  vtkExodusReader *op;
  int      temp0;
  char    *temp1;
  char    *temp2;
  vtkFloatArray  *temp3;
  int      temp20;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = vtkJavaUTFToChar(env,id2);
  temp3 = (vtkFloatArray *)(vtkJavaGetPointerFromObject(env,id3,(char *) "vtkFloatArray"));

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetTimeSeriesData(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusReader_GetNumberOfVariableArrays_1135(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;
  int      temp20;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetNumberOfVariableArrays();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExodusReader_GetVariableArrayName_1136(JNIEnv *env, jobject obj,jint id0)
{
  vtkExodusReader *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  temp20 = (op)->GetVariableArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_EnableDSPFiltering_1137(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->EnableDSPFiltering();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_AddFilter_1138(JNIEnv *env, jobject obj,jobject id0)
{
  vtkExodusReader *op;
  vtkDSPFilterDefinition  *temp0;
  temp0 = (vtkDSPFilterDefinition *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDSPFilterDefinition"));

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->AddFilter(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_StartAddingFilter_1139(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->StartAddingFilter();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_AddFilterInputVar_1140(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExodusReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->AddFilterInputVar(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_AddFilterOutputVar_1141(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExodusReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->AddFilterOutputVar(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_AddFilterNumeratorWeight_1142(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkExodusReader *op;
  double   temp0;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->AddFilterNumeratorWeight(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_AddFilterForwardNumeratorWeight_1143(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkExodusReader *op;
  double   temp0;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->AddFilterForwardNumeratorWeight(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_AddFilterDenominatorWeight_1144(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkExodusReader *op;
  double   temp0;
  temp0 = id0;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->AddFilterDenominatorWeight(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_FinishAddingFilter_1145(JNIEnv *env, jobject obj)
{
  vtkExodusReader *op;

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->FinishAddingFilter();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_RemoveFilter_1146(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExodusReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->RemoveFilter(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusReader_GetDSPOutputArrays_1147(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkExodusReader *op;
  int      temp0;
  vtkUnstructuredGrid  *temp1;
  temp0 = id0;
  temp1 = (vtkUnstructuredGrid *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkUnstructuredGrid"));

  op = (vtkExodusReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExodusReader");
  op->GetDSPOutputArrays(temp0,temp1);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkExodusReader_VTKInit(JNIEnv *env, jobject obj)
{
  vtkExodusReader *aNewOne = vtkExodusReader::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkExodusReader_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkExodusReader_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkExodusReader_Typecast);
}
