// java wrapper for vtkFacetReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkFacetReader.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkFacetReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkFacetReader",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkFacetReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkFacetReader *op;
  const char    *temp20;

  op = (vtkFacetReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFacetReader");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFacetReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkFacetReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkFacetReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFacetReader");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFacetReader_SetFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkFacetReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkFacetReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFacetReader");
  op->SetFileName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkFacetReader_GetFileName_13(JNIEnv *env, jobject obj)
{
  vtkFacetReader *op;
  char    *temp20;

  op = (vtkFacetReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkFacetReader");
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkFacetReader_VTKInit(JNIEnv *env, jobject obj)
{
  vtkFacetReader *aNewOne = vtkFacetReader::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkFacetReader_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkFacetReader_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkFacetReader_Typecast);
}
