// java wrapper for vtkGAMBITReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGAMBITReader.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkUnstructuredGridAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGAMBITReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGAMBITReader",dType)) { return me; }
  if ((res= vtkUnstructuredGridAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGAMBITReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGAMBITReader *op;
  const char    *temp20;

  op = (vtkGAMBITReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGAMBITReader");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGAMBITReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGAMBITReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGAMBITReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGAMBITReader");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGAMBITReader_SetFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGAMBITReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGAMBITReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGAMBITReader");
  op->SetFileName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGAMBITReader_GetFileName_13(JNIEnv *env, jobject obj)
{
  vtkGAMBITReader *op;
  char    *temp20;

  op = (vtkGAMBITReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGAMBITReader");
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGAMBITReader_GetNumberOfCells_14(JNIEnv *env, jobject obj)
{
  vtkGAMBITReader *op;
  int      temp20;

  op = (vtkGAMBITReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGAMBITReader");
  temp20 = (op)->GetNumberOfCells();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGAMBITReader_GetNumberOfNodes_15(JNIEnv *env, jobject obj)
{
  vtkGAMBITReader *op;
  int      temp20;

  op = (vtkGAMBITReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGAMBITReader");
  temp20 = (op)->GetNumberOfNodes();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGAMBITReader_GetNumberOfNodeFields_16(JNIEnv *env, jobject obj)
{
  vtkGAMBITReader *op;
  int      temp20;

  op = (vtkGAMBITReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGAMBITReader");
  temp20 = (op)->GetNumberOfNodeFields();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGAMBITReader_GetNumberOfCellFields_17(JNIEnv *env, jobject obj)
{
  vtkGAMBITReader *op;
  int      temp20;

  op = (vtkGAMBITReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGAMBITReader");
  temp20 = (op)->GetNumberOfCellFields();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkGAMBITReader_VTKInit(JNIEnv *env, jobject obj)
{
  vtkGAMBITReader *aNewOne = vtkGAMBITReader::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkGAMBITReader_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkGAMBITReader_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkGAMBITReader_Typecast);
}
