// java wrapper for vtkPNMWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPNMWriter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkImageWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPNMWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPNMWriter",dType)) { return me; }
  if ((res= vtkImageWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPNMWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPNMWriter *op;
  const char    *temp20;

  op = (vtkPNMWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPNMWriter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPNMWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPNMWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPNMWriter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPNMWriter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPNMWriter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkPNMWriter *aNewOne = vtkPNMWriter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPNMWriter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPNMWriter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPNMWriter_Typecast);
}
