// java wrapper for vtkSimplePointsReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSimplePointsReader.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSimplePointsReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSimplePointsReader",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSimplePointsReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSimplePointsReader *op;
  const char    *temp20;

  op = (vtkSimplePointsReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSimplePointsReader");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSimplePointsReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSimplePointsReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSimplePointsReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSimplePointsReader");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSimplePointsReader_SetFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSimplePointsReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSimplePointsReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSimplePointsReader");
  op->SetFileName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSimplePointsReader_GetFileName_13(JNIEnv *env, jobject obj)
{
  vtkSimplePointsReader *op;
  char    *temp20;

  op = (vtkSimplePointsReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSimplePointsReader");
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkSimplePointsReader_VTKInit(JNIEnv *env, jobject obj)
{
  vtkSimplePointsReader *aNewOne = vtkSimplePointsReader::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkSimplePointsReader_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkSimplePointsReader_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkSimplePointsReader_Typecast);
}
