// java wrapper for vtkXMLFileReadTester object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLFileReadTester.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkXMLParser_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLFileReadTester_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLFileReadTester",dType)) { return me; }
  if ((res= vtkXMLParser_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLFileReadTester_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLFileReadTester *op;
  const char    *temp20;

  op = (vtkXMLFileReadTester *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLFileReadTester");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLFileReadTester_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLFileReadTester *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLFileReadTester *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLFileReadTester");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLFileReadTester_TestReadFile_12(JNIEnv *env, jobject obj)
{
  vtkXMLFileReadTester *op;
  int      temp20;

  op = (vtkXMLFileReadTester *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLFileReadTester");
  temp20 = (op)->TestReadFile();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLFileReadTester_SetFileName_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLFileReadTester *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLFileReadTester *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLFileReadTester");
  op->SetFileName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLFileReadTester_GetFileName_14(JNIEnv *env, jobject obj)
{
  vtkXMLFileReadTester *op;
  char    *temp20;

  op = (vtkXMLFileReadTester *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLFileReadTester");
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLFileReadTester_GetFileDataType_15(JNIEnv *env, jobject obj)
{
  vtkXMLFileReadTester *op;
  char    *temp20;

  op = (vtkXMLFileReadTester *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLFileReadTester");
  temp20 = (op)->GetFileDataType();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLFileReadTester_GetFileVersion_16(JNIEnv *env, jobject obj)
{
  vtkXMLFileReadTester *op;
  char    *temp20;

  op = (vtkXMLFileReadTester *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLFileReadTester");
  temp20 = (op)->GetFileVersion();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXMLFileReadTester_VTKInit(JNIEnv *env, jobject obj)
{
  vtkXMLFileReadTester *aNewOne = vtkXMLFileReadTester::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXMLFileReadTester_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXMLFileReadTester_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXMLFileReadTester_Typecast);
}
