// java wrapper for vtkXMLPPolyDataReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLPPolyDataReader.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkXMLPUnstructuredDataReader_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLPPolyDataReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLPPolyDataReader",dType)) { return me; }
  if ((res= vtkXMLPUnstructuredDataReader_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLPPolyDataReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLPPolyDataReader *op;
  const char    *temp20;

  op = (vtkXMLPPolyDataReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLPPolyDataReader");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLPPolyDataReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLPPolyDataReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLPPolyDataReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLPPolyDataReader");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLPPolyDataReader_SetOutput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkXMLPPolyDataReader *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPolyData"));

  op = (vtkXMLPPolyDataReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLPPolyDataReader");
  op->SetOutput(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkXMLPPolyDataReader_GetOutput_13(JNIEnv *env, jobject obj)
{
  vtkXMLPPolyDataReader *op;
  vtkPolyData  *temp20;
  jobject tempH;

  op = (vtkXMLPPolyDataReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLPPolyDataReader");
  temp20 = (op)->GetOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPolyData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkXMLPPolyDataReader_GetOutput_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkXMLPPolyDataReader *op;
  int      temp0;
  vtkPolyData  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkXMLPPolyDataReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLPPolyDataReader");
  temp20 = (op)->GetOutput(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPolyData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXMLPPolyDataReader_VTKInit(JNIEnv *env, jobject obj)
{
  vtkXMLPPolyDataReader *aNewOne = vtkXMLPPolyDataReader::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXMLPPolyDataReader_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXMLPPolyDataReader_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXMLPPolyDataReader_Typecast);
}
