// java wrapper for vtkXMLUtilities object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLUtilities.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLUtilities_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLUtilities",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLUtilities_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLUtilities *op;
  const char    *temp20;

  op = (vtkXMLUtilities *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLUtilities");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLUtilities_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLUtilities *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLUtilities *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLUtilities");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLUtilities_FactorElements_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkXMLUtilities *op;
  vtkXMLDataElement  *temp0;
  temp0 = (vtkXMLDataElement *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkXMLDataElement"));

  op = (vtkXMLUtilities *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLUtilities");
  op->FactorElements(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLUtilities_UnFactorElements_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkXMLUtilities *op;
  vtkXMLDataElement  *temp0;
  temp0 = (vtkXMLDataElement *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkXMLDataElement"));

  op = (vtkXMLUtilities *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLUtilities");
  op->UnFactorElements(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXMLUtilities_VTKInit(JNIEnv *env, jobject obj)
{
  vtkXMLUtilities *aNewOne = vtkXMLUtilities::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXMLUtilities_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXMLUtilities_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXMLUtilities_Typecast);
}
