// java wrapper for vtkImageCast object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageCast.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkThreadedImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageCast_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageCast",dType)) { return me; }
  if ((res= vtkThreadedImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageCast_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageCast *op;
  const char    *temp20;

  op = (vtkImageCast *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageCast");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageCast_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageCast *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageCast *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageCast");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCast_SetOutputScalarType_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageCast *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageCast *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageCast");
  op->SetOutputScalarType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageCast_GetOutputScalarType_13(JNIEnv *env, jobject obj)
{
  vtkImageCast *op;
  int      temp20;

  op = (vtkImageCast *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageCast");
  temp20 = (op)->GetOutputScalarType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCast_SetOutputScalarTypeToFloat_14(JNIEnv *env, jobject obj)
{
  vtkImageCast *op;

  op = (vtkImageCast *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageCast");
  op->SetOutputScalarTypeToFloat();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCast_SetOutputScalarTypeToDouble_15(JNIEnv *env, jobject obj)
{
  vtkImageCast *op;

  op = (vtkImageCast *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageCast");
  op->SetOutputScalarTypeToDouble();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCast_SetOutputScalarTypeToInt_16(JNIEnv *env, jobject obj)
{
  vtkImageCast *op;

  op = (vtkImageCast *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageCast");
  op->SetOutputScalarTypeToInt();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCast_SetOutputScalarTypeToUnsignedInt_17(JNIEnv *env, jobject obj)
{
  vtkImageCast *op;

  op = (vtkImageCast *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageCast");
  op->SetOutputScalarTypeToUnsignedInt();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCast_SetOutputScalarTypeToLong_18(JNIEnv *env, jobject obj)
{
  vtkImageCast *op;

  op = (vtkImageCast *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageCast");
  op->SetOutputScalarTypeToLong();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCast_SetOutputScalarTypeToUnsignedLong_19(JNIEnv *env, jobject obj)
{
  vtkImageCast *op;

  op = (vtkImageCast *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageCast");
  op->SetOutputScalarTypeToUnsignedLong();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCast_SetOutputScalarTypeToShort_110(JNIEnv *env, jobject obj)
{
  vtkImageCast *op;

  op = (vtkImageCast *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageCast");
  op->SetOutputScalarTypeToShort();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCast_SetOutputScalarTypeToUnsignedShort_111(JNIEnv *env, jobject obj)
{
  vtkImageCast *op;

  op = (vtkImageCast *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageCast");
  op->SetOutputScalarTypeToUnsignedShort();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCast_SetOutputScalarTypeToUnsignedChar_112(JNIEnv *env, jobject obj)
{
  vtkImageCast *op;

  op = (vtkImageCast *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageCast");
  op->SetOutputScalarTypeToUnsignedChar();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCast_SetOutputScalarTypeToChar_113(JNIEnv *env, jobject obj)
{
  vtkImageCast *op;

  op = (vtkImageCast *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageCast");
  op->SetOutputScalarTypeToChar();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCast_SetClampOverflow_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageCast *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageCast *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageCast");
  op->SetClampOverflow(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageCast_GetClampOverflow_115(JNIEnv *env, jobject obj)
{
  vtkImageCast *op;
  int      temp20;

  op = (vtkImageCast *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageCast");
  temp20 = (op)->GetClampOverflow();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCast_ClampOverflowOn_116(JNIEnv *env, jobject obj)
{
  vtkImageCast *op;

  op = (vtkImageCast *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageCast");
  op->ClampOverflowOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCast_ClampOverflowOff_117(JNIEnv *env, jobject obj)
{
  vtkImageCast *op;

  op = (vtkImageCast *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageCast");
  op->ClampOverflowOff();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageCast_VTKInit(JNIEnv *env, jobject obj)
{
  vtkImageCast *aNewOne = vtkImageCast::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageCast_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageCast_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageCast_Typecast);
}
