// java wrapper for vtkImageGradientMagnitude object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageGradientMagnitude.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkThreadedImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageGradientMagnitude_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageGradientMagnitude",dType)) { return me; }
  if ((res= vtkThreadedImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageGradientMagnitude_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageGradientMagnitude *op;
  const char    *temp20;

  op = (vtkImageGradientMagnitude *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageGradientMagnitude");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageGradientMagnitude_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageGradientMagnitude *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageGradientMagnitude *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageGradientMagnitude");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageGradientMagnitude_SetHandleBoundaries_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageGradientMagnitude *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageGradientMagnitude *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageGradientMagnitude");
  op->SetHandleBoundaries(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageGradientMagnitude_GetHandleBoundaries_13(JNIEnv *env, jobject obj)
{
  vtkImageGradientMagnitude *op;
  int      temp20;

  op = (vtkImageGradientMagnitude *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageGradientMagnitude");
  temp20 = (op)->GetHandleBoundaries();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageGradientMagnitude_HandleBoundariesOn_14(JNIEnv *env, jobject obj)
{
  vtkImageGradientMagnitude *op;

  op = (vtkImageGradientMagnitude *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageGradientMagnitude");
  op->HandleBoundariesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageGradientMagnitude_HandleBoundariesOff_15(JNIEnv *env, jobject obj)
{
  vtkImageGradientMagnitude *op;

  op = (vtkImageGradientMagnitude *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageGradientMagnitude");
  op->HandleBoundariesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageGradientMagnitude_SetDimensionality_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageGradientMagnitude *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageGradientMagnitude *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageGradientMagnitude");
  op->SetDimensionality(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageGradientMagnitude_GetDimensionalityMinValue_17(JNIEnv *env, jobject obj)
{
  vtkImageGradientMagnitude *op;
  int      temp20;

  op = (vtkImageGradientMagnitude *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageGradientMagnitude");
  temp20 = (op)->GetDimensionalityMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageGradientMagnitude_GetDimensionalityMaxValue_18(JNIEnv *env, jobject obj)
{
  vtkImageGradientMagnitude *op;
  int      temp20;

  op = (vtkImageGradientMagnitude *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageGradientMagnitude");
  temp20 = (op)->GetDimensionalityMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageGradientMagnitude_GetDimensionality_19(JNIEnv *env, jobject obj)
{
  vtkImageGradientMagnitude *op;
  int      temp20;

  op = (vtkImageGradientMagnitude *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageGradientMagnitude");
  temp20 = (op)->GetDimensionality();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageGradientMagnitude_VTKInit(JNIEnv *env, jobject obj)
{
  vtkImageGradientMagnitude *aNewOne = vtkImageGradientMagnitude::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageGradientMagnitude_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageGradientMagnitude_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageGradientMagnitude_Typecast);
}
