// java wrapper for vtkImageMapToWindowLevelColors object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageMapToWindowLevelColors.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkImageMapToColors_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageMapToWindowLevelColors_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageMapToWindowLevelColors",dType)) { return me; }
  if ((res= vtkImageMapToColors_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageMapToWindowLevelColors_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageMapToWindowLevelColors *op;
  const char    *temp20;

  op = (vtkImageMapToWindowLevelColors *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMapToWindowLevelColors");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageMapToWindowLevelColors_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageMapToWindowLevelColors *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageMapToWindowLevelColors *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMapToWindowLevelColors");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMapToWindowLevelColors_SetWindow_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageMapToWindowLevelColors *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageMapToWindowLevelColors *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMapToWindowLevelColors");
  op->SetWindow(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageMapToWindowLevelColors_GetWindow_13(JNIEnv *env, jobject obj)
{
  vtkImageMapToWindowLevelColors *op;
  double   temp20;

  op = (vtkImageMapToWindowLevelColors *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMapToWindowLevelColors");
  temp20 = (op)->GetWindow();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMapToWindowLevelColors_SetLevel_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageMapToWindowLevelColors *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageMapToWindowLevelColors *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMapToWindowLevelColors");
  op->SetLevel(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageMapToWindowLevelColors_GetLevel_15(JNIEnv *env, jobject obj)
{
  vtkImageMapToWindowLevelColors *op;
  double   temp20;

  op = (vtkImageMapToWindowLevelColors *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageMapToWindowLevelColors");
  temp20 = (op)->GetLevel();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageMapToWindowLevelColors_VTKInit(JNIEnv *env, jobject obj)
{
  vtkImageMapToWindowLevelColors *aNewOne = vtkImageMapToWindowLevelColors::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageMapToWindowLevelColors_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageMapToWindowLevelColors_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageMapToWindowLevelColors_Typecast);
}
