// java wrapper for vtkImplicitFunctionToImageStencil object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImplicitFunctionToImageStencil.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkImageStencilSource_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImplicitFunctionToImageStencil_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImplicitFunctionToImageStencil",dType)) { return me; }
  if ((res= vtkImageStencilSource_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImplicitFunctionToImageStencil_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImplicitFunctionToImageStencil *op;
  const char    *temp20;

  op = (vtkImplicitFunctionToImageStencil *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitFunctionToImageStencil");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitFunctionToImageStencil_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImplicitFunctionToImageStencil *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImplicitFunctionToImageStencil *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitFunctionToImageStencil");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitFunctionToImageStencil_SetInput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImplicitFunctionToImageStencil *op;
  vtkImplicitFunction  *temp0;
  temp0 = (vtkImplicitFunction *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkImplicitFunction"));

  op = (vtkImplicitFunctionToImageStencil *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitFunctionToImageStencil");
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkImplicitFunctionToImageStencil_GetInput_13(JNIEnv *env, jobject obj)
{
  vtkImplicitFunctionToImageStencil *op;
  vtkImplicitFunction  *temp20;
  jobject tempH;

  op = (vtkImplicitFunctionToImageStencil *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitFunctionToImageStencil");
  temp20 = (op)->GetInput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkImplicitFunction", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitFunctionToImageStencil_SetThreshold_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImplicitFunctionToImageStencil *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImplicitFunctionToImageStencil *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitFunctionToImageStencil");
  op->SetThreshold(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImplicitFunctionToImageStencil_GetThreshold_15(JNIEnv *env, jobject obj)
{
  vtkImplicitFunctionToImageStencil *op;
  double   temp20;

  op = (vtkImplicitFunctionToImageStencil *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitFunctionToImageStencil");
  temp20 = (op)->GetThreshold();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImplicitFunctionToImageStencil_VTKInit(JNIEnv *env, jobject obj)
{
  vtkImplicitFunctionToImageStencil *aNewOne = vtkImplicitFunctionToImageStencil::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImplicitFunctionToImageStencil_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImplicitFunctionToImageStencil_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImplicitFunctionToImageStencil_Typecast);
}
