// java wrapper for vtkMultiProcessController object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMultiProcessController.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMultiProcessController_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMultiProcessController",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMultiProcessController_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMultiProcessController *op;
  const char    *temp20;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMultiProcessController");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMultiProcessController *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMultiProcessController");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiProcessController_Finalize_12(JNIEnv *env, jobject obj)
{
  vtkMultiProcessController *op;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMultiProcessController");
  op->Finalize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiProcessController_Finalize_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkMultiProcessController *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMultiProcessController");
  op->Finalize(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiProcessController_SetNumberOfProcesses_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkMultiProcessController *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMultiProcessController");
  op->SetNumberOfProcesses(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_GetNumberOfProcesses_15(JNIEnv *env, jobject obj)
{
  vtkMultiProcessController *op;
  int      temp20;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMultiProcessController");
  temp20 = (op)->GetNumberOfProcesses();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiProcessController_SingleMethodExecute_16(JNIEnv *env, jobject obj)
{
  vtkMultiProcessController *op;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMultiProcessController");
  op->SingleMethodExecute();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiProcessController_MultipleMethodExecute_17(JNIEnv *env, jobject obj)
{
  vtkMultiProcessController *op;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMultiProcessController");
  op->MultipleMethodExecute();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_GetLocalProcessId_18(JNIEnv *env, jobject obj)
{
  vtkMultiProcessController *op;
  int      temp20;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMultiProcessController");
  temp20 = (op)->GetLocalProcessId();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkMultiProcessController_GetGlobalController_19(JNIEnv *env, jobject obj)
{
  vtkMultiProcessController *op;
  vtkMultiProcessController  *temp20;
  jobject tempH;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMultiProcessController");
  temp20 = (op)->GetGlobalController();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkMultiProcessController", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiProcessController_CreateOutputWindow_110(JNIEnv *env, jobject obj)
{
  vtkMultiProcessController *op;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMultiProcessController");
  op->CreateOutputWindow();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiProcessController_TriggerBreakRMIs_111(JNIEnv *env, jobject obj)
{
  vtkMultiProcessController *op;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMultiProcessController");
  op->TriggerBreakRMIs();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiProcessController_TriggerRMI_112(JNIEnv *env, jobject obj,jint id0,jstring id1,jint id2)
{
  vtkMultiProcessController *op;
  int      temp0;
  char    *temp1;
  int      temp2;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = id2;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMultiProcessController");
  op->TriggerRMI(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiProcessController_TriggerRMI_113(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkMultiProcessController *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMultiProcessController");
  op->TriggerRMI(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_ProcessRMIs_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkMultiProcessController *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMultiProcessController");
  temp20 = (op)->ProcessRMIs(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_ProcessRMIs_115(JNIEnv *env, jobject obj)
{
  vtkMultiProcessController *op;
  int      temp20;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMultiProcessController");
  temp20 = (op)->ProcessRMIs();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiProcessController_SetBreakFlag_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkMultiProcessController *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMultiProcessController");
  op->SetBreakFlag(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_GetBreakFlag_117(JNIEnv *env, jobject obj)
{
  vtkMultiProcessController *op;
  int      temp20;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMultiProcessController");
  temp20 = (op)->GetBreakFlag();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkMultiProcessController_GetCommunicator_118(JNIEnv *env, jobject obj)
{
  vtkMultiProcessController *op;
  vtkCommunicator  *temp20;
  jobject tempH;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMultiProcessController");
  temp20 = (op)->GetCommunicator();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkCommunicator", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiProcessController_Barrier_119(JNIEnv *env, jobject obj)
{
  vtkMultiProcessController *op;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMultiProcessController");
  op->Barrier();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiProcessController_SetGlobalController_120(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMultiProcessController *op;
  vtkMultiProcessController  *temp0;
  temp0 = (vtkMultiProcessController *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkMultiProcessController"));

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMultiProcessController");
  op->SetGlobalController(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_Send_121(JNIEnv *env, jobject obj,jstring id0,jint id1,jint id2,jint id3)
{
  vtkMultiProcessController *op;
  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMultiProcessController");
  temp20 = (op)->Send(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_Send_122(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkMultiProcessController *op;
  vtkDataObject  *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));
  temp1 = id1;
  temp2 = id2;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMultiProcessController");
  temp20 = (op)->Send(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_Send_123(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkMultiProcessController *op;
  vtkDataArray  *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataArray"));
  temp1 = id1;
  temp2 = id2;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMultiProcessController");
  temp20 = (op)->Send(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_Receive_124(JNIEnv *env, jobject obj,jstring id0,jint id1,jint id2,jint id3)
{
  vtkMultiProcessController *op;
  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMultiProcessController");
  temp20 = (op)->Receive(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_Receive_125(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkMultiProcessController *op;
  vtkDataObject  *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));
  temp1 = id1;
  temp2 = id2;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMultiProcessController");
  temp20 = (op)->Receive(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_Receive_126(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkMultiProcessController *op;
  vtkDataArray  *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataArray"));
  temp1 = id1;
  temp2 = id2;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMultiProcessController");
  temp20 = (op)->Receive(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkMultiProcessController_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkMultiProcessController_Typecast);
}
