// java wrapper for vtkPassThroughFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPassThroughFilter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPassThroughFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPassThroughFilter",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPassThroughFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPassThroughFilter *op;
  const char    *temp20;

  op = (vtkPassThroughFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPassThroughFilter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPassThroughFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPassThroughFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPassThroughFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPassThroughFilter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPassThroughFilter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkPassThroughFilter *aNewOne = vtkPassThroughFilter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPassThroughFilter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPassThroughFilter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPassThroughFilter_Typecast);
}
