// java wrapper for vtkPieceScalars object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPieceScalars.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPieceScalars_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPieceScalars",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPieceScalars_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPieceScalars *op;
  const char    *temp20;

  op = (vtkPieceScalars *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPieceScalars");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPieceScalars_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPieceScalars *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPieceScalars *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPieceScalars");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPieceScalars_SetScalarModeToCellData_12(JNIEnv *env, jobject obj)
{
  vtkPieceScalars *op;

  op = (vtkPieceScalars *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPieceScalars");
  op->SetScalarModeToCellData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPieceScalars_SetScalarModeToPointData_13(JNIEnv *env, jobject obj)
{
  vtkPieceScalars *op;

  op = (vtkPieceScalars *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPieceScalars");
  op->SetScalarModeToPointData();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPieceScalars_GetScalarMode_14(JNIEnv *env, jobject obj)
{
  vtkPieceScalars *op;
  int      temp20;

  op = (vtkPieceScalars *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPieceScalars");
  temp20 = (op)->GetScalarMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPieceScalars_SetRandomMode_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkPieceScalars *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPieceScalars *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPieceScalars");
  op->SetRandomMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPieceScalars_GetRandomMode_16(JNIEnv *env, jobject obj)
{
  vtkPieceScalars *op;
  int      temp20;

  op = (vtkPieceScalars *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPieceScalars");
  temp20 = (op)->GetRandomMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPieceScalars_RandomModeOn_17(JNIEnv *env, jobject obj)
{
  vtkPieceScalars *op;

  op = (vtkPieceScalars *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPieceScalars");
  op->RandomModeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPieceScalars_RandomModeOff_18(JNIEnv *env, jobject obj)
{
  vtkPieceScalars *op;

  op = (vtkPieceScalars *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPieceScalars");
  op->RandomModeOff();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPieceScalars_VTKInit(JNIEnv *env, jobject obj)
{
  vtkPieceScalars *aNewOne = vtkPieceScalars::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPieceScalars_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPieceScalars_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPieceScalars_Typecast);
}
