// java wrapper for vtkCellPicker object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCellPicker.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPicker_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCellPicker_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCellPicker",dType)) { return me; }
  if ((res= vtkPicker_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCellPicker_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCellPicker *op;
  const char    *temp20;

  op = (vtkCellPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellPicker");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellPicker_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCellPicker *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCellPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellPicker");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellPicker_GetCellId_12(JNIEnv *env, jobject obj)
{
  vtkCellPicker *op;
  vtkIdType   temp20;

  op = (vtkCellPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellPicker");
  temp20 = (op)->GetCellId();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellPicker_GetSubId_13(JNIEnv *env, jobject obj)
{
  vtkCellPicker *op;
  int      temp20;

  op = (vtkCellPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellPicker");
  temp20 = (op)->GetSubId();
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCellPicker_GetPCoords_14(JNIEnv *env, jobject obj)
{
  vtkCellPicker *op;
  double  *temp20;

  op = (vtkCellPicker *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCellPicker");
  temp20 = (op)->GetPCoords();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkCellPicker_VTKInit(JNIEnv *env, jobject obj)
{
  vtkCellPicker *aNewOne = vtkCellPicker::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkCellPicker_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkCellPicker_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkCellPicker_Typecast);
}
