// java wrapper for vtkImageViewer2 object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageViewer2.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageViewer2_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageViewer2",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageViewer2_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageViewer2 *op;
  const char    *temp20;

  op = (vtkImageViewer2 *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer2");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageViewer2_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageViewer2 *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageViewer2 *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer2");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageViewer2_GetWindowName_12(JNIEnv *env, jobject obj)
{
  vtkImageViewer2 *op;
  char    *temp20;

  op = (vtkImageViewer2 *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer2");
  temp20 = (op)->GetWindowName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageViewer2_Render_13(JNIEnv *env, jobject obj)
{
  vtkImageViewer2 *op;

  op = (vtkImageViewer2 *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer2");
  op->Render();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageViewer2_SetInput_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageViewer2 *op;
  vtkImageData  *temp0;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkImageData"));

  op = (vtkImageViewer2 *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer2");
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkImageViewer2_GetInput_15(JNIEnv *env, jobject obj)
{
  vtkImageViewer2 *op;
  vtkImageData  *temp20;
  jobject tempH;

  op = (vtkImageViewer2 *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer2");
  temp20 = (op)->GetInput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkImageData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageViewer2_SetInputConnection_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageViewer2 *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkAlgorithmOutput"));

  op = (vtkImageViewer2 *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer2");
  op->SetInputConnection(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageViewer2_GetSliceOrientation_17(JNIEnv *env, jobject obj)
{
  vtkImageViewer2 *op;
  int      temp20;

  op = (vtkImageViewer2 *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer2");
  temp20 = (op)->GetSliceOrientation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageViewer2_SetSliceOrientation_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageViewer2 *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageViewer2 *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer2");
  op->SetSliceOrientation(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageViewer2_SetSliceOrientationToXY_19(JNIEnv *env, jobject obj)
{
  vtkImageViewer2 *op;

  op = (vtkImageViewer2 *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer2");
  op->SetSliceOrientationToXY();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageViewer2_SetSliceOrientationToYZ_110(JNIEnv *env, jobject obj)
{
  vtkImageViewer2 *op;

  op = (vtkImageViewer2 *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer2");
  op->SetSliceOrientationToYZ();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageViewer2_SetSliceOrientationToXZ_111(JNIEnv *env, jobject obj)
{
  vtkImageViewer2 *op;

  op = (vtkImageViewer2 *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer2");
  op->SetSliceOrientationToXZ();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageViewer2_GetSlice_112(JNIEnv *env, jobject obj)
{
  vtkImageViewer2 *op;
  int      temp20;

  op = (vtkImageViewer2 *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer2");
  temp20 = (op)->GetSlice();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageViewer2_SetSlice_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageViewer2 *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageViewer2 *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer2");
  op->SetSlice(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageViewer2_GetSliceMin_114(JNIEnv *env, jobject obj)
{
  vtkImageViewer2 *op;
  int      temp20;

  op = (vtkImageViewer2 *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer2");
  temp20 = (op)->GetSliceMin();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageViewer2_GetSliceMax_115(JNIEnv *env, jobject obj)
{
  vtkImageViewer2 *op;
  int      temp20;

  op = (vtkImageViewer2 *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer2");
  temp20 = (op)->GetSliceMax();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageViewer2_GetSliceRange_116(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkImageViewer2 *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkImageViewer2 *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer2");
  op->GetSliceRange(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageViewer2_GetColorWindow_117(JNIEnv *env, jobject obj)
{
  vtkImageViewer2 *op;
  double   temp20;

  op = (vtkImageViewer2 *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer2");
  temp20 = (op)->GetColorWindow();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageViewer2_GetColorLevel_118(JNIEnv *env, jobject obj)
{
  vtkImageViewer2 *op;
  double   temp20;

  op = (vtkImageViewer2 *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer2");
  temp20 = (op)->GetColorLevel();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageViewer2_SetColorWindow_119(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageViewer2 *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageViewer2 *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer2");
  op->SetColorWindow(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageViewer2_SetColorLevel_120(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageViewer2 *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageViewer2 *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer2");
  op->SetColorLevel(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageViewer2_SetPosition_121(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkImageViewer2 *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkImageViewer2 *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer2");
  op->SetPosition(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageViewer2_SetPosition_122(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkImageViewer2 *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkImageViewer2 *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer2");
  op->SetPosition(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageViewer2_SetSize_123(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkImageViewer2 *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkImageViewer2 *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer2");
  op->SetSize(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageViewer2_SetSize_124(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkImageViewer2 *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkImageViewer2 *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer2");
  op->SetSize(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkImageViewer2_GetRenderWindow_125(JNIEnv *env, jobject obj)
{
  vtkImageViewer2 *op;
  vtkRenderWindow  *temp20;
  jobject tempH;

  op = (vtkImageViewer2 *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer2");
  temp20 = (op)->GetRenderWindow();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkRenderWindow", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkImageViewer2_GetRenderer_126(JNIEnv *env, jobject obj)
{
  vtkImageViewer2 *op;
  vtkRenderer  *temp20;
  jobject tempH;

  op = (vtkImageViewer2 *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer2");
  temp20 = (op)->GetRenderer();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkRenderer", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkImageViewer2_GetImageActor_127(JNIEnv *env, jobject obj)
{
  vtkImageViewer2 *op;
  vtkImageActor  *temp20;
  jobject tempH;

  op = (vtkImageViewer2 *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer2");
  temp20 = (op)->GetImageActor();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkImageActor", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkImageViewer2_GetWindowLevel_128(JNIEnv *env, jobject obj)
{
  vtkImageViewer2 *op;
  vtkImageMapToWindowLevelColors  *temp20;
  jobject tempH;

  op = (vtkImageViewer2 *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer2");
  temp20 = (op)->GetWindowLevel();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkImageMapToWindowLevelColors", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkImageViewer2_GetInteractorStyle_129(JNIEnv *env, jobject obj)
{
  vtkImageViewer2 *op;
  vtkInteractorStyleImage  *temp20;
  jobject tempH;

  op = (vtkImageViewer2 *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer2");
  temp20 = (op)->GetInteractorStyle();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInteractorStyleImage", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageViewer2_SetRenderWindow_130(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageViewer2 *op;
  vtkRenderWindow  *temp0;
  temp0 = (vtkRenderWindow *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderWindow"));

  op = (vtkImageViewer2 *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer2");
  op->SetRenderWindow(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageViewer2_SetRenderer_131(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageViewer2 *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderer"));

  op = (vtkImageViewer2 *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer2");
  op->SetRenderer(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageViewer2_SetupInteractor_132(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageViewer2 *op;
  vtkRenderWindowInteractor  *temp0;
  temp0 = (vtkRenderWindowInteractor *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderWindowInteractor"));

  op = (vtkImageViewer2 *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer2");
  op->SetupInteractor(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageViewer2_SetOffScreenRendering_133(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageViewer2 *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageViewer2 *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer2");
  op->SetOffScreenRendering(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageViewer2_GetOffScreenRendering_134(JNIEnv *env, jobject obj)
{
  vtkImageViewer2 *op;
  int      temp20;

  op = (vtkImageViewer2 *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer2");
  temp20 = (op)->GetOffScreenRendering();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageViewer2_OffScreenRenderingOn_135(JNIEnv *env, jobject obj)
{
  vtkImageViewer2 *op;

  op = (vtkImageViewer2 *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer2");
  op->OffScreenRenderingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageViewer2_OffScreenRenderingOff_136(JNIEnv *env, jobject obj)
{
  vtkImageViewer2 *op;

  op = (vtkImageViewer2 *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer2");
  op->OffScreenRenderingOff();
}

#if !defined(VTK_LEGACY_REMOVE)
extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageViewer2_GetWholeZMin_137(JNIEnv *env, jobject obj)
{
  vtkImageViewer2 *op;
  int      temp20;

  op = (vtkImageViewer2 *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer2");
  temp20 = (op)->GetWholeZMin();
  return temp20;
}
#endif

#if !defined(VTK_LEGACY_REMOVE)
extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageViewer2_GetWholeZMax_138(JNIEnv *env, jobject obj)
{
  vtkImageViewer2 *op;
  int      temp20;

  op = (vtkImageViewer2 *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer2");
  temp20 = (op)->GetWholeZMax();
  return temp20;
}
#endif

#if !defined(VTK_LEGACY_REMOVE)
extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageViewer2_GetZSlice_139(JNIEnv *env, jobject obj)
{
  vtkImageViewer2 *op;
  int      temp20;

  op = (vtkImageViewer2 *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer2");
  temp20 = (op)->GetZSlice();
  return temp20;
}
#endif

#if !defined(VTK_LEGACY_REMOVE)
extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageViewer2_SetZSlice_140(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageViewer2 *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageViewer2 *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer2");
  op->SetZSlice(temp0);
}
#endif

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageViewer2_VTKInit(JNIEnv *env, jobject obj)
{
  vtkImageViewer2 *aNewOne = vtkImageViewer2::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageViewer2_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageViewer2_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageViewer2_Typecast);
}
