// java wrapper for vtkInteractorStyleTrackballActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInteractorStyleTrackballActor.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkInteractorStyle_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInteractorStyleTrackballActor_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInteractorStyleTrackballActor",dType)) { return me; }
  if ((res= vtkInteractorStyle_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInteractorStyleTrackballActor_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleTrackballActor *op;
  const char    *temp20;

  op = (vtkInteractorStyleTrackballActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleTrackballActor");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorStyleTrackballActor_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInteractorStyleTrackballActor *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInteractorStyleTrackballActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleTrackballActor");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleTrackballActor_OnMouseMove_12(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleTrackballActor *op;

  op = (vtkInteractorStyleTrackballActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleTrackballActor");
  op->OnMouseMove();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleTrackballActor_OnLeftButtonDown_13(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleTrackballActor *op;

  op = (vtkInteractorStyleTrackballActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleTrackballActor");
  op->OnLeftButtonDown();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleTrackballActor_OnLeftButtonUp_14(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleTrackballActor *op;

  op = (vtkInteractorStyleTrackballActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleTrackballActor");
  op->OnLeftButtonUp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleTrackballActor_OnMiddleButtonDown_15(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleTrackballActor *op;

  op = (vtkInteractorStyleTrackballActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleTrackballActor");
  op->OnMiddleButtonDown();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleTrackballActor_OnMiddleButtonUp_16(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleTrackballActor *op;

  op = (vtkInteractorStyleTrackballActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleTrackballActor");
  op->OnMiddleButtonUp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleTrackballActor_OnRightButtonDown_17(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleTrackballActor *op;

  op = (vtkInteractorStyleTrackballActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleTrackballActor");
  op->OnRightButtonDown();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleTrackballActor_OnRightButtonUp_18(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleTrackballActor *op;

  op = (vtkInteractorStyleTrackballActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleTrackballActor");
  op->OnRightButtonUp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleTrackballActor_Rotate_19(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleTrackballActor *op;

  op = (vtkInteractorStyleTrackballActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleTrackballActor");
  op->Rotate();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleTrackballActor_Spin_110(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleTrackballActor *op;

  op = (vtkInteractorStyleTrackballActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleTrackballActor");
  op->Spin();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleTrackballActor_Pan_111(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleTrackballActor *op;

  op = (vtkInteractorStyleTrackballActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleTrackballActor");
  op->Pan();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleTrackballActor_Dolly_112(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleTrackballActor *op;

  op = (vtkInteractorStyleTrackballActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleTrackballActor");
  op->Dolly();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleTrackballActor_UniformScale_113(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleTrackballActor *op;

  op = (vtkInteractorStyleTrackballActor *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleTrackballActor");
  op->UniformScale();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkInteractorStyleTrackballActor_VTKInit(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleTrackballActor *aNewOne = vtkInteractorStyleTrackballActor::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkInteractorStyleTrackballActor_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkInteractorStyleTrackballActor_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkInteractorStyleTrackballActor_Typecast);
}
