// java wrapper for vtkInteractorStyleTrackball object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInteractorStyleTrackball.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkInteractorStyleSwitch_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInteractorStyleTrackball_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInteractorStyleTrackball",dType)) { return me; }
  if ((res= vtkInteractorStyleSwitch_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInteractorStyleTrackball_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleTrackball *op;
  const char    *temp20;

  op = (vtkInteractorStyleTrackball *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleTrackball");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorStyleTrackball_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInteractorStyleTrackball *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInteractorStyleTrackball *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleTrackball");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkInteractorStyleTrackball_VTKInit(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleTrackball *aNewOne = vtkInteractorStyleTrackball::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkInteractorStyleTrackball_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkInteractorStyleTrackball_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkInteractorStyleTrackball_Typecast);
}
