// java wrapper for vtkInteractorStyleUser object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInteractorStyleUser.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkInteractorStyle_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInteractorStyleUser_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInteractorStyleUser",dType)) { return me; }
  if ((res= vtkInteractorStyle_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInteractorStyleUser_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleUser *op;
  const char    *temp20;

  op = (vtkInteractorStyleUser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleUser");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorStyleUser_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInteractorStyleUser *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInteractorStyleUser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleUser");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkInteractorStyleUser_GetLastPos_12(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleUser *op;
  int     *temp20;

  op = (vtkInteractorStyleUser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleUser");
  temp20 = (op)->GetLastPos();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkInteractorStyleUser_GetOldPos_13(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleUser *op;
  int     *temp20;

  op = (vtkInteractorStyleUser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleUser");
  temp20 = (op)->GetOldPos();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorStyleUser_GetShiftKey_14(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleUser *op;
  int      temp20;

  op = (vtkInteractorStyleUser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleUser");
  temp20 = (op)->GetShiftKey();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorStyleUser_GetCtrlKey_15(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleUser *op;
  int      temp20;

  op = (vtkInteractorStyleUser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleUser");
  temp20 = (op)->GetCtrlKey();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorStyleUser_GetChar_16(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleUser *op;
  int      temp20;

  op = (vtkInteractorStyleUser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleUser");
  temp20 = (op)->GetChar();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInteractorStyleUser_GetKeySym_17(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleUser *op;
  char    *temp20;

  op = (vtkInteractorStyleUser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleUser");
  temp20 = (op)->GetKeySym();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorStyleUser_GetButton_18(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleUser *op;
  int      temp20;

  op = (vtkInteractorStyleUser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleUser");
  temp20 = (op)->GetButton();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleUser_OnMouseMove_19(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleUser *op;

  op = (vtkInteractorStyleUser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleUser");
  op->OnMouseMove();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleUser_OnLeftButtonDown_110(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleUser *op;

  op = (vtkInteractorStyleUser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleUser");
  op->OnLeftButtonDown();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleUser_OnLeftButtonUp_111(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleUser *op;

  op = (vtkInteractorStyleUser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleUser");
  op->OnLeftButtonUp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleUser_OnMiddleButtonDown_112(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleUser *op;

  op = (vtkInteractorStyleUser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleUser");
  op->OnMiddleButtonDown();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleUser_OnMiddleButtonUp_113(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleUser *op;

  op = (vtkInteractorStyleUser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleUser");
  op->OnMiddleButtonUp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleUser_OnRightButtonDown_114(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleUser *op;

  op = (vtkInteractorStyleUser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleUser");
  op->OnRightButtonDown();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleUser_OnRightButtonUp_115(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleUser *op;

  op = (vtkInteractorStyleUser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleUser");
  op->OnRightButtonUp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleUser_OnChar_116(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleUser *op;

  op = (vtkInteractorStyleUser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleUser");
  op->OnChar();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleUser_OnKeyPress_117(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleUser *op;

  op = (vtkInteractorStyleUser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleUser");
  op->OnKeyPress();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleUser_OnKeyRelease_118(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleUser *op;

  op = (vtkInteractorStyleUser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleUser");
  op->OnKeyRelease();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleUser_OnExpose_119(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleUser *op;

  op = (vtkInteractorStyleUser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleUser");
  op->OnExpose();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleUser_OnConfigure_120(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleUser *op;

  op = (vtkInteractorStyleUser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleUser");
  op->OnConfigure();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleUser_OnEnter_121(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleUser *op;

  op = (vtkInteractorStyleUser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleUser");
  op->OnEnter();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleUser_OnLeave_122(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleUser *op;

  op = (vtkInteractorStyleUser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleUser");
  op->OnLeave();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleUser_OnTimer_123(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleUser *op;

  op = (vtkInteractorStyleUser *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkInteractorStyleUser");
  op->OnTimer();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkInteractorStyleUser_VTKInit(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleUser *aNewOne = vtkInteractorStyleUser::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkInteractorStyleUser_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkInteractorStyleUser_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkInteractorStyleUser_Typecast);
}
