// java wrapper for vtkLODProp3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLODProp3D.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkProp3D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkLODProp3D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkLODProp3D",dType)) { return me; }
  if ((res= vtkProp3D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkLODProp3D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkLODProp3D *op;
  const char    *temp20;

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLODProp3D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkLODProp3D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkLODProp3D_GetBounds_12(JNIEnv *env, jobject obj)
{
  vtkLODProp3D *op;
  double  *temp20;

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  temp20 = (op)->GetBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLODProp3D_GetBounds_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkLODProp3D *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  op->GetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLODProp3D_AddLOD_14(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2,jobject id3,jdouble id4)
{
  vtkLODProp3D *op;
  vtkMapper  *temp0;
  vtkProperty  *temp1;
  vtkProperty  *temp2;
  vtkTexture  *temp3;
  double   temp4;
  int      temp20;
  temp0 = (vtkMapper *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkMapper"));
  temp1 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkProperty"));
  temp2 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id2,(char *) "vtkProperty"));
  temp3 = (vtkTexture *)(vtkJavaGetPointerFromObject(env,id3,(char *) "vtkTexture"));
  temp4 = id4;

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  temp20 = (op)->AddLOD(temp0,temp1,temp2,temp3,temp4);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLODProp3D_AddLOD_15(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2,jdouble id3)
{
  vtkLODProp3D *op;
  vtkMapper  *temp0;
  vtkProperty  *temp1;
  vtkTexture  *temp2;
  double   temp3;
  int      temp20;
  temp0 = (vtkMapper *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkMapper"));
  temp1 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkProperty"));
  temp2 = (vtkTexture *)(vtkJavaGetPointerFromObject(env,id2,(char *) "vtkTexture"));
  temp3 = id3;

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  temp20 = (op)->AddLOD(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLODProp3D_AddLOD_16(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2,jdouble id3)
{
  vtkLODProp3D *op;
  vtkMapper  *temp0;
  vtkProperty  *temp1;
  vtkProperty  *temp2;
  double   temp3;
  int      temp20;
  temp0 = (vtkMapper *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkMapper"));
  temp1 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkProperty"));
  temp2 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id2,(char *) "vtkProperty"));
  temp3 = id3;

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  temp20 = (op)->AddLOD(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLODProp3D_AddLOD_17(JNIEnv *env, jobject obj,jobject id0,jobject id1,jdouble id2)
{
  vtkLODProp3D *op;
  vtkMapper  *temp0;
  vtkProperty  *temp1;
  double   temp2;
  int      temp20;
  temp0 = (vtkMapper *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkMapper"));
  temp1 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkProperty"));
  temp2 = id2;

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  temp20 = (op)->AddLOD(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLODProp3D_AddLOD_18(JNIEnv *env, jobject obj,jobject id0,jobject id1,jdouble id2)
{
  vtkLODProp3D *op;
  vtkMapper  *temp0;
  vtkTexture  *temp1;
  double   temp2;
  int      temp20;
  temp0 = (vtkMapper *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkMapper"));
  temp1 = (vtkTexture *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkTexture"));
  temp2 = id2;

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  temp20 = (op)->AddLOD(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLODProp3D_AddLOD_19(JNIEnv *env, jobject obj,jobject id0,jdouble id1)
{
  vtkLODProp3D *op;
  vtkMapper  *temp0;
  double   temp1;
  int      temp20;
  temp0 = (vtkMapper *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkMapper"));
  temp1 = id1;

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  temp20 = (op)->AddLOD(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLODProp3D_AddLOD_110(JNIEnv *env, jobject obj,jobject id0,jobject id1,jdouble id2)
{
  vtkLODProp3D *op;
  vtkAbstractVolumeMapper  *temp0;
  vtkVolumeProperty  *temp1;
  double   temp2;
  int      temp20;
  temp0 = (vtkAbstractVolumeMapper *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkAbstractVolumeMapper"));
  temp1 = (vtkVolumeProperty *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkVolumeProperty"));
  temp2 = id2;

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  temp20 = (op)->AddLOD(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLODProp3D_AddLOD_111(JNIEnv *env, jobject obj,jobject id0,jdouble id1)
{
  vtkLODProp3D *op;
  vtkAbstractVolumeMapper  *temp0;
  double   temp1;
  int      temp20;
  temp0 = (vtkAbstractVolumeMapper *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkAbstractVolumeMapper"));
  temp1 = id1;

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  temp20 = (op)->AddLOD(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLODProp3D_GetNumberOfLODs_112(JNIEnv *env, jobject obj)
{
  vtkLODProp3D *op;
  int      temp20;

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  temp20 = (op)->GetNumberOfLODs();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLODProp3D_GetCurrentIndex_113(JNIEnv *env, jobject obj)
{
  vtkLODProp3D *op;
  int      temp20;

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  temp20 = (op)->GetCurrentIndex();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLODProp3D_RemoveLOD_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkLODProp3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  op->RemoveLOD(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLODProp3D_SetLODProperty_115(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkLODProp3D *op;
  int      temp0;
  vtkProperty  *temp1;
  temp0 = id0;
  temp1 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkProperty"));

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  op->SetLODProperty(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLODProp3D_SetLODProperty_116(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkLODProp3D *op;
  int      temp0;
  vtkVolumeProperty  *temp1;
  temp0 = id0;
  temp1 = (vtkVolumeProperty *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkVolumeProperty"));

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  op->SetLODProperty(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLODProp3D_SetLODMapper_117(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkLODProp3D *op;
  int      temp0;
  vtkMapper  *temp1;
  temp0 = id0;
  temp1 = (vtkMapper *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkMapper"));

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  op->SetLODMapper(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLODProp3D_SetLODMapper_118(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkLODProp3D *op;
  int      temp0;
  vtkAbstractVolumeMapper  *temp1;
  temp0 = id0;
  temp1 = (vtkAbstractVolumeMapper *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkAbstractVolumeMapper"));

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  op->SetLODMapper(temp0,temp1);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkLODProp3D_GetLODMapper_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkLODProp3D *op;
  int      temp0;
  vtkAbstractMapper3D  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  temp20 = (op)->GetLODMapper(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkAbstractMapper3D", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLODProp3D_SetLODBackfaceProperty_120(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkLODProp3D *op;
  int      temp0;
  vtkProperty  *temp1;
  temp0 = id0;
  temp1 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkProperty"));

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  op->SetLODBackfaceProperty(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLODProp3D_SetLODTexture_121(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkLODProp3D *op;
  int      temp0;
  vtkTexture  *temp1;
  temp0 = id0;
  temp1 = (vtkTexture *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkTexture"));

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  op->SetLODTexture(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLODProp3D_EnableLOD_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkLODProp3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  op->EnableLOD(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLODProp3D_DisableLOD_123(JNIEnv *env, jobject obj,jint id0)
{
  vtkLODProp3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  op->DisableLOD(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLODProp3D_IsLODEnabled_124(JNIEnv *env, jobject obj,jint id0)
{
  vtkLODProp3D *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  temp20 = (op)->IsLODEnabled(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLODProp3D_SetLODLevel_125(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkLODProp3D *op;
  int      temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  op->SetLODLevel(temp0,temp1);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkLODProp3D_GetLODLevel_126(JNIEnv *env, jobject obj,jint id0)
{
  vtkLODProp3D *op;
  int      temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  temp20 = (op)->GetLODLevel(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkLODProp3D_GetLODIndexLevel_127(JNIEnv *env, jobject obj,jint id0)
{
  vtkLODProp3D *op;
  int      temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  temp20 = (op)->GetLODIndexLevel(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkLODProp3D_GetLODEstimatedRenderTime_128(JNIEnv *env, jobject obj,jint id0)
{
  vtkLODProp3D *op;
  int      temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  temp20 = (op)->GetLODEstimatedRenderTime(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkLODProp3D_GetLODIndexEstimatedRenderTime_129(JNIEnv *env, jobject obj,jint id0)
{
  vtkLODProp3D *op;
  int      temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  temp20 = (op)->GetLODIndexEstimatedRenderTime(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLODProp3D_SetAutomaticLODSelection_130(JNIEnv *env, jobject obj,jint id0)
{
  vtkLODProp3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  op->SetAutomaticLODSelection(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLODProp3D_GetAutomaticLODSelectionMinValue_131(JNIEnv *env, jobject obj)
{
  vtkLODProp3D *op;
  int      temp20;

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  temp20 = (op)->GetAutomaticLODSelectionMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLODProp3D_GetAutomaticLODSelectionMaxValue_132(JNIEnv *env, jobject obj)
{
  vtkLODProp3D *op;
  int      temp20;

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  temp20 = (op)->GetAutomaticLODSelectionMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLODProp3D_GetAutomaticLODSelection_133(JNIEnv *env, jobject obj)
{
  vtkLODProp3D *op;
  int      temp20;

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  temp20 = (op)->GetAutomaticLODSelection();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLODProp3D_AutomaticLODSelectionOn_134(JNIEnv *env, jobject obj)
{
  vtkLODProp3D *op;

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  op->AutomaticLODSelectionOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLODProp3D_AutomaticLODSelectionOff_135(JNIEnv *env, jobject obj)
{
  vtkLODProp3D *op;

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  op->AutomaticLODSelectionOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLODProp3D_SetSelectedLODID_136(JNIEnv *env, jobject obj,jint id0)
{
  vtkLODProp3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  op->SetSelectedLODID(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLODProp3D_GetSelectedLODID_137(JNIEnv *env, jobject obj)
{
  vtkLODProp3D *op;
  int      temp20;

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  temp20 = (op)->GetSelectedLODID();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLODProp3D_GetLastRenderedLODID_138(JNIEnv *env, jobject obj)
{
  vtkLODProp3D *op;
  int      temp20;

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  temp20 = (op)->GetLastRenderedLODID();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLODProp3D_GetPickLODID_139(JNIEnv *env, jobject obj)
{
  vtkLODProp3D *op;
  int      temp20;

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  temp20 = (op)->GetPickLODID();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLODProp3D_GetActors_140(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLODProp3D *op;
  vtkPropCollection  *temp0;
  temp0 = (vtkPropCollection *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPropCollection"));

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  op->GetActors(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLODProp3D_SetSelectedPickLODID_141(JNIEnv *env, jobject obj,jint id0)
{
  vtkLODProp3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  op->SetSelectedPickLODID(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLODProp3D_GetSelectedPickLODID_142(JNIEnv *env, jobject obj)
{
  vtkLODProp3D *op;
  int      temp20;

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  temp20 = (op)->GetSelectedPickLODID();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLODProp3D_SetAutomaticPickLODSelection_143(JNIEnv *env, jobject obj,jint id0)
{
  vtkLODProp3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  op->SetAutomaticPickLODSelection(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLODProp3D_GetAutomaticPickLODSelectionMinValue_144(JNIEnv *env, jobject obj)
{
  vtkLODProp3D *op;
  int      temp20;

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  temp20 = (op)->GetAutomaticPickLODSelectionMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLODProp3D_GetAutomaticPickLODSelectionMaxValue_145(JNIEnv *env, jobject obj)
{
  vtkLODProp3D *op;
  int      temp20;

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  temp20 = (op)->GetAutomaticPickLODSelectionMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLODProp3D_GetAutomaticPickLODSelection_146(JNIEnv *env, jobject obj)
{
  vtkLODProp3D *op;
  int      temp20;

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  temp20 = (op)->GetAutomaticPickLODSelection();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLODProp3D_AutomaticPickLODSelectionOn_147(JNIEnv *env, jobject obj)
{
  vtkLODProp3D *op;

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  op->AutomaticPickLODSelectionOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLODProp3D_AutomaticPickLODSelectionOff_148(JNIEnv *env, jobject obj)
{
  vtkLODProp3D *op;

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  op->AutomaticPickLODSelectionOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLODProp3D_ShallowCopy_149(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLODProp3D *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProp"));

  op = (vtkLODProp3D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkLODProp3D");
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkLODProp3D_VTKInit(JNIEnv *env, jobject obj)
{
  vtkLODProp3D *aNewOne = vtkLODProp3D::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkLODProp3D_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkLODProp3D_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkLODProp3D_Typecast);
}
