// java wrapper for vtkOpenGLRenderer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOpenGLRenderer.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkRenderer_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOpenGLRenderer_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOpenGLRenderer",dType)) { return me; }
  if ((res= vtkRenderer_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOpenGLRenderer_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOpenGLRenderer *op;
  const char    *temp20;

  op = (vtkOpenGLRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLRenderer");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLRenderer_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLRenderer *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLRenderer");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLRenderer_DeviceRender_12(JNIEnv *env, jobject obj)
{
  vtkOpenGLRenderer *op;

  op = (vtkOpenGLRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLRenderer");
  op->DeviceRender();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLRenderer_ClearLights_13(JNIEnv *env, jobject obj)
{
  vtkOpenGLRenderer *op;

  op = (vtkOpenGLRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLRenderer");
  op->ClearLights();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLRenderer_Clear_14(JNIEnv *env, jobject obj)
{
  vtkOpenGLRenderer *op;

  op = (vtkOpenGLRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLRenderer");
  op->Clear();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLRenderer_UpdateLights_15(JNIEnv *env, jobject obj)
{
  vtkOpenGLRenderer *op;
  int      temp20;

  op = (vtkOpenGLRenderer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkOpenGLRenderer");
  temp20 = (op)->UpdateLights();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkOpenGLRenderer_VTKInit(JNIEnv *env, jobject obj)
{
  vtkOpenGLRenderer *aNewOne = vtkOpenGLRenderer::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkOpenGLRenderer_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkOpenGLRenderer_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkOpenGLRenderer_Typecast);
}
