// java wrapper for vtkTextMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTextMapper.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkMapper2D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTextMapper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTextMapper",dType)) { return me; }
  if ((res= vtkMapper2D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTextMapper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTextMapper *op;
  const char    *temp20;

  op = (vtkTextMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextMapper");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextMapper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTextMapper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTextMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextMapper");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextMapper_GetSize_12(JNIEnv *env, jobject obj,jobject id0,jintArray id1)
{
  vtkTextMapper *op;
  vtkViewport  *temp0;
  int    temp1[2];
  void *tempArray1;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkViewport"));
  tempArray1 = (void *)(env->GetIntArrayElements(id1,NULL));
  temp1[0] = ((jint *)tempArray1)[0];
  temp1[1] = ((jint *)tempArray1)[1];

  op = (vtkTextMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextMapper");
  op->GetSize(temp0,temp1);
  ((jint *)tempArray1)[0] = temp1[0];
  ((jint *)tempArray1)[1] = temp1[1];
  env->ReleaseIntArrayElements(id1,(jint *)tempArray1,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextMapper_GetWidth_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTextMapper *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkViewport"));

  op = (vtkTextMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextMapper");
  temp20 = (op)->GetWidth(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextMapper_GetHeight_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTextMapper *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkViewport"));

  op = (vtkTextMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextMapper");
  temp20 = (op)->GetHeight(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextMapper_SetInput_15(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTextMapper *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTextMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextMapper");
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTextMapper_GetInput_16(JNIEnv *env, jobject obj)
{
  vtkTextMapper *op;
  char    *temp20;

  op = (vtkTextMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextMapper");
  temp20 = (op)->GetInput();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextMapper_SetTextProperty_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTextMapper *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkTextProperty"));

  op = (vtkTextMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextMapper");
  op->SetTextProperty(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkTextMapper_GetTextProperty_18(JNIEnv *env, jobject obj)
{
  vtkTextMapper *op;
  vtkTextProperty  *temp20;
  jobject tempH;

  op = (vtkTextMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextMapper");
  temp20 = (op)->GetTextProperty();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkTextProperty", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextMapper_GetNumberOfLines_19(JNIEnv *env, jobject obj)
{
  vtkTextMapper *op;
  int      temp20;

  op = (vtkTextMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextMapper");
  temp20 = (op)->GetNumberOfLines();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextMapper_ShallowCopy_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTextMapper *op;
  vtkTextMapper  *temp0;
  temp0 = (vtkTextMapper *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkTextMapper"));

  op = (vtkTextMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextMapper");
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextMapper_GetNumberOfLines_111(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTextMapper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTextMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextMapper");
  temp20 = (op)->GetNumberOfLines(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextMapper_SetConstrainedFontSize_112(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkTextMapper *op;
  vtkViewport  *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkViewport"));
  temp1 = id1;
  temp2 = id2;

  op = (vtkTextMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextMapper");
  temp20 = (op)->SetConstrainedFontSize(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextMapper_GetSystemFontSize_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkTextMapper *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkTextMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTextMapper");
  temp20 = (op)->GetSystemFontSize(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkTextMapper_VTKInit(JNIEnv *env, jobject obj)
{
  vtkTextMapper *aNewOne = vtkTextMapper::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkTextMapper_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkTextMapper_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkTextMapper_Typecast);
}
