// java wrapper for vtkUnstructuredGridVolumeRayCastMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkUnstructuredGridVolumeRayCastMapper.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkUnstructuredGridVolumeMapper_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkUnstructuredGridVolumeRayCastMapper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkUnstructuredGridVolumeRayCastMapper",dType)) { return me; }
  if ((res= vtkUnstructuredGridVolumeMapper_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  const char    *temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_SetScalarMode_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  op->SetScalarMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetScalarMode_13(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  int      temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  temp20 = (op)->GetScalarMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_SetScalarModeToDefault_14(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  op->SetScalarModeToDefault();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_SetScalarModeToUsePointData_15(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  op->SetScalarModeToUsePointData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_SetScalarModeToUseCellData_16(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  op->SetScalarModeToUseCellData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_SetScalarModeToUsePointFieldData_17(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  op->SetScalarModeToUsePointFieldData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_SetScalarModeToUseCellFieldData_18(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  op->SetScalarModeToUseCellFieldData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_SelectScalarArray_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  op->SelectScalarArray(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_SelectScalarArray_110(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  op->SelectScalarArray(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetArrayName_111(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  char    *temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  temp20 = (op)->GetArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetArrayId_112(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  int      temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  temp20 = (op)->GetArrayId();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetArrayAccessMode_113(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  int      temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  temp20 = (op)->GetArrayAccessMode();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetScalarModeAsString_114(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  const char    *temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  temp20 = (op)->GetScalarModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_SetImageSampleDistance_115(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  float    temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  op->SetImageSampleDistance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetImageSampleDistanceMinValue_116(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  temp20 = (op)->GetImageSampleDistanceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetImageSampleDistanceMaxValue_117(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  temp20 = (op)->GetImageSampleDistanceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetImageSampleDistance_118(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  temp20 = (op)->GetImageSampleDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_SetMinimumImageSampleDistance_119(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  float    temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  op->SetMinimumImageSampleDistance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetMinimumImageSampleDistanceMinValue_120(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  temp20 = (op)->GetMinimumImageSampleDistanceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetMinimumImageSampleDistanceMaxValue_121(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  temp20 = (op)->GetMinimumImageSampleDistanceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetMinimumImageSampleDistance_122(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  temp20 = (op)->GetMinimumImageSampleDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_SetMaximumImageSampleDistance_123(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  float    temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  op->SetMaximumImageSampleDistance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetMaximumImageSampleDistanceMinValue_124(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  temp20 = (op)->GetMaximumImageSampleDistanceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetMaximumImageSampleDistanceMaxValue_125(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  temp20 = (op)->GetMaximumImageSampleDistanceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetMaximumImageSampleDistance_126(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  temp20 = (op)->GetMaximumImageSampleDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_SetAutoAdjustSampleDistances_127(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  op->SetAutoAdjustSampleDistances(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetAutoAdjustSampleDistancesMinValue_128(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  int      temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  temp20 = (op)->GetAutoAdjustSampleDistancesMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetAutoAdjustSampleDistancesMaxValue_129(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  int      temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  temp20 = (op)->GetAutoAdjustSampleDistancesMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetAutoAdjustSampleDistances_130(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  int      temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  temp20 = (op)->GetAutoAdjustSampleDistances();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_AutoAdjustSampleDistancesOn_131(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  op->AutoAdjustSampleDistancesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_AutoAdjustSampleDistancesOff_132(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  op->AutoAdjustSampleDistancesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_SetNumberOfThreads_133(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  op->SetNumberOfThreads(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetNumberOfThreads_134(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  int      temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  temp20 = (op)->GetNumberOfThreads();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_SetIntermixIntersectingGeometry_135(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  op->SetIntermixIntersectingGeometry(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetIntermixIntersectingGeometryMinValue_136(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  int      temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  temp20 = (op)->GetIntermixIntersectingGeometryMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetIntermixIntersectingGeometryMaxValue_137(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  int      temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  temp20 = (op)->GetIntermixIntersectingGeometryMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetIntermixIntersectingGeometry_138(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  int      temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  temp20 = (op)->GetIntermixIntersectingGeometry();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_IntermixIntersectingGeometryOn_139(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  op->IntermixIntersectingGeometryOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_IntermixIntersectingGeometryOff_140(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  op->IntermixIntersectingGeometryOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_SetRayCastFunction_141(JNIEnv *env, jobject obj,jobject id0)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  vtkUnstructuredGridVolumeRayCastFunction  *temp0;
  temp0 = (vtkUnstructuredGridVolumeRayCastFunction *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkUnstructuredGridVolumeRayCastFunction"));

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  op->SetRayCastFunction(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetRayCastFunction_142(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  vtkUnstructuredGridVolumeRayCastFunction  *temp20;
  jobject tempH;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  temp20 = (op)->GetRayCastFunction();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkUnstructuredGridVolumeRayCastFunction", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_SetRayIntegrator_143(JNIEnv *env, jobject obj,jobject id0)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  vtkUnstructuredGridVolumeRayIntegrator  *temp0;
  temp0 = (vtkUnstructuredGridVolumeRayIntegrator *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkUnstructuredGridVolumeRayIntegrator"));

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  op->SetRayIntegrator(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetRayIntegrator_144(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  vtkUnstructuredGridVolumeRayIntegrator  *temp20;
  jobject tempH;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  temp20 = (op)->GetRayIntegrator();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkUnstructuredGridVolumeRayIntegrator", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_CastRays_145(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeRayCastMapper");
  op->CastRays(temp0,temp1);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_VTKInit(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *aNewOne = vtkUnstructuredGridVolumeRayCastMapper::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkUnstructuredGridVolumeRayCastMapper_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkUnstructuredGridVolumeRayCastMapper_Typecast);
}
