// java wrapper for vtkUnstructuredGridVolumeZSweepMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkUnstructuredGridVolumeZSweepMapper.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkUnstructuredGridVolumeMapper_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkUnstructuredGridVolumeZSweepMapper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkUnstructuredGridVolumeZSweepMapper",dType)) { return me; }
  if ((res= vtkUnstructuredGridVolumeMapper_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  const char    *temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_SetScalarMode_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  op->SetScalarMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetScalarMode_13(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  int      temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  temp20 = (op)->GetScalarMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_SetScalarModeToDefault_14(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  op->SetScalarModeToDefault();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_SetScalarModeToUsePointData_15(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  op->SetScalarModeToUsePointData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_SetScalarModeToUseCellData_16(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  op->SetScalarModeToUseCellData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_SetScalarModeToUsePointFieldData_17(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  op->SetScalarModeToUsePointFieldData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_SetScalarModeToUseCellFieldData_18(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  op->SetScalarModeToUseCellFieldData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_SelectScalarArray_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  op->SelectScalarArray(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_SelectScalarArray_110(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  op->SelectScalarArray(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetArrayName_111(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  char    *temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  temp20 = (op)->GetArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetArrayId_112(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  int      temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  temp20 = (op)->GetArrayId();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetArrayAccessMode_113(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  int      temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  temp20 = (op)->GetArrayAccessMode();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetScalarModeAsString_114(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  const char    *temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  temp20 = (op)->GetScalarModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_SetImageSampleDistance_115(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  float    temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  op->SetImageSampleDistance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetImageSampleDistanceMinValue_116(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  float    temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  temp20 = (op)->GetImageSampleDistanceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetImageSampleDistanceMaxValue_117(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  float    temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  temp20 = (op)->GetImageSampleDistanceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetImageSampleDistance_118(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  float    temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  temp20 = (op)->GetImageSampleDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_SetMinimumImageSampleDistance_119(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  float    temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  op->SetMinimumImageSampleDistance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetMinimumImageSampleDistanceMinValue_120(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  float    temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  temp20 = (op)->GetMinimumImageSampleDistanceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetMinimumImageSampleDistanceMaxValue_121(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  float    temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  temp20 = (op)->GetMinimumImageSampleDistanceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetMinimumImageSampleDistance_122(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  float    temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  temp20 = (op)->GetMinimumImageSampleDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_SetMaximumImageSampleDistance_123(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  float    temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  op->SetMaximumImageSampleDistance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetMaximumImageSampleDistanceMinValue_124(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  float    temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  temp20 = (op)->GetMaximumImageSampleDistanceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetMaximumImageSampleDistanceMaxValue_125(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  float    temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  temp20 = (op)->GetMaximumImageSampleDistanceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetMaximumImageSampleDistance_126(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  float    temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  temp20 = (op)->GetMaximumImageSampleDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_SetAutoAdjustSampleDistances_127(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  op->SetAutoAdjustSampleDistances(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetAutoAdjustSampleDistancesMinValue_128(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  int      temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  temp20 = (op)->GetAutoAdjustSampleDistancesMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetAutoAdjustSampleDistancesMaxValue_129(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  int      temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  temp20 = (op)->GetAutoAdjustSampleDistancesMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetAutoAdjustSampleDistances_130(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  int      temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  temp20 = (op)->GetAutoAdjustSampleDistances();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_AutoAdjustSampleDistancesOn_131(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  op->AutoAdjustSampleDistancesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_AutoAdjustSampleDistancesOff_132(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  op->AutoAdjustSampleDistancesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_SetIntermixIntersectingGeometry_133(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  op->SetIntermixIntersectingGeometry(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetIntermixIntersectingGeometryMinValue_134(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  int      temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  temp20 = (op)->GetIntermixIntersectingGeometryMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetIntermixIntersectingGeometryMaxValue_135(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  int      temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  temp20 = (op)->GetIntermixIntersectingGeometryMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetIntermixIntersectingGeometry_136(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  int      temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  temp20 = (op)->GetIntermixIntersectingGeometry();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_IntermixIntersectingGeometryOn_137(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  op->IntermixIntersectingGeometryOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_IntermixIntersectingGeometryOff_138(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  op->IntermixIntersectingGeometryOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetMaxPixelListSize_139(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  int      temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  temp20 = (op)->GetMaxPixelListSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_SetMaxPixelListSize_140(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  op->SetMaxPixelListSize(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_SetRayIntegrator_141(JNIEnv *env, jobject obj,jobject id0)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  vtkUnstructuredGridVolumeRayIntegrator  *temp0;
  temp0 = (vtkUnstructuredGridVolumeRayIntegrator *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkUnstructuredGridVolumeRayIntegrator"));

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  op->SetRayIntegrator(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetRayIntegrator_142(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  vtkUnstructuredGridVolumeRayIntegrator  *temp20;
  jobject tempH;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridVolumeZSweepMapper");
  temp20 = (op)->GetRayIntegrator();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkUnstructuredGridVolumeRayIntegrator", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_VTKInit(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *aNewOne = vtkUnstructuredGridVolumeZSweepMapper::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkUnstructuredGridVolumeZSweepMapper_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkUnstructuredGridVolumeZSweepMapper_Typecast);
}
