// java wrapper for vtkImagePlaneWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImagePlaneWidget.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataSourceWidget_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImagePlaneWidget_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImagePlaneWidget",dType)) { return me; }
  if ((res= vtkPolyDataSourceWidget_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImagePlaneWidget_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  const char    *temp20;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImagePlaneWidget_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImagePlaneWidget *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_SetEnabled_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkImagePlaneWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->SetEnabled(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_PlaceWidget_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImagePlaneWidget *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->PlaceWidget(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_PlaceWidget_14(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->PlaceWidget();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_PlaceWidget_15(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkImagePlaneWidget *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_SetInput_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImagePlaneWidget *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->SetInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_SetOrigin_17(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImagePlaneWidget *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->SetOrigin(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_SetOrigin_18(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImagePlaneWidget *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->SetOrigin(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImagePlaneWidget_GetOrigin_19(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  double  *temp20;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetOrigin();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_GetOrigin_110(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImagePlaneWidget *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->GetOrigin(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_SetPoint1_111(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImagePlaneWidget *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->SetPoint1(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_SetPoint1_112(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImagePlaneWidget *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->SetPoint1(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImagePlaneWidget_GetPoint1_113(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  double  *temp20;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetPoint1();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_GetPoint1_114(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImagePlaneWidget *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->GetPoint1(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_SetPoint2_115(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImagePlaneWidget *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->SetPoint2(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_SetPoint2_116(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImagePlaneWidget *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->SetPoint2(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImagePlaneWidget_GetPoint2_117(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  double  *temp20;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetPoint2();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_GetPoint2_118(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImagePlaneWidget *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->GetPoint2(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImagePlaneWidget_GetCenter_119(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  double  *temp20;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetCenter();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_GetCenter_120(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImagePlaneWidget *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->GetCenter(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImagePlaneWidget_GetNormal_121(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  double  *temp20;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetNormal();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_GetNormal_122(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImagePlaneWidget *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->GetNormal(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_GetVector1_123(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImagePlaneWidget *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->GetVector1(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_GetVector2_124(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImagePlaneWidget *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->GetVector2(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImagePlaneWidget_GetSliceIndex_125(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  int      temp20;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetSliceIndex();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_SetSliceIndex_126(JNIEnv *env, jobject obj,jint id0)
{
  vtkImagePlaneWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->SetSliceIndex(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImagePlaneWidget_GetSlicePosition_127(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  double   temp20;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetSlicePosition();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_SetSlicePosition_128(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImagePlaneWidget *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->SetSlicePosition(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_SetResliceInterpolate_129(JNIEnv *env, jobject obj,jint id0)
{
  vtkImagePlaneWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->SetResliceInterpolate(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImagePlaneWidget_GetResliceInterpolate_130(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  int      temp20;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetResliceInterpolate();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_SetResliceInterpolateToNearestNeighbour_131(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->SetResliceInterpolateToNearestNeighbour();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_SetResliceInterpolateToLinear_132(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->SetResliceInterpolateToLinear();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_SetResliceInterpolateToCubic_133(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->SetResliceInterpolateToCubic();
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkImagePlaneWidget_GetResliceOutput_134(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  vtkImageData  *temp20;
  jobject tempH;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetResliceOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkImageData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_SetRestrictPlaneToVolume_135(JNIEnv *env, jobject obj,jint id0)
{
  vtkImagePlaneWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->SetRestrictPlaneToVolume(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImagePlaneWidget_GetRestrictPlaneToVolume_136(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  int      temp20;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetRestrictPlaneToVolume();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_RestrictPlaneToVolumeOn_137(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->RestrictPlaneToVolumeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_RestrictPlaneToVolumeOff_138(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->RestrictPlaneToVolumeOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_SetUserControlledLookupTable_139(JNIEnv *env, jobject obj,jint id0)
{
  vtkImagePlaneWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->SetUserControlledLookupTable(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImagePlaneWidget_GetUserControlledLookupTable_140(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  int      temp20;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetUserControlledLookupTable();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_UserControlledLookupTableOn_141(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->UserControlledLookupTableOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_UserControlledLookupTableOff_142(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->UserControlledLookupTableOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_SetTextureInterpolate_143(JNIEnv *env, jobject obj,jint id0)
{
  vtkImagePlaneWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->SetTextureInterpolate(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImagePlaneWidget_GetTextureInterpolate_144(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  int      temp20;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetTextureInterpolate();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_TextureInterpolateOn_145(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->TextureInterpolateOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_TextureInterpolateOff_146(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->TextureInterpolateOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_SetTextureVisibility_147(JNIEnv *env, jobject obj,jint id0)
{
  vtkImagePlaneWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->SetTextureVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImagePlaneWidget_GetTextureVisibility_148(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  int      temp20;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetTextureVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_TextureVisibilityOn_149(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->TextureVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_TextureVisibilityOff_150(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->TextureVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_GetPolyData_151(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImagePlaneWidget *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPolyData"));

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->GetPolyData(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkImagePlaneWidget_GetPolyDataAlgorithm_152(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  vtkPolyDataAlgorithm  *temp20;
  jobject tempH;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetPolyDataAlgorithm();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPolyDataAlgorithm", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_UpdatePlacement_153(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->UpdatePlacement();
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkImagePlaneWidget_GetTexture_154(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  vtkTexture  *temp20;
  jobject tempH;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetTexture();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkTexture", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkImagePlaneWidget_GetColorMap_155(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  vtkImageMapToColors  *temp20;
  jobject tempH;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetColorMap();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkImageMapToColors", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_SetColorMap_156(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImagePlaneWidget *op;
  vtkImageMapToColors  *temp0;
  temp0 = (vtkImageMapToColors *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkImageMapToColors"));

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->SetColorMap(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_SetPlaneProperty_157(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImagePlaneWidget *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProperty"));

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->SetPlaneProperty(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkImagePlaneWidget_GetPlaneProperty_158(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  vtkProperty  *temp20;
  jobject tempH;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetPlaneProperty();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkProperty", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_SetSelectedPlaneProperty_159(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImagePlaneWidget *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProperty"));

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->SetSelectedPlaneProperty(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkImagePlaneWidget_GetSelectedPlaneProperty_160(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  vtkProperty  *temp20;
  jobject tempH;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetSelectedPlaneProperty();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkProperty", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_SetPlaneOrientation_161(JNIEnv *env, jobject obj,jint id0)
{
  vtkImagePlaneWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->SetPlaneOrientation(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImagePlaneWidget_GetPlaneOrientation_162(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  int      temp20;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetPlaneOrientation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_SetPlaneOrientationToXAxes_163(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->SetPlaneOrientationToXAxes();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_SetPlaneOrientationToYAxes_164(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->SetPlaneOrientationToYAxes();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_SetPlaneOrientationToZAxes_165(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->SetPlaneOrientationToZAxes();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_SetPicker_166(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImagePlaneWidget *op;
  vtkCellPicker  *temp0;
  temp0 = (vtkCellPicker *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCellPicker"));

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->SetPicker(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_SetLookupTable_167(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImagePlaneWidget *op;
  vtkLookupTable  *temp0;
  temp0 = (vtkLookupTable *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkLookupTable"));

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->SetLookupTable(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkImagePlaneWidget_GetLookupTable_168(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  vtkLookupTable  *temp20;
  jobject tempH;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetLookupTable();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkLookupTable", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_SetDisplayText_169(JNIEnv *env, jobject obj,jint id0)
{
  vtkImagePlaneWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->SetDisplayText(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImagePlaneWidget_GetDisplayText_170(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  int      temp20;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetDisplayText();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_DisplayTextOn_171(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->DisplayTextOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_DisplayTextOff_172(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->DisplayTextOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_SetCursorProperty_173(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImagePlaneWidget *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProperty"));

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->SetCursorProperty(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkImagePlaneWidget_GetCursorProperty_174(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  vtkProperty  *temp20;
  jobject tempH;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetCursorProperty();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkProperty", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_SetMarginProperty_175(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImagePlaneWidget *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProperty"));

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->SetMarginProperty(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkImagePlaneWidget_GetMarginProperty_176(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  vtkProperty  *temp20;
  jobject tempH;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetMarginProperty();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkProperty", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_SetTextProperty_177(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImagePlaneWidget *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkTextProperty"));

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->SetTextProperty(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkImagePlaneWidget_GetTextProperty_178(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  vtkTextProperty  *temp20;
  jobject tempH;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetTextProperty();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkTextProperty", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_SetTexturePlaneProperty_179(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImagePlaneWidget *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProperty"));

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->SetTexturePlaneProperty(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkImagePlaneWidget_GetTexturePlaneProperty_180(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  vtkProperty  *temp20;
  jobject tempH;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetTexturePlaneProperty();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkProperty", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_SetWindowLevel_181(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkImagePlaneWidget *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->SetWindowLevel(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_GetWindowLevel_182(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImagePlaneWidget *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->GetWindowLevel(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImagePlaneWidget_GetCursorData_183(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImagePlaneWidget *op;
  double temp0[4];
  void *tempArray0;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetCursorData(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImagePlaneWidget_GetCursorDataStatus_184(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  int      temp20;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetCursorDataStatus();
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImagePlaneWidget_GetCurrentCursorPosition_185(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  double  *temp20;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetCurrentCursorPosition();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImagePlaneWidget_GetCurrentImageValue_186(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  double   temp20;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetCurrentImageValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_SetUseContinuousCursor_187(JNIEnv *env, jobject obj,jint id0)
{
  vtkImagePlaneWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->SetUseContinuousCursor(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImagePlaneWidget_GetUseContinuousCursor_188(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  int      temp20;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetUseContinuousCursor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_UseContinuousCursorOn_189(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->UseContinuousCursorOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_UseContinuousCursorOff_190(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->UseContinuousCursorOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_SetInteraction_191(JNIEnv *env, jobject obj,jint id0)
{
  vtkImagePlaneWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->SetInteraction(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImagePlaneWidget_GetInteraction_192(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  int      temp20;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetInteraction();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_InteractionOn_193(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->InteractionOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_InteractionOff_194(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->InteractionOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_SetLeftButtonAction_195(JNIEnv *env, jobject obj,jint id0)
{
  vtkImagePlaneWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->SetLeftButtonAction(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImagePlaneWidget_GetLeftButtonActionMinValue_196(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  int      temp20;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetLeftButtonActionMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImagePlaneWidget_GetLeftButtonActionMaxValue_197(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  int      temp20;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetLeftButtonActionMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImagePlaneWidget_GetLeftButtonAction_198(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  int      temp20;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetLeftButtonAction();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_SetMiddleButtonAction_199(JNIEnv *env, jobject obj,jint id0)
{
  vtkImagePlaneWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->SetMiddleButtonAction(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImagePlaneWidget_GetMiddleButtonActionMinValue_1100(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  int      temp20;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetMiddleButtonActionMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImagePlaneWidget_GetMiddleButtonActionMaxValue_1101(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  int      temp20;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetMiddleButtonActionMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImagePlaneWidget_GetMiddleButtonAction_1102(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  int      temp20;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetMiddleButtonAction();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_SetRightButtonAction_1103(JNIEnv *env, jobject obj,jint id0)
{
  vtkImagePlaneWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->SetRightButtonAction(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImagePlaneWidget_GetRightButtonActionMinValue_1104(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  int      temp20;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetRightButtonActionMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImagePlaneWidget_GetRightButtonActionMaxValue_1105(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  int      temp20;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetRightButtonActionMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImagePlaneWidget_GetRightButtonAction_1106(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  int      temp20;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetRightButtonAction();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_SetLeftButtonAutoModifier_1107(JNIEnv *env, jobject obj,jint id0)
{
  vtkImagePlaneWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->SetLeftButtonAutoModifier(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImagePlaneWidget_GetLeftButtonAutoModifierMinValue_1108(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  int      temp20;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetLeftButtonAutoModifierMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImagePlaneWidget_GetLeftButtonAutoModifierMaxValue_1109(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  int      temp20;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetLeftButtonAutoModifierMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImagePlaneWidget_GetLeftButtonAutoModifier_1110(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  int      temp20;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetLeftButtonAutoModifier();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_SetMiddleButtonAutoModifier_1111(JNIEnv *env, jobject obj,jint id0)
{
  vtkImagePlaneWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->SetMiddleButtonAutoModifier(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImagePlaneWidget_GetMiddleButtonAutoModifierMinValue_1112(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  int      temp20;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetMiddleButtonAutoModifierMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImagePlaneWidget_GetMiddleButtonAutoModifierMaxValue_1113(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  int      temp20;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetMiddleButtonAutoModifierMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImagePlaneWidget_GetMiddleButtonAutoModifier_1114(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  int      temp20;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetMiddleButtonAutoModifier();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImagePlaneWidget_SetRightButtonAutoModifier_1115(JNIEnv *env, jobject obj,jint id0)
{
  vtkImagePlaneWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  op->SetRightButtonAutoModifier(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImagePlaneWidget_GetRightButtonAutoModifierMinValue_1116(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  int      temp20;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetRightButtonAutoModifierMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImagePlaneWidget_GetRightButtonAutoModifierMaxValue_1117(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  int      temp20;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetRightButtonAutoModifierMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImagePlaneWidget_GetRightButtonAutoModifier_1118(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *op;
  int      temp20;

  op = (vtkImagePlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImagePlaneWidget");
  temp20 = (op)->GetRightButtonAutoModifier();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImagePlaneWidget_VTKInit(JNIEnv *env, jobject obj)
{
  vtkImagePlaneWidget *aNewOne = vtkImagePlaneWidget::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImagePlaneWidget_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImagePlaneWidget_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImagePlaneWidget_Typecast);
}
