// java wrapper for vtkImplicitPlaneWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImplicitPlaneWidget.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataSourceWidget_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImplicitPlaneWidget_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImplicitPlaneWidget",dType)) { return me; }
  if ((res= vtkPolyDataSourceWidget_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImplicitPlaneWidget_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneWidget *op;
  const char    *temp20;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitPlaneWidget_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImplicitPlaneWidget *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneWidget_SetEnabled_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkImplicitPlaneWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  op->SetEnabled(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneWidget_PlaceWidget_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImplicitPlaneWidget *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  op->PlaceWidget(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneWidget_PlaceWidget_14(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneWidget *op;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  op->PlaceWidget();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneWidget_PlaceWidget_15(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkImplicitPlaneWidget *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  op->PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneWidget_SetOrigin_16(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImplicitPlaneWidget *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  op->SetOrigin(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneWidget_SetOrigin_17(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImplicitPlaneWidget *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  op->SetOrigin(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImplicitPlaneWidget_GetOrigin_18(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneWidget *op;
  double  *temp20;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  temp20 = (op)->GetOrigin();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneWidget_GetOrigin_19(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImplicitPlaneWidget *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  op->GetOrigin(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneWidget_SetNormal_110(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImplicitPlaneWidget *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  op->SetNormal(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneWidget_SetNormal_111(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImplicitPlaneWidget *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  op->SetNormal(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImplicitPlaneWidget_GetNormal_112(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneWidget *op;
  double  *temp20;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  temp20 = (op)->GetNormal();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneWidget_GetNormal_113(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImplicitPlaneWidget *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  op->GetNormal(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneWidget_SetNormalToXAxis_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkImplicitPlaneWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  op->SetNormalToXAxis(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitPlaneWidget_GetNormalToXAxis_115(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneWidget *op;
  int      temp20;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  temp20 = (op)->GetNormalToXAxis();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneWidget_NormalToXAxisOn_116(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneWidget *op;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  op->NormalToXAxisOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneWidget_NormalToXAxisOff_117(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneWidget *op;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  op->NormalToXAxisOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneWidget_SetNormalToYAxis_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkImplicitPlaneWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  op->SetNormalToYAxis(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitPlaneWidget_GetNormalToYAxis_119(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneWidget *op;
  int      temp20;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  temp20 = (op)->GetNormalToYAxis();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneWidget_NormalToYAxisOn_120(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneWidget *op;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  op->NormalToYAxisOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneWidget_NormalToYAxisOff_121(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneWidget *op;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  op->NormalToYAxisOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneWidget_SetNormalToZAxis_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkImplicitPlaneWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  op->SetNormalToZAxis(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitPlaneWidget_GetNormalToZAxis_123(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneWidget *op;
  int      temp20;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  temp20 = (op)->GetNormalToZAxis();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneWidget_NormalToZAxisOn_124(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneWidget *op;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  op->NormalToZAxisOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneWidget_NormalToZAxisOff_125(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneWidget *op;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  op->NormalToZAxisOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneWidget_SetTubing_126(JNIEnv *env, jobject obj,jint id0)
{
  vtkImplicitPlaneWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  op->SetTubing(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitPlaneWidget_GetTubing_127(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneWidget *op;
  int      temp20;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  temp20 = (op)->GetTubing();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneWidget_TubingOn_128(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneWidget *op;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  op->TubingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneWidget_TubingOff_129(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneWidget *op;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  op->TubingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneWidget_SetDrawPlane_130(JNIEnv *env, jobject obj,jint id0)
{
  vtkImplicitPlaneWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  op->SetDrawPlane(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitPlaneWidget_GetDrawPlane_131(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneWidget *op;
  int      temp20;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  temp20 = (op)->GetDrawPlane();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneWidget_DrawPlaneOn_132(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneWidget *op;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  op->DrawPlaneOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneWidget_DrawPlaneOff_133(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneWidget *op;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  op->DrawPlaneOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneWidget_SetOutlineTranslation_134(JNIEnv *env, jobject obj,jint id0)
{
  vtkImplicitPlaneWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  op->SetOutlineTranslation(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitPlaneWidget_GetOutlineTranslation_135(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneWidget *op;
  int      temp20;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  temp20 = (op)->GetOutlineTranslation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneWidget_OutlineTranslationOn_136(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneWidget *op;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  op->OutlineTranslationOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneWidget_OutlineTranslationOff_137(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneWidget *op;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  op->OutlineTranslationOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneWidget_SetScaleEnabled_138(JNIEnv *env, jobject obj,jint id0)
{
  vtkImplicitPlaneWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  op->SetScaleEnabled(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitPlaneWidget_GetScaleEnabled_139(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneWidget *op;
  int      temp20;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  temp20 = (op)->GetScaleEnabled();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneWidget_ScaleEnabledOn_140(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneWidget *op;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  op->ScaleEnabledOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneWidget_ScaleEnabledOff_141(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneWidget *op;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  op->ScaleEnabledOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneWidget_GetPolyData_142(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImplicitPlaneWidget *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPolyData"));

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  op->GetPolyData(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkImplicitPlaneWidget_GetPolyDataAlgorithm_143(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneWidget *op;
  vtkPolyDataAlgorithm  *temp20;
  jobject tempH;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  temp20 = (op)->GetPolyDataAlgorithm();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPolyDataAlgorithm", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneWidget_GetPlane_144(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImplicitPlaneWidget *op;
  vtkPlane  *temp0;
  temp0 = (vtkPlane *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPlane"));

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  op->GetPlane(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneWidget_UpdatePlacement_145(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneWidget *op;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  op->UpdatePlacement();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneWidget_SizeHandles_146(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneWidget *op;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  op->SizeHandles();
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkImplicitPlaneWidget_GetNormalProperty_147(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneWidget *op;
  vtkProperty  *temp20;
  jobject tempH;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  temp20 = (op)->GetNormalProperty();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkProperty", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkImplicitPlaneWidget_GetSelectedNormalProperty_148(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneWidget *op;
  vtkProperty  *temp20;
  jobject tempH;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  temp20 = (op)->GetSelectedNormalProperty();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkProperty", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkImplicitPlaneWidget_GetPlaneProperty_149(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneWidget *op;
  vtkProperty  *temp20;
  jobject tempH;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  temp20 = (op)->GetPlaneProperty();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkProperty", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkImplicitPlaneWidget_GetSelectedPlaneProperty_150(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneWidget *op;
  vtkProperty  *temp20;
  jobject tempH;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  temp20 = (op)->GetSelectedPlaneProperty();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkProperty", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkImplicitPlaneWidget_GetOutlineProperty_151(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneWidget *op;
  vtkProperty  *temp20;
  jobject tempH;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  temp20 = (op)->GetOutlineProperty();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkProperty", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkImplicitPlaneWidget_GetSelectedOutlineProperty_152(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneWidget *op;
  vtkProperty  *temp20;
  jobject tempH;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  temp20 = (op)->GetSelectedOutlineProperty();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkProperty", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkImplicitPlaneWidget_GetEdgesProperty_153(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneWidget *op;
  vtkProperty  *temp20;
  jobject tempH;

  op = (vtkImplicitPlaneWidget *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImplicitPlaneWidget");
  temp20 = (op)->GetEdgesProperty();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkProperty", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImplicitPlaneWidget_VTKInit(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneWidget *aNewOne = vtkImplicitPlaneWidget::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImplicitPlaneWidget_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImplicitPlaneWidget_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImplicitPlaneWidget_Typecast);
}
